linux-aws-hwe (4.15.0-1065.69~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1065.69~16.04.1 -proposed tracker
    (LP: #1868966)

  [ Ubuntu: 4.15.0-1065.69 ]

  * bionic/linux-aws: 4.15.0-1065.69 -proposed tracker (LP: #1868967)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
  * bionic/linux: 4.15.0-94.95 -proposed tracker (LP: #1868984)
  * Missing wireless network interface after kernel 5.3.0-43 upgrade with eoan
    (LP: #1868442)
    - iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168 devices
  * bionic/linux: 4.15.0-93.94 -proposed tracker (LP: #1868764)
  * quotactl04 from ubuntu_ltp_syscalls failed with B (LP: #1868665)
    - ext4: fix mount failure with quota configured as module

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 25 Mar 2020 23:45:10 -0400

linux-aws-hwe (4.15.0-1064.68~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1064.68~16.04.1 -proposed tracker
    (LP: #1867254)

  [ Ubuntu: 4.15.0-1064.68 ]

  * bionic/linux-aws: 4.15.0-1064.68 -proposed tracker (LP: #1867255)
  * bionic/linux: 4.15.0-92.93 -proposed tracker (LP: #1867272)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts
  * Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the
    340 and 390 series (LP: #1854485)
    - [Packaging] NVIDIA -- add support for the 435 and the 440 series
  * Stop using get_scalar_status command in Dell AIO uart backlight driver
    (LP: #1865402)
    - SAUCE: platform/x86: dell-uart-backlight: add get_display_mode command
  * Bionic update: upstream stable patchset 2020-03-12 (LP: #1867194)
    - RDMA/core: Fix locking in ib_uverbs_event_read
    - gpio: zynq: Report gpio direction at boot
    - arm64: ptrace: nofpsimd: Fail FP/SIMD regset operations
    - KVM: arm: Fix DFSR setting for non-LPAE aarch32 guests
    - KVM: arm: Make inject_abt32() inject an external abort instead
    - mtd: onenand_base: Adjust indentation in onenand_read_ops_nolock
    - mtd: sharpslpart: Fix unsigned comparison to zero
    - padata: fix null pointer deref of pd->pinst
    - Input: synaptics - switch T470s to RMI4 by default
    - Input: synaptics - enable SMBus on ThinkPad L470
    - Input: synaptics - remove the LEN0049 dmi id from topbuttonpad list
    - ALSA: hda/realtek - Fix silent output on MSI-GL73
    - ALSA: usb-audio: Apply sample rate quirk for Audioengine D1
    - arm64: cpufeature: Set the FP/SIMD compat HWCAP bits properly
    - ALSA: usb-audio: sound: usb: usb true/false for bool return type
    - ext4: don't assume that mmp_nodename/bdevname have NUL
    - ext4: fix support for inode sizes > 1024 bytes
    - ext4: fix checksum errors with indexed dirs
    - ext4: add cond_resched() to ext4_protect_reserved_inode
    - ext4: improve explanation of a mount failure caused by a misconfigured
      kernel
    - Btrfs: fix race between using extent maps and merging them
    - btrfs: ref-verify: fix memory leaks
    - btrfs: print message when tree-log replay starts
    - btrfs: log message when rw remount is attempted with unclean tree-log
    - arm64: ssbs: Fix context-switch when SSBS is present on all CPUs
    - perf/x86/amd: Add missing L2 misses event spec to AMD Family 17h's event map
    - IB/hfi1: Close window for pq and request coliding
    - IB/rdmavt: Reset all QPs when the device is shut down
    - RDMA/rxe: Fix soft lockup problem due to using tasklets in softirq
    - RDMA/core: Fix protection fault in get_pkey_idx_qp_list
    - s390/time: Fix clk type in get_tod_clock
    - perf/x86/intel: Fix inaccurate period in context switch for auto-reload
    - hwmon: (pmbus/ltc2978) Fix PMBus polling of MFR_COMMON definitions.
    - jbd2: move the clearing of b_modified flag to the journal_unmap_buffer()
    - jbd2: do not clear the BH_Mapped flag when forgetting a metadata buffer
    - KVM: x86/mmu: Fix struct guest_walker arrays for 5-level paging
  * Bionic update: upstream stable patchset 2020-03-09 (LP: #1866678)
    - kernel/module: Fix memleak in module_add_modinfo_attrs()
    - media: iguanair: fix endpoint sanity check
    - x86/cpu: Update cached HLE state on write to TSX_CTRL_CPUID_CLEAR
    - iwlwifi: mvm: fix NVM check for 3168 devices
    - sparc32: fix struct ipc64_perm type definition
    - cls_rsvp: fix rsvp_policy
    - gtp: use __GFP_NOWARN to avoid memalloc warning
    - l2tp: Allow duplicate session creation with UDP
    - net: hsr: fix possible NULL deref in hsr_handle_frame()
    - net_sched: fix an OOB access in cls_tcindex
    - bnxt_en: Fix TC queue mapping.
    - tcp: clear tp->total_retrans in tcp_disconnect()
    - tcp: clear tp->delivered in tcp_disconnect()
    - tcp: clear tp->data_segs{in|out} in tcp_disconnect()
    - tcp: clear tp->segs_{in|out} in tcp_disconnect()
    - rxrpc: Fix insufficient receive notification generation
    - rxrpc: Fix NULL pointer deref due to call->conn being cleared on disconnect
    - media: uvcvideo: Avoid cyclic entity chains due to malformed USB descriptors
    - mfd: dln2: More sanity checking for endpoints
    - tracing: Fix sched switch start/stop refcount racy updates
    - brcmfmac: Fix memory leak in brcmf_usbdev_qinit
    - usb: gadget: legacy: set max_speed to super-speed
    - usb: gadget: f_ncm: Use atomic_t to track in-flight request
    - usb: gadget: f_ecm: Use atomic_t to track in-flight request
    - ALSA: dummy: Fix PCM format loop in proc output
    - media/v4l2-core: set pages dirty upon releasing DMA buffers
    - media: v4l2-rect.h: fix v4l2_rect_map_inside() top/left adjustments
    - lib/test_kasan.c: fix memory leak in kmalloc_oob_krealloc_more()
    - irqdomain: Fix a memory leak in irq_domain_push_irq()
    - platform/x86: intel_scu_ipc: Fix interrupt support
    - KVM: arm64: Only sign-extend MMIO up to register width
    - MIPS: fix indentation of the 'RELOCS' message
    - s390/mm: fix dynamic pagetable upgrade for hugetlbfs
    - powerpc/xmon: don't access ASDR in VMs
    - powerpc/pseries: Advance pfn if section is not present in lmb_is_removable()
    - mmc: spi: Toggle SPI polarity, do not hardcode it
    - ACPI: video: Do not export a non working backlight interface on MSI MS-7721
      boards
    - alarmtimer: Unregister wakeup source when module get fails
    - ubifs: Reject unsupported ioctl flags explicitly
    - ubifs: Fix FS_IOC_SETFLAGS unexpectedly clearing encrypt flag
    - ubifs: Fix deadlock in concurrent bulk-read and writepage
    - PCI: keystone: Fix link training retries initiation
    - mmc: sdhci-of-at91: fix memleak on clk_get failure
    - ubifs: don't trigger assertion on invalid no-key filename
    - hv_balloon: Balloon up according to request page number
    - crypto: api - Check spawn->alg under lock in crypto_drop_spawn
    - scsi: qla2xxx: Fix mtcp dump collection failure
    - power: supply: ltc2941-battery-gauge: fix use-after-free
    - f2fs: choose hardlimit when softlimit is larger than hardlimit in
      f2fs_statfs_project()
    - f2fs: fix miscounted block limit in f2fs_statfs_project()
    - f2fs: code cleanup for f2fs_statfs_project()
    - PM: core: Fix handling of devices deleted during system-wide resume
    - [Config] updateconfigs for CONFIG_OF_DMA_DEFAULT_COHERENT
    - of: Add OF_DMA_DEFAULT_COHERENT & select it on powerpc
    - dm zoned: support zone sizes smaller than 128MiB
    - dm space map common: fix to ensure new block isn't already in use
    - dm crypt: fix benbi IV constructor crash if used in authenticated mode
    - tracing: Annotate ftrace_graph_hash pointer with __rcu
    - tracing: Annotate ftrace_graph_notrace_hash pointer with __rcu
    - ftrace: Add comment to why rcu_dereference_sched() is open coded
    - ftrace: Protect ftrace_graph_hash with ftrace_sync
    - samples/bpf: Don't try to remove user's homedir on clean
    - crypto: ccp - set max RSA modulus size for v3 platform devices as well
    - crypto: pcrypt - Do not clear MAY_SLEEP flag in original request
    - crypto: atmel-aes - Fix counter overflow in CTR mode
    - crypto: api - Fix race condition in crypto_spawn_alg
    - crypto: picoxcell - adjust the position of tasklet_init and fix missed
      tasklet_kill
    - scsi: qla2xxx: Fix unbound NVME response length
    - NFS: Fix memory leaks and corruption in readdir
    - NFS: Directory page cache pages need to be locked when read
    - btrfs: set trans->drity in btrfs_commit_transaction
    - ARM: tegra: Enable PLLP bypass during Tegra124 LP1
    - iwlwifi: don't throw error when trying to remove IGTK
    - mwifiex: fix unbalanced locking in mwifiex_process_country_ie()
    - sunrpc: expiry_time should be seconds not timeval
    - tools/kvm_stat: Fix kvm_exit filter name
    - xen/balloon: Support xend-based toolstack take two
    - KVM: x86: Refactor picdev_write() to prevent Spectre-v1/L1TF attacks
    - KVM: x86: Refactor prefix decoding to prevent Spectre-v1/L1TF attacks
    - KVM: x86: Protect DR-based index computations from Spectre-v1/L1TF attacks
    - KVM: x86: Protect kvm_lapic_reg_write() from Spectre-v1/L1TF attacks
    - KVM: x86: Protect kvm_hv_msr_[get|set]_crash_data() from Spectre-v1/L1TF
      attacks
    - KVM: x86: Protect ioapic_write_indirect() from Spectre-v1/L1TF attacks
    - KVM: x86: Protect MSR-based index computations in pmu.h from Spectre-v1/L1TF
      attacks
    - KVM: x86: Protect ioapic_read_indirect() from Spectre-v1/L1TF attacks
    - KVM: x86: Protect MSR-based index computations from Spectre-v1/L1TF attacks
      in x86.c
    - KVM: x86: Protect x86_decode_insn from Spectre-v1/L1TF attacks
    - KVM: x86: Protect MSR-based index computations in fixed_msr_to_seg_unit()
      from Spectre-v1/L1TF attacks
    - KVM: PPC: Book3S HV: Uninit vCPU if vcore creation fails
    - KVM: PPC: Book3S PR: Free shared page if mmu initialization fails
    - KVM: x86: Free wbinvd_dirty_mask if vCPU creation fails
    - clk: tegra: Mark fuse clock as critical
    - scsi: qla2xxx: Fix the endianness of the qla82xx_get_fw_size() return type
    - scsi: csiostor: Adjust indentation in csio_device_reset
    - scsi: qla4xxx: Adjust indentation in qla4xxx_mem_free
    - scsi: ufs: Recheck bkops level if bkops is disabled
    - phy: qualcomm: Adjust indentation in read_poll_timeout
    - ext2: Adjust indentation in ext2_fill_super
    - powerpc/44x: Adjust indentation in ibm4xx_denali_fixup_memsize
    - NFC: pn544: Adjust indentation in pn544_hci_check_presence
    - ppp: Adjust indentation into ppp_async_input
    - net: smc911x: Adjust indentation in smc911x_phy_configure
    - net: tulip: Adjust indentation in {dmfe, uli526x}_init_module
    - IB/mlx5: Fix outstanding_pi index for GSI qps
    - IB/core: Fix ODP get user pages flow
    - nfsd: fix delay timer on 32-bit architectures
    - nfsd: fix jiffies/time_t mixup in LRU list
    - ubi: fastmap: Fix inverted logic in seen selfcheck
    - ubi: Fix an error pointer dereference in error handling code
    - mfd: da9062: Fix watchdog compatible string
    - mfd: rn5t618: Mark ADC control register volatile
    - net: dsa: bcm_sf2: Only 7278 supports 2Gb/sec IMP port
    - net_sched: fix a resource leak in tcindex_set_parms()
    - net: systemport: Avoid RBUF stuck in Wake-on-LAN mode
    - net: macb: Remove unnecessary alignment check for TSO
    - net: macb: Limit maximum GEM TX length in TSO
    - bonding/alb: properly access headers in bond_alb_xmit()
    - ext4: fix deadlock allocating crypto bounce page from mempool
    - btrfs: Get rid of the confusing btrfs_file_extent_inline_len
    - Btrfs: fix missing hole after hole punching and fsync when using NO_HOLES
    - btrfs: use bool argument in free_root_pointers()
    - btrfs: free block groups after free'ing fs trees
    - btrfs: remove trivial locking wrappers of tree mod log
    - Btrfs: fix race between adding and putting tree mod seq elements and nodes
    - drm: atmel-hlcdc: enable clock before configuring timing engine
    - KVM: x86: Protect pmu_intel.c from Spectre-v1/L1TF attacks
    - btrfs: flush write bio if we loop in extent_write_cache_pages
    - KVM: x86: Fix potential put_fpu() w/o load_fpu() on MPX platform
    - KVM: x86/mmu: Apply max PA check for MMIO sptes to 32-bit KVM
    - KVM: nVMX: vmread should not set rflags to specify success in case of #PF
    - KVM: Use vcpu-specific gva->hva translation when querying host page size
    - KVM: Play nice with read-only memslots when querying host page size
    - KVM: s390: do not clobber registers during guest reset/store status
    - cifs: fail i/o on soft mounts if sessionsetup errors out
    - clocksource: Prevent double add_timer_on() for watchdog_timer
    - perf/core: Fix mlock accounting in perf_mmap()
    - rxrpc: Fix service call disconnection
    - ASoC: pcm: update FE/BE trigger order based on the command
    - hv_sock: Remove the accept port restriction
    - RDMA/netlink: Do not always generate an ACK for some netlink operations
    - scsi: ufs: Fix ufshcd_probe_hba() reture value in case
      ufshcd_scsi_add_wlus() fails
    - PCI/switchtec: Fix vep_vector_number ioread width
    - PCI: Don't disable bridge BARs when assigning bus resources
    - nfs: NFS_SWAP should depend on SWAP
    - NFS/pnfs: Fix pnfs_generic_prepare_to_resend_writes()
    - NFSv4: try lease recovery on NFS4ERR_EXPIRED
    - serial: uartps: Add a timeout to the tx empty wait
    - rtc: hym8563: Return -EINVAL if the time is known to be invalid
    - rtc: cmos: Stop using shared IRQ
    - ARC: [plat-axs10x]: Add missing multicast filter number to GMAC node
    - platform/x86: intel_mid_powerbtn: Take a copy of ddata
    - ARM: dts: at91: sama5d3: fix maximum peripheral clock rates
    - ARM: dts: at91: sama5d3: define clock rate range for tcb1
    - tools/power/acpi: fix compilation error
    - powerpc/pseries/vio: Fix iommu_table use-after-free refcount warning
    - powerpc/pseries: Allow not having ibm, hypertas-functions::hcall-multi-tce
      for DDW
    - KVM: arm/arm64: vgic-its: Fix restoration of unmapped collections
    - ARM: 8949/1: mm: mark free_memmap as __init
    - arm64: cpufeature: Fix the type of no FP/SIMD capability
    - KVM: arm/arm64: Fix young bit from mmu notifier
    - crypto: artpec6 - return correct error code for failed setkey()
    - crypto: atmel-sha - fix error handling when setting hmac key
    - media: i2c: adv748x: Fix unsafe macros
    - pinctrl: sh-pfc: r8a7778: Fix duplicate SDSELF_B and SD1_CLK_B
    - scsi: megaraid_sas: Do not initiate OCR if controller is not in ready state
    - serial: uartps: Move the spinlock after the read of the tx empty
    - mwifiex: Fix possible buffer overflows in mwifiex_ret_wmm_get_status()
    - mwifiex: Fix possible buffer overflows in mwifiex_cmd_append_vsie_tlv()
    - libertas: don't exit from lbs_ibss_join_existing() with RCU read lock held
    - libertas: make lbs_ibss_join_existing() return error code on rates overflow
    - udf: Allow writing to 'Rewritable' partitions
    - printk: fix exclusive_console replaying
    - usb: typec: tcpci: mask event interrupts when remove driver
    - ALSA: hda: Add Clevo W65_67SB the power_save blacklist
    - KVM: arm/arm64: Correct AArch32 SPSR on exception entry
    - crypto: geode-aes - convert to skcipher API and make thread-safe
    - mfd: axp20x: Mark AXP20X_VBUS_IPSOUT_MGMT as volatile
    - scripts/find-unused-docs: Fix massive false positives
    - padata: Remove broken queue flushing
    - jbd2_seq_info_next should increase position index
    - watchdog: fix UAF in reboot notifier handling in watchdog core code
    - bcache: add readahead cache policy options via sysfs interface
    - eventfd: track eventfd_signal() recursion depth
    - x86/kvm: Be careful not to clear KVM_VCPU_FLUSH_TLB bit
    - drm/amd/dm/mst: Ignore payload update failures
    - percpu: Separate decrypted varaibles anytime encryption can be enabled
    - drm: msm: mdp4: Adjust indentation in mdp4_dsi_encoder_enable
    - net: dsa: b53: Always use dev->vlan_enabled in b53_configure_vlan()
    - drm/dp_mst: Remove VCPI while disabling topology mgr
    - KVM: x86: Use gpa_t for cr2/gpa to fix TDP support on 32-bit KVM
    - x86/apic/msi: Plug non-maskable MSI affinity race
  * 5.4.0-11 crash on cryptsetup open (LP: #1860231) // Bionic update: upstream
    stable patchset 2020-03-09 (LP: #1866678)
    - dm: fix potential for q->make_request_fn NULL pointer
  * r8152 init may take up to 40 seconds at initialization with Dell WD19/WD19DC
    during hotplug (LP: #1864284)
    - UBUNTU SAUCE: r8152: check disconnect status after long sleep
  * The voice recording function cannot work while connecting a headset on a
    Dell machine (LP: #1866581)
    - SAUCE: ALSA: hda/realtek - Add Headset Mic supported
  * xfs fill_fs test in fallocate06 from ubuntu_ltp_syscalls failed
    (LP: #1865967)
    - xfs: Fix tail rounding in xfs_alloc_file_space()
  * [hns3-0114]net: hns3: fix ETS bandwidth validation bug  (LP: #1859569)
    - net: hns3: fix ETS bandwidth validation bug
  * alsa/hda/realtek: fix a mute led regression on Lenovo X1 Carbon
    (LP: #1864576)
    - SAUCE: ALSA: hda/realtek - Fix a regression for mute led on Lenovo Carbon X1
  * [hns3-0120]pad the short frame before sending to the hardware (LP: #1860320)
    - net: hns3: pad the short frame before sending to the hardware
  * ipc/sem.c : process loops infinitely in exit_sem() (LP: #1858834)
    - Revert "ipc, sem: remove uneeded sem_undo_list lock usage in exit_sem()"
  * ftrace test in ubuntu_kernel_selftests will timeout randomly (LP: #1864172)
    - tracing/selftests: Turn off timeout setting
  * quotactl07 from ubuntu_ltp_syscalls failed (LP: #1864092)
    - xfs: Sanity check flags of Q_XQUOTARM call
  * [bionic] updates to Exar USB serial driver (LP: #1863834)
    - SAUCE: xr-usb-serial: Update driver for Exar USB serial ports
    - SAUCE: xr-usb-serial: re-initialise baudrate after resume from S3/S4
    - SAUCE: xr-usb-serial: Changes to support updates in struct gpio_chip
    - SAUCE: xr-usb-serial: fix kbuild
  * [bionic]  hts221 sensor stops working after resume from S3/S4
    (LP: #1863732)
    - SAUCE: iio: humidity: hts221: Fix sensor reads after resume
  * Bionic update: upstream stable patchset 2020-02-26 (LP: #1864904)
    - orinoco_usb: fix interface sanity check
    - rsi_91x_usb: fix interface sanity check
    - USB: serial: ir-usb: add missing endpoint sanity check
    - USB: serial: ir-usb: fix link-speed handling
    - USB: serial: ir-usb: fix IrLAP framing
    - usb: dwc3: turn off VBUS when leaving host mode
    - staging: most: net: fix buffer overflow
    - staging: wlan-ng: ensure error return is actually returned
    - staging: vt6656: correct packet types for CTS protect, mode.
    - staging: vt6656: use NULLFUCTION stack on mac80211
    - staging: vt6656: Fix false Tx excessive retries reporting.
    - serial: 8250_bcm2835aux: Fix line mismatch on driver unbind
    - crypto: chelsio - fix writing tfm flags to wrong place
    - ath9k: fix storage endpoint lookup
    - brcmfmac: fix interface sanity check
    - rtl8xxxu: fix interface sanity check
    - zd1211rw: fix storage endpoint lookup
    - arc: eznps: fix allmodconfig kconfig warning
    - HID: ite: Add USB id match for Acer SW5-012 keyboard dock
    - phy: cpcap-usb: Prevent USB line glitches from waking up modem
    - watchdog: max77620_wdt: fix potential build errors
    - watchdog: rn5t618_wdt: fix module aliases
    - spi: spi-dw: Add lock protect dw_spi rx/tx to prevent concurrent calls
    - drivers/net/b44: Change to non-atomic bit operations on pwol_mask
    - net: wan: sdla: Fix cast from pointer to integer of different size
    - gpio: max77620: Add missing dependency on GPIOLIB_IRQCHIP
    - atm: eni: fix uninitialized variable warning
    - PCI: Add DMA alias quirk for Intel VCA NTB
    - usb-storage: Disable UAS on JMicron SATA enclosure
    - net_sched: ematch: reject invalid TCF_EM_SIMPLE
    - rsi: fix use-after-free on probe errors
    - crypto: af_alg - Use bh_lock_sock in sk_destruct
    - vfs: fix do_last() regression
    - x86/resctrl: Fix use-after-free when deleting resource groups
    - x86/resctrl: Fix use-after-free due to inaccurate refcount of rdtgroup
    - x86/resctrl: Fix a deadlock due to inaccurate reference
    - crypto: pcrypt - Fix user-after-free on module unload
    - perf c2c: Fix return type for histogram sorting comparision functions
    - PM / devfreq: Add new name attribute for sysfs
    - tools lib: Fix builds when glibc contains strlcpy()
    - arm64: kbuild: remove compressed images on 'make ARCH=arm64 (dist)clean'
    - ext4: validate the debug_want_extra_isize mount option at parse time
    - mm/mempolicy.c: fix out of bounds write in mpol_parse_str()
    - reiserfs: Fix memory leak of journal device string
    - media: digitv: don't continue if remote control state can't be read
    - media: af9005: uninitialized variable printked
    - media: gspca: zero usb_buf
    - media: dvb-usb/dvb-usb-urb.c: initialize actlen to 0
    - ttyprintk: fix a potential deadlock in interrupt context issue
    - Bluetooth: Fix race condition in hci_release_sock()
    - cgroup: Prevent double killing of css when enabling threaded cgroup
    - media: si470x-i2c: Move free() past last use of 'radio'
    - ARM: dts: sun8i: a83t: Correct USB3503 GPIOs polarity
    - ARM: dts: beagle-x15-common: Model 5V0 regulator
    - soc: ti: wkup_m3_ipc: Fix race condition with rproc_boot
    - mac80211: mesh: restrict airtime metric to peered established plinks
    - clk: mmp2: Fix the order of timer mux parents
    - ixgbevf: Remove limit of 10 entries for unicast filter list
    - ixgbe: Fix calculation of queue with VFs and flow director on interface flap
    - igb: Fix SGMII SFP module discovery for 100FX/LX.
    - ASoC: sti: fix possible sleep-in-atomic
    - qmi_wwan: Add support for Quectel RM500Q
    - wireless: fix enabling channel 12 for custom regulatory domain
    - cfg80211: Fix radar event during another phy CAC
    - mac80211: Fix TKIP replay protection immediately after key setup
    - wireless: wext: avoid gcc -O3 warning
    - net: dsa: bcm_sf2: Configure IMP port for 2Gb/sec
    - bnxt_en: Fix ipv6 RFS filter matching logic.
    - ARM: dts: am335x-boneblack-common: fix memory size
    - vti[6]: fix packet tx through bpf_redirect()
    - scsi: fnic: do not queue commands during fwreset
    - ARM: 8955/1: virt: Relax arch timer version check during early boot
    - tee: optee: Fix compilation issue with nommu
    - airo: Fix possible info leak in AIROOLDIOCTL/SIOCDEVPRIVATE
    - airo: Add missing CAP_NET_ADMIN check in AIROOLDIOCTL/SIOCDEVPRIVATE
    - r8152: get default setting of WOL before initializing
    - qlcnic: Fix CPU soft lockup while collecting firmware dump
    - powerpc/fsl/dts: add fsl,erratum-a011043
    - net/fsl: treat fsl,erratum-a011043
    - net: fsl/fman: rename IF_MODE_XGMII to IF_MODE_10G
    - seq_tab_next() should increase position index
    - l2t_seq_next should increase position index
    - net: Fix skb->csum update in inet_proto_csum_replace16().
    - btrfs: do not zero f_bavail if we have available space
    - perf report: Fix no libunwind compiled warning break s390 issue
    - iio: st_gyro: Correct data for LSM9DS0 gyro
    - net_sched: fix ops->bind_class() implementations
    - HID: Add quirk for Xin-Mo Dual Controller
    - HID: Add quirk for incorrect input length on Lenovo Y720
    - phy: qcom-qmp: Increase PHY ready timeout
    - platform/x86: dell-laptop: disable kbd backlight on Inspiron 10xx
    - sched/fair: Add tmp_alone_branch assertion
    - sched/fair: Fix insertion in rq->leaf_cfs_rq_list
    - random: try to actively add entropy rather than passively wait for it
    - block: cleanup __blkdev_issue_discard()
    - block: fix 32 bit overflow in __blkdev_issue_discard()
    - media: vp7045: do not read uninitialized values if usb transfer fails
    - tomoyo: Use atomic_t for statistics counter
    - tools lib traceevent: Fix memory leakage in filter_event
    - parisc: Use proper printk format for resource_size_t
    - riscv: delete temporary files
    - ARM: dts: am43x-epos-evm: set data pin directions for spi0 and spi1
  * Bionic update: upstream stable patchset 2020-02-21 (LP: #1864261)
    - firestream: fix memory leaks
    - gtp: make sure only SOCK_DGRAM UDP sockets are accepted
    - ipv6: sr: remove SKB_GSO_IPXIP6 on End.D* actions
    - net: cxgb3_main: Add CAP_NET_ADMIN check to CHELSIO_GET_MEM
    - net, ip6_tunnel: fix namespaces move
    - net, ip_tunnel: fix namespaces move
    - net_sched: fix datalen for ematch
    - net-sysfs: Fix reference count leak in rx|netdev_queue_add_kobject
    - net-sysfs: fix netdev_queue_add_kobject() breakage
    - net-sysfs: Call dev_hold always in netdev_queue_add_kobject
    - net-sysfs: Call dev_hold always in rx_queue_add_kobject
    - net-sysfs: Fix reference count leak
    - net: usb: lan78xx: Add .ndo_features_check
    - tcp_bbr: improve arithmetic division in bbr_update_bw()
    - net: rtnetlink: validate IFLA_MTU attribute in rtnl_create_link()
    - hwmon: (adt7475) Make volt2reg return same reg as reg2volt input
    - hwmon: (core) Do not use device managed functions for memory allocations
    - Input: keyspan-remote - fix control-message timeouts
    - Revert "Input: synaptics-rmi4 - don't increment rmiaddr for SMBus transfers"
    - ARM: 8950/1: ftrace/recordmcount: filter relocation types
    - mmc: tegra: fix SDR50 tuning override
    - mmc: sdhci: fix minimum clock rate for v3 controller
    - Documentation: Document arm64 kpti control
    - Input: pm8xxx-vib - fix handling of separate enable register
    - Input: sur40 - fix interface sanity checks
    - Input: gtco - fix endpoint sanity check
    - Input: aiptek - fix endpoint sanity check
    - Input: pegasus_notetaker - fix endpoint sanity check
    - Input: sun4i-ts - add a check for devm_thermal_zone_of_sensor_register
    - hwmon: (nct7802) Fix voltage limits to wrong registers
    - scsi: RDMA/isert: Fix a recently introduced regression related to logout
    - tracing: xen: Ordered comparison of function pointers
    - do_last(): fetch directory ->i_mode and ->i_uid before it's too late
    - sd: Fix REQ_OP_ZONE_REPORT completion handling
    - coresight: etb10: Do not call smp_processor_id from preemptible
    - coresight: tmc-etf: Do not call smp_processor_id from preemptible
    - libertas: Fix two buffer overflows at parsing bss descriptor
    - media: v4l2-ioctl.c: zero reserved fields for S/TRY_FMT
    - scsi: iscsi: Avoid potential deadlock in iscsi_if_rx func
    - md: Avoid namespace collision with bitmap API
    - bitmap: Add bitmap_alloc(), bitmap_zalloc() and bitmap_free()
    - netfilter: ipset: use bitmap infrastructure completely
    - net/x25: fix nonblocking connect
    - net: bcmgenet: Use netif_tx_napi_add() for TX NAPI
    - Revert "udp: do rmem bulk free even if the rx sk queue is empty"
    - tcp: do not leave dangling pointers in tp->highest_sack
    - tun: add mutex_unlock() call and napi.skb clearing in tun_get_user()
    - PCI: Mark AMD Navi14 GPU rev 0xc5 ATS as broken
    - net/sonic: Add mutual exclusion for accessing shared state
    - net/sonic: Clear interrupt flags immediately
    - net/sonic: Use MMIO accessors
    - net/sonic: Fix interface error stats collection
    - net/sonic: Fix receive buffer handling
    - net/sonic: Avoid needless receive descriptor EOL flag updates
    - net/sonic: Improve receive descriptor status flag check
    - net/sonic: Fix receive buffer replenishment
    - net/sonic: Quiesce SONIC before re-initializing descriptor memory
    - net/sonic: Fix command register usage
    - net/sonic: Fix CAM initialization
    - net/sonic: Prevent tx watchdog timeout
    - crypto: geode-aes - switch to skcipher for cbc(aes) fallback
    - mm, sparse: drop pgdat_resize_lock in sparse_add/remove_one_section()
    - drivers/base/memory.c: remove an unnecessary check on NR_MEM_SECTIONS
    - drivers/base/memory.c: clean up relics in function parameters
    - mm, memory_hotplug: update a comment in unregister_memory()
    - drivers/base/memory: pass a block_id to init_memory_block()
  * Miscellaneous Ubuntu changes
    - update dkms package versions

 -- Khalid Elmously <khalid.elmously@canonical.com>  Thu, 19 Mar 2020 02:46:13 -0400

linux-aws-hwe (4.15.0-1063.67~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1063.67~16.04.1 -proposed tracker
    (LP: #1865421)

  [ Ubuntu: 4.15.0-1063.67 ]

  * bionic/linux-aws: 4.15.0-1063.67 -proposed tracker (LP: #1865269)
  * bionic/linux: 4.15.0-91.92 -proposed tracker (LP: #1865109)
  * CVE-2020-2732
    - KVM: x86: emulate RDPID
    - KVM: nVMX: Don't emulate instructions in guest mode
    - KVM: nVMX: Refactor IO bitmap checks into helper function
    - KVM: nVMX: Check IO instruction VM-exit conditions

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Tue, 03 Mar 2020 17:15:39 +0800

linux-aws-hwe (4.15.0-1062.66~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1062.66~16.04.1 -proposed tracker
    (LP: #1864733)

  [ Ubuntu: 4.15.0-1062.66 ]

  * bionic/linux-aws: 4.15.0-1062.66 -proposed tracker (LP: #1864734)
  * bionic/linux: 4.15.0-90.91 -proposed tracker (LP: #1864753)
  * dkms artifacts may expire from the pool (LP: #1850958)
    - [Packaging] autoreconstruct -- manage executable debian files
    - [packaging] handle downloads from the librarian better
  * bionic/linux: 4.15.0-90.90 -proposed tracker (LP: #1864753)
  * vm-segv from ubuntu_stress_smoke_test failed on B (LP: #1864063)
    - Revert "apparmor: don't try to replace stale label in ptrace access check"

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 27 Feb 2020 12:42:10 +0100

linux-aws-hwe (4.15.0-1061.65~16.04.2) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1061.65~16.04.2 -proposed tracker
    (LP: #1863320)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  [ Ubuntu: 4.15.0-1061.65 ]

  * bionic/linux-aws: 4.15.0-1061.65 -proposed tracker (LP: #1863325)
  * dkms artifacts may expire from the pool (LP: #1850958)
    - [Packaging] autoreconstruct -- manage executable debian files
    - [packaging] handle downloads from the librarian better
  * Root can lift kernel lockdown via USB/IP (LP: #1861238)
    - aws: [Config] Update config for sysrq lockdown revert
  * bionic/linux: 4.15.0-89.89 -proposed tracker (LP: #1863350)
  * [SRU][B/OEM-B] Fix multitouch support on some devices (LP: #1862567)
    - HID: core: move the dynamic quirks handling in core
    - HID: quirks: move the list of special devices into a quirk
    - HID: core: move the list of ignored devices in hid-quirks.c
    - HID: core: remove the absolute need of hid_have_special_driver[]
  * [linux] Patch to prevent possible data corruption (LP: #1848739)
    - blk-mq: silence false positive warnings in hctx_unlock()
  * Add bpftool to linux-tools-common (LP: #1774815)
    - tools/bpftool: fix bpftool build with bintutils >= 2.9
    - bpftool: make libbfd optional
    - [Debian] Remove binutils-dev build dependency
    - [Debian] package bpftool in linux-tools-common
  * Root can lift kernel lockdown via USB/IP (LP: #1861238)
    - Revert "UBUNTU: SAUCE: (efi-lockdown) Add a SysRq option to lift kernel
      lockdown"
  * [Bionic] i915 incomplete fix for CVE-2019-14615 (LP: #1862840) //
    CVE-2020-8832
    - drm/i915: Use same test for eviction and submitting kernel context
    - drm/i915: Define an engine class enum for the uABI
    - drm/i915: Force the switch to the i915->kernel_context
    - drm/i915: Move GT powersaving init to i915_gem_init()
    - drm/i915: Move intel_init_clock_gating() to i915_gem_init()
    - drm/i915: Inline intel_modeset_gem_init()
    - drm/i915: Mark the context state as dirty/written
    - drm/i915: Record the default hw state after reset upon load
  * Bionic update: upstream stable patchset 2020-02-12 (LP: #1863019)
    - xfs: Sanity check flags of Q_XQUOTARM call
    - mfd: intel-lpss: Add default I2C device properties for Gemini Lake
    - powerpc/archrandom: fix arch_get_random_seed_int()
    - tipc: fix wrong timeout input for tipc_wait_for_cond()
    - mt7601u: fix bbp version check in mt7601u_wait_bbp_ready
    - crypto: sun4i-ss - fix big endian issues
    - drm/sti: do not remove the drm_bridge that was never added
    - drm/virtio: fix bounds check in virtio_gpu_cmd_get_capset()
    - ALSA: hda: fix unused variable warning
    - apparmor: don't try to replace stale label in ptrace access check
    - PCI: iproc: Remove PAXC slot check to allow VF support
    - drm/hisilicon: hibmc: Don't overwrite fb helper surface depth
    - IB/rxe: replace kvfree with vfree
    - IB/hfi1: Add mtu check for operational data VLs
    - ALSA: usb-audio: update quirk for B&W PX to remove microphone
    - staging: comedi: ni_mio_common: protect register write overflow
    - pwm: lpss: Release runtime-pm reference from the driver's remove callback
    - drm/sun4i: hdmi: Fix double flag assignation
    - mlxsw: reg: QEEC: Add minimum shaper fields
    - NTB: ntb_hw_idt: replace IS_ERR_OR_NULL with regular NULL checks
    - pcrypt: use format specifier in kobject_add
    - exportfs: fix 'passing zero to ERR_PTR()' warning
    - drm/dp_mst: Skip validating ports during destruction, just ref
    - net: phy: Fix not to call phy_resume() if PHY is not attached
    - IB/rxe: Fix incorrect cache cleanup in error flow
    - staging: bcm2835-camera: Abort probe if there is no camera
    - switchtec: Remove immediate status check after submitting MRPC command
    - pinctrl: sh-pfc: r8a7740: Add missing REF125CK pin to gether_gmii group
    - pinctrl: sh-pfc: r8a7740: Add missing LCD0 marks to lcd0_data24_1 group
    - pinctrl: sh-pfc: r8a7791: Remove bogus ctrl marks from qspi_data4_b group
    - pinctrl: sh-pfc: r8a7791: Remove bogus marks from vin1_b_data18 group
    - pinctrl: sh-pfc: sh73a0: Add missing TO pin to tpu4_to3 group
    - pinctrl: sh-pfc: r8a7794: Remove bogus IPSR9 field
    - pinctrl: sh-pfc: sh7734: Add missing IPSR11 field
    - pinctrl: sh-pfc: r8a77995: Remove bogus SEL_PWM[0-3]_3 configurations
    - pinctrl: sh-pfc: sh7269: Add missing PCIOR0 field
    - pinctrl: sh-pfc: sh7734: Remove bogus IPSR10 value
    - vxlan: changelink: Fix handling of default remotes
    - Input: nomadik-ske-keypad - fix a loop timeout test
    - clk: highbank: fix refcount leak in hb_clk_init()
    - clk: qoriq: fix refcount leak in clockgen_init()
    - clk: socfpga: fix refcount leak
    - clk: samsung: exynos4: fix refcount leak in exynos4_get_xom()
    - clk: imx6q: fix refcount leak in imx6q_clocks_init()
    - clk: imx6sx: fix refcount leak in imx6sx_clocks_init()
    - clk: imx7d: fix refcount leak in imx7d_clocks_init()
    - clk: vf610: fix refcount leak in vf610_clocks_init()
    - clk: armada-370: fix refcount leak in a370_clk_init()
    - clk: kirkwood: fix refcount leak in kirkwood_clk_init()
    - clk: armada-xp: fix refcount leak in axp_clk_init()
    - clk: mv98dx3236: fix refcount leak in mv98dx3236_clk_init()
    - clk: dove: fix refcount leak in dove_clk_init()
    - MIPS: BCM63XX: drop unused and broken DSP platform device
    - IB/usnic: Fix out of bounds index check in query pkey
    - RDMA/ocrdma: Fix out of bounds index check in query pkey
    - RDMA/qedr: Fix out of bounds index check in query pkey
    - drm/shmob: Fix return value check in shmob_drm_probe
    - arm64: dts: apq8016-sbc: Increase load on l11 for SDCARD
    - spi: cadence: Correct initialisation of runtime PM
    - RDMA/iw_cxgb4: Fix the unchecked ep dereference
    - drm/etnaviv: NULL vs IS_ERR() buf in etnaviv_core_dump()
    - media: s5p-jpeg: Correct step and max values for
      V4L2_CID_JPEG_RESTART_INTERVAL
    - kbuild: mark prepare0 as PHONY to fix external module build
    - crypto: brcm - Fix some set-but-not-used warning
    - crypto: tgr192 - fix unaligned memory access
    - ASoC: imx-sgtl5000: put of nodes if finding codec fails
    - IB/iser: Pass the correct number of entries for dma mapped SGL
    - rtc: cmos: ignore bogus century byte
    - spi/topcliff_pch: Fix potential NULL dereference on allocation error
    - clk: sunxi-ng: sun8i-a23: Enable PLL-MIPI LDOs when ungating it
    - iwlwifi: mvm: avoid possible access out of array.
    - net/mlx5: Take lock with IRQs disabled to avoid deadlock
    - iwlwifi: mvm: fix A-MPDU reference assignment
    - tty: ipwireless: Fix potential NULL pointer dereference
    - driver: uio: fix possible memory leak in __uio_register_device
    - driver: uio: fix possible use-after-free in __uio_register_device
    - crypto: crypto4xx - Fix wrong ppc4xx_trng_probe()/ppc4xx_trng_remove()
      arguments
    - driver core: Do not resume suppliers under device_links_write_lock()
    - ARM: dts: lpc32xx: add required clocks property to keypad device node
    - ARM: dts: lpc32xx: reparent keypad controller to SIC1
    - ARM: dts: lpc32xx: fix ARM PrimeCell LCD controller variant
    - ARM: dts: lpc32xx: fix ARM PrimeCell LCD controller clocks property
    - ARM: dts: lpc32xx: phy3250: fix SD card regulator voltage
    - iwlwifi: mvm: fix RSS config command
    - staging: most: cdev: add missing check for cdev_add failure
    - rtc: ds1672: fix unintended sign extension
    - thermal: mediatek: fix register index error
    - net: phy: fixed_phy: Fix fixed_phy not checking GPIO
    - rtc: ds1307: rx8130: Fix alarm handling
    - rtc: 88pm860x: fix unintended sign extension
    - rtc: 88pm80x: fix unintended sign extension
    - rtc: pm8xxx: fix unintended sign extension
    - fbdev: chipsfb: remove set but not used variable 'size'
    - iw_cxgb4: use tos when importing the endpoint
    - iw_cxgb4: use tos when finding ipv6 routes
    - drm/etnaviv: potential NULL dereference
    - pinctrl: sh-pfc: emev2: Add missing pinmux functions
    - pinctrl: sh-pfc: r8a7791: Fix scifb2_data_c pin group
    - pinctrl: sh-pfc: r8a7792: Fix vin1_data18_b pin group
    - pinctrl: sh-pfc: sh73a0: Fix fsic_spdif pin groups
    - PCI: endpoint: functions: Use memcpy_fromio()/memcpy_toio()
    - usb: phy: twl6030-usb: fix possible use-after-free on remove
    - block: don't use bio->bi_vcnt to figure out segment number
    - keys: Timestamp new keys
    - vfio_pci: Enable memory accesses before calling pci_map_rom
    - hwmon: (pmbus/tps53679) Fix driver info initialization in probe routine
    - KVM: PPC: Release all hardware TCE tables attached to a group
    - staging: r8822be: check kzalloc return or bail
    - dmaengine: mv_xor: Use correct device for DMA API
    - cdc-wdm: pass return value of recover_from_urb_loss
    - regulator: pv88060: Fix array out-of-bounds access
    - regulator: pv88080: Fix array out-of-bounds access
    - regulator: pv88090: Fix array out-of-bounds access
    - net: dsa: qca8k: Enable delay for RGMII_ID mode
    - drm/nouveau/bios/ramcfg: fix missing parentheses when calculating RON
    - drm/nouveau/pmu: don't print reply values if exec is false
    - ASoC: qcom: Fix of-node refcount unbalance in apq8016_sbc_parse_of()
    - fs/nfs: Fix nfs_parse_devname to not modify it's argument
    - staging: rtlwifi: Use proper enum for return in halmac_parse_psd_data_88xx
    - powerpc/64s: Fix logic when handling unknown CPU features
    - NFS: Fix a soft lockup in the delegation recovery code
    - clocksource/drivers/sun5i: Fail gracefully when clock rate is unavailable
    - clocksource/drivers/exynos_mct: Fix error path in timer resources
      initialization
    - platform/x86: wmi: fix potential null pointer dereference
    - NFS/pnfs: Bulk destroy of layouts needs to be safe w.r.t. umount
    - mmc: sdhci-brcmstb: handle mmc_of_parse() errors during probe
    - ARM: 8847/1: pm: fix HYP/SVC mode mismatch when MCPM is used
    - ARM: 8848/1: virt: Align GIC version check with arm64 counterpart
    - regulator: wm831x-dcdc: Fix list of wm831x_dcdc_ilim from mA to uA
    - netfilter: nft_set_hash: fix lookups with fixed size hash on big endian
    - NFSv4/flexfiles: Fix invalid deref in FF_LAYOUT_DEVID_NODE()
    - net: aquantia: fixed instack structure overflow
    - powerpc/mm: Check secondary hash page table
    - nios2: ksyms: Add missing symbol exports
    - x86/mm: Remove unused variable 'cpu'
    - scsi: megaraid_sas: reduce module load time
    - drivers/rapidio/rio_cm.c: fix potential oops in riocm_ch_listen()
    - xen, cpu_hotplug: Prevent an out of bounds access
    - net: sh_eth: fix a missing check of of_get_phy_mode
    - regulator: lp87565: Fix missing register for LP87565_BUCK_0
    - media: ivtv: update *pos correctly in ivtv_read_pos()
    - media: cx18: update *pos correctly in cx18_read_pos()
    - media: wl128x: Fix an error code in fm_download_firmware()
    - media: cx23885: check allocation return
    - regulator: tps65086: Fix tps65086_ldoa1_ranges for selector 0xB
    - jfs: fix bogus variable self-initialization
    - tipc: tipc clang warning
    - m68k: mac: Fix VIA timer counter accesses
    - arm64: dts: allwinner: a64: Add missing PIO clocks
    - ARM: OMAP2+: Fix potentially uninitialized return value for _setup_reset()
    - media: davinci-isif: avoid uninitialized variable use
    - media: tw5864: Fix possible NULL pointer dereference in tw5864_handle_frame
    - spi: tegra114: clear packed bit for unpacked mode
    - spi: tegra114: fix for unpacked mode transfers
    - spi: tegra114: terminate dma and reset on transfer timeout
    - spi: tegra114: flush fifos
    - spi: tegra114: configure dma burst size to fifo trig level
    - soc/fsl/qe: Fix an error code in qe_pin_request()
    - spi: bcm2835aux: fix driver to not allow 65535 (=-1) cs-gpios
    - ehea: Fix a copy-paste err in ehea_init_port_res
    - scsi: qla2xxx: Unregister chrdev if module initialization fails
    - scsi: target/core: Fix a race condition in the LUN lookup code
    - ARM: pxa: ssp: Fix "WARNING: invalid free of devm_ allocated data"
    - net: hns3: fix for vport->bw_limit overflow problem
    - hwmon: (w83627hf) Use request_muxed_region for Super-IO accesses
    - platform/x86: alienware-wmi: fix kfree on potentially uninitialized pointer
    - tipc: set sysctl_tipc_rmem and named_timeout right range
    - selftests/ipc: Fix msgque compiler warnings
    - powerpc: vdso: Make vdso32 installation conditional in vdso_install
    - ARM: dts: ls1021: Fix SGMII PCS link remaining down after PHY disconnect
    - media: ov2659: fix unbalanced mutex_lock/unlock
    - 6lowpan: Off by one handling ->nexthdr
    - dmaengine: axi-dmac: Don't check the number of frames for alignment
    - ALSA: usb-audio: Handle the error from snd_usb_mixer_apply_create_quirk()
    - NFS: Don't interrupt file writeout due to fatal errors
    - irqchip/gic-v3-its: fix some definitions of inner cacheability attributes
    - scsi: qla2xxx: Fix a format specifier
    - scsi: qla2xxx: Avoid that qlt_send_resp_ctio() corrupts memory
    - packet: in recvmsg msg_name return at least sizeof sockaddr_ll
    - ASoC: fix valid stream condition
    - usb: gadget: fsl: fix link error against usb-gadget module
    - dwc2: gadget: Fix completed transfer size calculation in DDMA
    - IB/mlx5: Add missing XRC options to QP optional params mask
    - iommu/vt-d: Make kernel parameter igfx_off work with vIOMMU
    - dmaengine: tegra210-adma: restore channel status
    - mmc: core: fix possible use after free of host
    - lightnvm: pblk: fix lock order in pblk_rb_tear_down_check
    - afs: Fix the afs.cell and afs.volume xattr handlers
    - vfio/mdev: Avoid release parent reference during error path
    - vfio/mdev: Fix aborting mdev child device removal if one fails
    - l2tp: Fix possible NULL pointer dereference
    - media: omap_vout: potential buffer overflow in vidioc_dqbuf()
    - media: davinci/vpbe: array underflow in vpbe_enum_outputs()
    - platform/x86: alienware-wmi: printing the wrong error code
    - crypto: caam - fix caam_dump_sg that iterates through scatterlist
    - netfilter: ebtables: CONFIG_COMPAT: reject trailing data after last rule
    - pwm: meson: Consider 128 a valid pre-divider
    - pwm: meson: Don't disable PWM when setting duty repeatedly
    - ARM: riscpc: fix lack of keyboard interrupts after irq conversion
    - kdb: do a sanity check on the cpu in kdb_per_cpu()
    - backlight: lm3630a: Return 0 on success in update_status functions
    - thermal: cpu_cooling: Actually trace CPU load in thermal_power_cpu_get_power
    - EDAC/mc: Fix edac_mc_find() in case no device is found
    - ARM: dts: sun8i-h3: Fix wifi in Beelink X2 DT
    - dmaengine: tegra210-adma: Fix crash during probe
    - arm64: dts: meson: libretech-cc: set eMMC as removable
    - RDMA/qedr: Fix incorrect device rate.
    - spi: spi-fsl-spi: call spi_finalize_current_message() at the end
    - crypto: ccp - fix AES CFB error exposed by new test vectors
    - crypto: ccp - Fix 3DES complaint from ccp-crypto module
    - serial: stm32: fix rx error handling
    - serial: stm32: fix transmit_chars when tx is stopped
    - serial: stm32: Add support of TC bit status check
    - serial: stm32: fix wakeup source initialization
    - misc: sgi-xp: Properly initialize buf in xpc_get_rsvd_page_pa
    - iommu: Use right function to get group for device
    - signal/cifs: Fix cifs_put_tcp_session to call send_sig instead of force_sig
    - inet: frags: call inet_frags_fini() after unregister_pernet_subsys()
    - netvsc: unshare skb in VF rx handler
    - cpufreq: brcmstb-avs-cpufreq: Fix initial command check
    - cpufreq: brcmstb-avs-cpufreq: Fix types for voltage/frequency
    - media: vivid: fix incorrect assignment operation when setting video mode
    - mpls: fix warning with multi-label encap
    - iommu/vt-d: Duplicate iommu_resv_region objects per device list
    - qed: iWARP - Use READ_ONCE and smp_store_release to access ep->state
    - powerpc/cacheinfo: add cacheinfo_teardown, cacheinfo_rebuild
    - powerpc/pseries/mobility: rebuild cacheinfo hierarchy post-migration
    - drm/msm/mdp5: Fix mdp5_cfg_init error return
    - net: netem: fix backlog accounting for corrupted GSO frames
    - net/af_iucv: always register net_device notifier
    - ASoC: ti: davinci-mcasp: Fix slot mask settings when using multiple AXRs
    - rtc: pcf8563: Fix interrupt trigger method
    - rtc: pcf8563: Clear event flags and disable interrupts before requesting irq
    - drm/msm/a3xx: remove TPL1 regs from snapshot
    - perf/ioctl: Add check for the sample_period value
    - dmaengine: hsu: Revert "set HSU_CH_MTSR to memory width"
    - clk: qcom: Fix -Wunused-const-variable
    - nvmem: imx-ocotp: Ensure WAIT bits are preserved when setting timing
    - bnxt_en: Fix ethtool selftest crash under error conditions.
    - iommu/amd: Make iommu_disable safer
    - mfd: intel-lpss: Release IDA resources
    - rxrpc: Fix uninitialized error code in rxrpc_send_data_packet()
    - devres: allow const resource arguments
    - net: pasemi: fix an use-after-free in pasemi_mac_phy_init()
    - scsi: libfc: fix null pointer dereference on a null lport
    - clk: sunxi-ng: v3s: add the missing PLL_DDR1
    - PM: sleep: Fix possible overflow in pm_system_cancel_wakeup()
    - libertas_tf: Use correct channel range in lbtf_geo_init
    - qed: reduce maximum stack frame size
    - usb: host: xhci-hub: fix extra endianness conversion
    - mic: avoid statically declaring a 'struct device'.
    - x86/kgbd: Use NMI_VECTOR not APIC_DM_NMI
    - crypto: ccp - Reduce maximum stack usage
    - ALSA: aoa: onyx: always initialize register read value
    - tipc: reduce risk of wakeup queue starvation
    - ARM: dts: stm32: add missing vdda-supply to adc on stm32h743i-eval
    - net/mlx5: Fix mlx5_ifc_query_lag_out_bits
    - cifs: fix rmmod regression in cifs.ko caused by force_sig changes
    - crypto: caam - free resources in case caam_rng registration failed
    - ext4: set error return correctly when ext4_htree_store_dirent fails
    - ASoC: es8328: Fix copy-paste error in es8328_right_line_controls
    - ASoC: cs4349: Use PM ops 'cs4349_runtime_pm'
    - ASoC: wm8737: Fix copy-paste error in wm8737_snd_controls
    - net/rds: Add a few missing rds_stat_names entries
    - bnxt_en: Fix handling FRAG_ERR when NVM_INSTALL_UPDATE cmd fails
    - signal: Allow cifs and drbd to receive their terminating signals
    - ASoC: sun4i-i2s: RX and TX counter registers are swapped
    - dmaengine: dw: platform: Switch to acpi_dma_controller_register()
    - mac80211: minstrel_ht: fix per-group max throughput rate initialization
    - media: atmel: atmel-isi: fix timeout value for stop streaming
    - rtc: pcf2127: bugfix: read rtc disables watchdog
    - mips: avoid explicit UB in assignment of mips_io_port_base
    - iommu/mediatek: Fix iova_to_phys PA start for 4GB mode
    - ahci: Do not export local variable ahci_em_messages
    - Partially revert "kfifo: fix kfifo_alloc() and kfifo_init()"
    - hwmon: (lm75) Fix write operations for negative temperatures
    - power: supply: Init device wakeup after device_add()
    - x86, perf: Fix the dependency of the x86 insn decoder selftest
    - staging: greybus: light: fix a couple double frees
    - irqdomain: Add the missing assignment of domain->fwnode for named fwnode
    - bcma: fix incorrect update of BCMA_CORE_PCI_MDIO_DATA
    - iio: dac: ad5380: fix incorrect assignment to val
    - ath9k: dynack: fix possible deadlock in ath_dynack_node_{de}init
    - tty: serial: fsl_lpuart: Use appropriate lpuart32_* I/O funcs
    - net: sonic: return NETDEV_TX_OK if failed to map buffer
    - scsi: fnic: fix msix interrupt allocation
    - Btrfs: fix hang when loading existing inode cache off disk
    - Btrfs: fix inode cache waiters hanging on failure to start caching thread
    - Btrfs: fix inode cache waiters hanging on path allocation failure
    - btrfs: use correct count in btrfs_file_write_iter()
    - ixgbe: sync the first fragment unconditionally
    - hwmon: (shtc1) fix shtc1 and shtw1 id mask
    - net: sonic: replace dev_kfree_skb in sonic_send_packet
    - pinctrl: iproc-gpio: Fix incorrect pinconf configurations
    - ath10k: adjust skb length in ath10k_sdio_mbox_rx_packet
    - RDMA/cma: Fix false error message
    - net/rds: Fix 'ib_evt_handler_call' element in 'rds_ib_stat_names'
    - iommu/amd: Wait for completion of IOTLB flush in attach_device
    - net: aquantia: Fix aq_vec_isr_legacy() return value
    - net: hisilicon: Fix signedness bug in hix5hd2_dev_probe()
    - net: broadcom/bcmsysport: Fix signedness in bcm_sysport_probe()
    - net: stmmac: dwmac-meson8b: Fix signedness bug in probe
    - net: axienet: fix a signedness bug in probe
    - of: mdio: Fix a signedness bug in of_phy_get_and_connect()
    - net: ethernet: stmmac: Fix signedness bug in ipq806x_gmac_of_parse()
    - nvme: retain split access workaround for capability reads
    - net: stmmac: gmac4+: Not all Unicast addresses may be available
    - mac80211: accept deauth frames in IBSS mode
    - llc: fix another potential sk_buff leak in llc_ui_sendmsg()
    - llc: fix sk_buff refcounting in llc_conn_state_process()
    - net: stmmac: fix length of PTP clock's name string
    - act_mirred: Fix mirred_init_module error handling
    - net: avoid possible false sharing in sk_leave_memory_pressure()
    - net: add {READ|WRITE}_ONCE() annotations on ->rskq_accept_head
    - tcp: annotate lockless access to tcp_memory_pressure
    - drm/msm/dsi: Implement reset correctly
    - dmaengine: imx-sdma: fix size check for sdma script_number
    - net: netem: fix error path for corrupted GSO frames
    - net: netem: correct the parent's backlog when corrupted packet was dropped
    - net: qca_spi: Move reset_count to struct qcaspi
    - afs: Fix large file support
    - MIPS: Loongson: Fix return value of loongson_hwmon_init
    - hv_netvsc: flag software created hash value
    - net: neigh: use long type to store jiffies delta
    - packet: fix data-race in fanout_flow_is_huge()
    - mmc: sdio: fix wl1251 vendor id
    - mmc: core: fix wl1251 sdio quirks
    - affs: fix a memory leak in affs_remount
    - dmaengine: ti: edma: fix missed failure handling
    - drm/radeon: fix bad DMA from INTERRUPT_CNTL2
    - arm64: dts: juno: Fix UART frequency
    - IB/iser: Fix dma_nents type definition
    - serial: stm32: fix clearing interrupt error flags
    - m68k: Call timer_interrupt() with interrupts disabled
    - SUNRPC: Fix svcauth_gss_proxy_init()
    - perf map: No need to adjust the long name of modules
    - ipmi: Fix memory leak in __ipmi_bmc_register
    - apparmor: Fix network performance issue in aa_label_sk_perm
    - firmware: coreboot: Let OF core populate platform device
    - bridge: br_arp_nd_proxy: set icmp6_router if neigh has NTF_ROUTER
    - signal/ia64: Use the generic force_sigsegv in setup_frame
    - ASoC: wm9712: fix unused variable warning
    - genirq/debugfs: Reinstate full OF path for domain name
    - usb: gadget: fsl_udc_core: check allocation return value and cleanup on
      failure
    - cfg80211: regulatory: make initialization more robust
    - net: socionext: Add dummy PHY register read in phy_write()
    - mlxsw: spectrum: Set minimum shaper on MC TCs
    - pinctrl: meson-gxl: remove invalid GPIOX tsin_a pins
    - drm: rcar-du: Fix vblank initialization
    - arm64: dts: meson-gx: Add hdmi_5v regulator as hdmi tx supply
    - IB/hfi1: Correctly process FECN and BECN in packets
    - OPP: Fix missing debugfs supply directory for OPPs
    - staging: bcm2835-camera: fix module autoloading
    - fork,memcg: fix crash in free_thread_stack on memcg charge fail
    - arm64: defconfig: Re-enable bcm2835-thermal driver
    - remoteproc: qcom: q6v5-mss: Add missing clocks for MSM8996
    - remoteproc: qcom: q6v5-mss: Add missing regulator for MSM8996
    - drm: Fix error handling in drm_legacy_addctx
    - ARM: dts: r8a7743: Remove generic compatible string from iic3
    - drm/etnaviv: fix some off by one bugs
    - fork, memcg: fix cached_stacks case
    - net: hns3: fix wrong combined count returned by ethtool -l
    - net: hns3: fix bug of ethtool_ops.get_channels for VF
    - ARM: dts: sun8i-a23-a33: Move NAND controller device node to sort by address
    - clk: ingenic: jz4740: Fix gating of UDC clock
    - ntb_hw_switchtec: NT req id mapping table register entry number should be
      512
    - net: dsa: b53: Fix default VLAN ID
    - net: dsa: b53: Properly account for VLAN filtering
    - net: dsa: b53: Do not program CPU port's PVID
    - drm/nouveau: fix missing break in switch statement
    - net: dsa: fix unintended change of bridge interface STP state
    - perf: Copy parent's address filter offsets on clone
    - netfilter: nft_set_hash: bogus element self comparison from deactivation
      path
    - iommu/vt-d: Fix NULL pointer reference in intel_svm_bind_mm()
    - NFS: Add missing encode / decode sequence_maxsz to v4.2 operations
    - ARM: dts: sun8i: a33: Reintroduce default pinctrl muxing
    - ARM: dts: sun9i: optimus: Fix fixed-regulators
    - bus: ti-sysc: Fix sysc_unprepare() when no clocks have been allocated
    - arm64/vdso: don't leak kernel addresses
    - rtc: mt6397: Don't call irq_dispose_mapping.
    - bpf: Add missed newline in verifier verbose log
    - ACPI: button: reinitialize button state upon resume
    - soc: amlogic: meson-gx-pwrc-vpu: Fix power on/off register bitmask
    - net: hns3: fix loop condition of hns3_get_tx_timeo_queue_info()
    - afs: Fix AFS file locking to allow fine grained locks
    - afs: Further fix file locking
    - scsi: qla2xxx: Fix error handling in qlt_alloc_qfull_cmd()
    - KVM: PPC: Book3S HV: Fix lockdep warning when entering the guest
    - vfio/mdev: Follow correct remove sequence
    - ALSA: aica: Fix a long-time build breakage
    - nfp: bpf: fix static check error through tightening shift amount adjustment
    - thermal: rcar_gen3_thermal: fix interrupt type
    - afs: Fix lock-wait/callback-break double locking
    - afs: Fix double inc of vnode->cb_break
    - clk: meson: gxbb: no spread spectrum on mpll0
    - serial: stm32: fix word length configuration
    - serial: stm32: fix rx data length when parity enabled
    - net: hns3: fix a memory leak issue for hclge_map_unmap_ring_to_vf_vector
    - crypto: talitos - fix AEAD processing.
    - net: don't clear sock->sk early to avoid trouble in strparser
    - crypto: inside-secure - fix zeroing of the request in ahash_exit_inv
    - arm64: dts: meson-gxm-khadas-vim2: fix gpio-keys-polled node
    - arm64: dts: meson-gxm-khadas-vim2: fix Bluetooth support
    - phy: usb: phy-brcm-usb: Remove sysfs attributes upon driver removal
    - qed: iWARP - fix uninitialized callback
    - IB/hfi1: Handle port down properly in pio
    - net/af_iucv: build proper skbs for HiperTransport
    - ARM: dts: iwg20d-q7-common: Fix SDHI1 VccQ regularor
    - ip6_fib: Don't discard nodes with valid routing information in
      fib6_locate_1()
    - nvmem: imx-ocotp: Change TIMING calculation to u-boot algorithm
    - fork,memcg: alloc_thread_stack_node needs to set tsk->stack
    - PM: ACPI/PCI: Resume all devices during hibernation
    - ACPI: PM: Simplify and fix PM domain hibernation callbacks
    - ACPI: PM: Introduce "poweroff" callbacks for ACPI PM domain and LPSS
    - drm/panel: make drm_panel.h self-contained
    - cxgb4: smt: Add lock for atomic_dec_and_test
    - powerpc/64s/radix: Fix memory hot-unplug page table split
    - rtc: rv3029: revert error handling patch to rv3029_eeprom_write()
    - i40e: reduce stack usage in i40e_set_fc
    - ARM: 8896/1: VDSO: Don't leak kernel addresses
    - rxrpc: Fix lack of conn cleanup when local endpoint is cleaned up [ver #2]
    - usb: typec: tps6598x: Fix build error without CONFIG_REGMAP_I2C
    - bcache: Fix an error code in bch_dump_read()
    - ARM: dts: aspeed-g5: Fixe gpio-ranges upper limit
    - net: hns3: fix error VF index when setting VLAN offload
    - mailbox: qcom-apcs: fix max_register value
    - powerpc/mm/mce: Keep irqs disabled during lockless page table walk
    - net: netsec: Fix signedness bug in netsec_probe()
    - s390/qeth: Fix error handling during VNICC initialization
    - s390/qeth: Fix initialization of vnicc cmd masks during set online
    - vhost/test: stop device before reset
    - arm64: hibernate: check pgd table allocation
    - afs: Fix missing timeout reset
    - hwrng: omap3-rom - Fix missing clock by probing with device tree
    - arm64: dts: meson-gxm-khadas-vim2: fix uart_A bluetooth node
  * Bionic update: upstream stable patchset 2020-02-06 (LP: #1862259)
    - dt-bindings: reset: meson8b: fix duplicate reset IDs
    - clk: Don't try to enable critical clocks if prepare failed
    - ASoC: msm8916-wcd-analog: Fix selected events for MIC BIAS External1
    - ALSA: seq: Fix racy access for queue timer in proc read
    - Fix built-in early-load Intel microcode alignment
    - block: fix an integer overflow in logical block size
    - ARM: dts: am571x-idk: Fix gpios property to have the correct gpio number
    - iio: buffer: align the size of scan bytes to size of the largest element
    - USB: serial: simple: Add Motorola Solutions TETRA MTP3xxx and MTP85xx
    - USB: serial: option: Add support for Quectel RM500Q
    - USB: serial: opticon: fix control-message timeouts
    - USB: serial: option: add support for Quectel RM500Q in QDL mode
    - USB: serial: suppress driver bind attributes
    - USB: serial: ch341: handle unbound port at reset_resume
    - USB: serial: io_edgeport: add missing active-port sanity check
    - USB: serial: keyspan: handle unbound ports
    - USB: serial: quatech2: handle unbound ports
    - scsi: fnic: fix invalid stack access
    - scsi: mptfusion: Fix double fetch bug in ioctl
    - ptrace: reintroduce usage of subjective credentials in ptrace_has_cap()
    - usb: core: hub: Improved device recognition on remote wakeup
    - x86/resctrl: Fix an imbalance in domain_remove_cpu()
    - x86/efistub: Disable paging at mixed mode entry
    - perf hists: Fix variable name's inconsistency in hists__for_each() macro
    - perf report: Fix incorrectly added dimensions as switch perf data file
    - mm/shmem.c: thp, shmem: fix conflict of above-47bit hint address and PMD
      alignment
    - btrfs: fix memory leak in qgroup accounting
    - mm/page-writeback.c: avoid potential division by zero in wb_min_max_ratio()
    - net: stmmac: 16KB buffer must be 16 byte aligned
    - net: stmmac: Enable 16KB buffer size
    - USB: serial: io_edgeport: use irqsave() in USB's complete callback
    - USB: serial: io_edgeport: handle unbound ports on URB completion
    - mm/huge_memory.c: make __thp_get_unmapped_area static
    - mm/huge_memory.c: thp: fix conflict of above-47bit hint address and PMD
      alignment
    - arm64: dts: agilex/stratix10: fix pmu interrupt numbers
    - cfg80211: fix page refcount issue in A-MSDU decap
    - netfilter: fix a use-after-free in mtype_destroy()
    - netfilter: arp_tables: init netns pointer in xt_tgdtor_param struct
    - NFC: pn533: fix bulk-message timeout
    - batman-adv: Fix DAT candidate selection on little endian systems
    - macvlan: use skb_reset_mac_header() in macvlan_queue_xmit()
    - hv_netvsc: Fix memory leak when removing rndis device
    - net: dsa: tag_qca: fix doubled Tx statistics
    - net: hns: fix soft lockup when there is not enough memory
    - net: usb: lan78xx: limit size of local TSO packets
    - net/wan/fsl_ucc_hdlc: fix out of bounds write on array utdm_info
    - ptp: free ptp device pin descriptors properly
    - r8152: add missing endpoint sanity check
    - tcp: fix marked lost packets not being retransmitted
    - xen/blkfront: Adjust indentation in xlvbd_alloc_gendisk
    - cw1200: Fix a signedness bug in cw1200_load_firmware()
    - arm64: dts: meson-gxl-s905x-khadas-vim: fix gpio-keys-polled node
    - cfg80211: check for set_wiphy_params
    - tick/sched: Annotate lockless access to last_jiffies_update
    - Revert "arm64: dts: juno: add dma-ranges property"
    - reiserfs: fix handling of -EOPNOTSUPP in reiserfs_for_each_xattr
    - scsi: esas2r: unlock on error in esas2r_nvram_read_direct()
    - scsi: qla4xxx: fix double free bug
    - scsi: bnx2i: fix potential use after free
    - scsi: target: core: Fix a pr_debug() argument
    - scsi: qla2xxx: Fix qla2x00_request_irqs() for MSI
    - scsi: qla2xxx: fix rports not being mark as lost in sync fabric scan
    - scsi: core: scsi_trace: Use get_unaligned_be*()
    - perf probe: Fix wrong address verification
    - regulator: ab8500: Remove SYSCLKREQ from enum ab8505_regulator_id
    - ARM: dts: meson8: fix the size of the PMU registers
    - LSM: generalize flag passing to security_capable
    - drm/i915: Add missing include file <linux/math64.h>
    - btrfs: do not delete mismatched root refs
    - ARM: dts: imx6qdl: Add Engicam i.Core 1.5 MX6
    - ARM: dts: imx7: Fix Toradex Colibri iMX7S 256MB NAND flash support
    - mlxsw: spectrum: Wipe xstats.backlog of down ports
    - tcp: refine rule to allow EPOLLOUT generation under mem pressure
    - mtd: devices: fix mchp23k256 read and write
    - drm/nouveau/bar/nv50: check bar1 vmm return value
    - drm/nouveau/bar/gf100: ensure BAR is mapped
    - drm/nouveau/mmu: qualify vmm during dtor
  * Bionic update: upstream stable patchset 2020-02-04 (LP: #1861934)
    - chardev: Avoid potential use-after-free in 'chrdev_open()'
    - usb: chipidea: host: Disable port power only if previously enabled
    - ALSA: usb-audio: Apply the sample rate quirk for Bose Companion 5
    - ALSA: hda/realtek - Add new codec supported for ALCS1200A
    - ALSA: hda/realtek - Set EAPD control to default for ALC222
    - kernel/trace: Fix do not unregister tracepoints when register
      sched_migrate_task fail
    - tracing: Have stack tracer compile when MCOUNT_INSN_SIZE is not defined
    - HID: Fix slab-out-of-bounds read in hid_field_extract
    - HID: uhid: Fix returning EPOLLOUT from uhid_char_poll
    - can: gs_usb: gs_usb_probe(): use descriptors of current altsetting
    - can: mscan: mscan_rx_poll(): fix rx path lockup when returning from polling
      to irq mode
    - can: can_dropped_invalid_skb(): ensure an initialized headroom in outgoing
      CAN sk_buffs
    - gpiolib: acpi: Turn dmi_system_id table into a generic quirk table
    - gpiolib: acpi: Add honor_wakeup module-option + quirk mechanism
    - staging: vt6656: set usb_set_intfdata on driver fail.
    - USB: serial: option: add ZLP support for 0x1bc7/0x9010
    - usb: musb: fix idling for suspend after disconnect interrupt
    - usb: musb: Disable pullup at init
    - usb: musb: dma: Correct parameter passed to IRQ handler
    - staging: comedi: adv_pci1710: fix AI channels 16-31 for PCI-1713
    - HID: hid-input: clear unmapped usages
    - Input: add safety guards to input_set_keycode()
    - drm/fb-helper: Round up bits_per_pixel if possible
    - drm/dp_mst: correct the shifting in DP_REMOTE_I2C_READ
    - staging: rtl8188eu: Add device code for TP-Link TL-WN727N v5.21
    - tty: link tty and port before configuring it as console
    - tty: always relink the port
    - mwifiex: pcie: Fix memory leak in mwifiex_pcie_alloc_cmdrsp_buf
    - scsi: bfa: release allocated memory in case of error
    - rtl8xxxu: prevent leaking urb
    - arm64: cpufeature: Avoid warnings due to unused symbols
    - HID: hiddev: fix mess in hiddev_open()
    - USB: Fix: Don't skip endpoint descriptors with maxpacket=0
    - phy: cpcap-usb: Fix error path when no host driver is loaded
    - phy: cpcap-usb: Fix flakey host idling and enumerating of devices
    - netfilter: arp_tables: init netns pointer in xt_tgchk_param struct
    - netfilter: ipset: avoid null deref when IPSET_ATTR_LINENO is present
    - ALSA: hda/realtek - Add quirk for the bass speaker on Lenovo Yoga X1 7th gen
    - tracing: Change offset type to s32 in preempt/irq tracepoints
    - serdev: Don't claim unsupported ACPI serial devices
    - netfilter: conntrack: dccp, sctp: handle null timeout argument
    - hidraw: Return EPOLLOUT from hidraw_poll
    - HID: hidraw: Fix returning EPOLLOUT from hidraw_poll
    - HID: hidraw, uhid: Always report EPOLLOUT
    - ethtool: reduce stack usage with clang
    - fs/select: avoid clang stack usage warning
    - arm64: don't open code page table entry creation
    - arm64: mm: Change page table pointer name in p[md]_set_huge()
    - arm64: Enforce BBM for huge IO/VMAP mappings
    - arm64: Make sure permission updates happen for pmd/pud
    - media: usb:zr364xx:Fix KASAN:null-ptr-deref Read in zr364xx_vidioc_querycap
    - wimax: i2400: fix memory leak
    - wimax: i2400: Fix memory leak in i2400m_op_rfkill_sw_toggle
    - iwlwifi: dbg_ini: fix memory leak in alloc_sgtable
    - rtc: mt6397: fix alarm register overwrite
    - RDMA/bnxt_re: Fix Send Work Entry state check while polling completions
    - ASoC: stm32: spdifrx: fix inconsistent lock state
    - ASoC: stm32: spdifrx: fix race condition in irq handler
    - gpio: zynq: Fix for bug in zynq_gpio_restore_context API
    - iommu: Remove device link to group on failure
    - gpio: Fix error message on out-of-range GPIO in lookup table
    - hsr: reset network header when supervision frame is created
    - cifs: Adjust indentation in smb2_open_file
    - btrfs: simplify inode locking for RWF_NOWAIT
    - RDMA/mlx5: Return proper error value
    - RDMA/srpt: Report the SCSI residual to the initiator
    - scsi: enclosure: Fix stale device oops with hot replug
    - scsi: sd: Clear sdkp->protection_type if disk is reformatted without PI
    - platform/x86: asus-wmi: Fix keyboard brightness cannot be set to 0
    - xprtrdma: Fix completion wait during device removal
    - NFSv4.x: Drop the slot if nfs4_delegreturn_prepare waits for layoutreturn
    - iio: imu: adis16480: assign bias value only if operation succeeded
    - mei: fix modalias documentation
    - clk: samsung: exynos5420: Preserve CPU clocks configuration during
      suspend/resume
    - pinctl: ti: iodelay: fix error checking on pinctrl_count_index_with_args
      call
    - pinctrl: lewisburg: Update pin list according to v1.1v6
    - scsi: sd: enable compat ioctls for sed-opal
    - arm64: dts: apq8096-db820c: Increase load on l21 for SDCARD
    - af_unix: add compat_ioctl support
    - compat_ioctl: handle SIOCOUTQNSD
    - PCI/PTM: Remove spurious "d" from granularity message
    - powerpc/powernv: Disable native PCIe port management
    - tty: serial: imx: use the sg count from dma_map_sg
    - tty: serial: pch_uart: correct usage of dma_unmap_sg
    - media: ov6650: Fix incorrect use of JPEG colorspace
    - media: ov6650: Fix some format attributes not under control
    - media: ov6650: Fix .get_fmt() V4L2_SUBDEV_FORMAT_TRY support
    - media: exynos4-is: Fix recursive locking in isp_video_release()
    - mtd: spi-nor: fix silent truncation in spi_nor_read()
    - mtd: spi-nor: fix silent truncation in spi_nor_read_raw()
    - spi: atmel: fix handling of cs_change set on non-last xfer
    - rtlwifi: Remove unnecessary NULL check in rtl_regd_init
    - f2fs: fix potential overflow
    - rtc: msm6242: Fix reading of 10-hour digit
    - gpio: mpc8xxx: Add platform device to gpiochip->parent
    - scsi: libcxgbi: fix NULL pointer dereference in cxgbi_device_destroy()
    - rseq/selftests: Turn off timeout setting
    - mips: cacheinfo: report shared CPU map
    - MIPS: Prevent link failure with kcov instrumentation
    - dmaengine: k3dma: Avoid null pointer traversal
    - ioat: ioat_alloc_ring() failure handling.
    - hexagon: parenthesize registers in asm predicates
    - hexagon: work around compiler crash
    - ocfs2: call journal flush to mark journal as empty after journal recovery
      when mount
    - s390/qeth: Fix vnicc_is_in_use if rx_bcast not set
    - drm/ttm: fix start page for huge page check in ttm_put_pages()
    - drm/ttm: fix incrementing the page pointer for huge pages
    - crypto: virtio - implement missing support for output IVs
    - iommu/mediatek: Correct the flush_iotlb_all callback
    - rtc: brcmstb-waketimer: add missed clk_disable_unprepare
  * Bionic update: upstream stable patchset 2020-02-03 (LP: #1861739)
    - USB: dummy-hcd: use usb_urb_dir_in instead of usb_pipein
    - USB: dummy-hcd: increase max number of devices to 32
    - locking/spinlock/debug: Fix various data races
    - netfilter: ctnetlink: netns exit must wait for callbacks
    - libtraceevent: Fix lib installation with O=
    - x86/efi: Update e820 with reserved EFI boot services data to fix kexec
      breakage
    - efi/gop: Return EFI_NOT_FOUND if there are no usable GOPs
    - efi/gop: Return EFI_SUCCESS if a usable GOP was found
    - efi/gop: Fix memory leak in __gop_query32/64()
    - ARM: vexpress: Set-up shared OPP table instead of individual for each CPU
    - netfilter: uapi: Avoid undefined left-shift in xt_sctp.h
    - netfilter: nf_tables: validate NFT_SET_ELEM_INTERVAL_END
    - ARM: dts: Cygnus: Fix MDIO node address/size cells
    - spi: spi-cavium-thunderx: Add missing pci_release_regions()
    - ASoC: topology: Check return value for soc_tplg_pcm_create()
    - ARM: dts: bcm283x: Fix critical trip point
    - bpf, mips: Limit to 33 tail calls
    - ARM: dts: am437x-gp/epos-evm: fix panel compatible
    - samples: bpf: Replace symbol compare of trace_event
    - samples: bpf: fix syscall_tp due to unused syscall
    - powerpc: Ensure that swiotlb buffer is allocated from low memory
    - bnx2x: Do not handle requests from VFs after parity
    - bnx2x: Fix logic to get total no. of PFs per engine
    - net: usb: lan78xx: Fix error message format specifier
    - rfkill: Fix incorrect check to avoid NULL pointer dereference
    - ASoC: wm8962: fix lambda value
    - regulator: rn5t618: fix module aliases
    - kconfig: don't crash on NULL expressions in expr_eq()
    - perf/x86/intel: Fix PT PMI handling
    - fs: avoid softlockups in s_inodes iterators
    - net: stmmac: Do not accept invalid MTU values
    - net: stmmac: RX buffer size must be 16 byte aligned
    - s390/dasd/cio: Interpret ccw_device_get_mdc return value correctly
    - s390/dasd: fix memleak in path handling error case
    - block: fix memleak when __blk_rq_map_user_iov() is failed
    - parisc: Fix compiler warnings in debug_core.c
    - llc2: Fix return statement of llc_stat_ev_rx_null_dsap_xid_c (and _test_c)
    - hv_netvsc: Fix unwanted rx_table reset
    - bpf: Fix passing modified ctx to ld/abs/ind instruction
    - PCI/switchtec: Read all 64 bits of part_event_bitmap
    - gtp: fix bad unlock balance in gtp_encap_enable_socket
    - macvlan: do not assume mac_header is set in macvlan_broadcast()
    - net: dsa: mv88e6xxx: Preserve priority when setting CPU port.
    - net: stmmac: dwmac-sun8i: Allow all RGMII modes
    - net: stmmac: dwmac-sunxi: Allow all RGMII modes
    - net: usb: lan78xx: fix possible skb leak
    - pkt_sched: fq: do not accept silly TCA_FQ_QUANTUM
    - USB: core: fix check for duplicate endpoints
    - USB: serial: option: add Telit ME910G1 0x110a composition
    - sctp: free cmd->obj.chunk for the unprocessed SCTP_CMD_REPLY
    - tcp: fix "old stuff" D-SACK causing SACK to be treated as D-SACK
    - vxlan: fix tos value before xmit
    - vlan: vlan_changelink() should propagate errors
    - net: sch_prio: When ungrafting, replace with FIFO
    - vlan: fix memory leak in vlan_dev_set_egress_priority
    - regulator: fix use after free issue
    - ASoC: max98090: fix possible race conditions
    - netfilter: nf_tables: validate NFT_DATA_VALUE after nft_data_init()
    - ARM: dts: BCM5301X: Fix MDIO node address/size cells
    - bpf: Clear skb->tstamp in bpf_redirect when necessary
    - parisc: add missing __init annotation
    - iommu/iova: Init the struct iova to fix the possible memleak
    - powerpc/spinlocks: Include correct header for static key
    - ARM: dts: imx6ul: use nvmem-cells for cpu speed grading
  * Sometimes can't adjust brightness on Dell AIO (LP: #1862885)
    - SAUCE: platform/x86: dell-uart-backlight: increase retry times
  * 4.15 kernel hard lockup about once a week (LP: #1799497)
    - zram: correct flag name of ZRAM_ACCESS
    - zram: fix lockdep warning of free block handling
  * Prevent arm64 guest from accessing host debug registers (LP: #1860657)
    - KVM: arm64: Write arch.mdcr_el2 changes since last vcpu_load on VHE
  * pty03 from pty in ubuntu_ltp failed on Eoan (LP: #1862114)
    - can, slip: Protect tty->disc_data in write_wakeup and close with RCU

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 21 Feb 2020 14:05:48 +0100

linux-aws-hwe (4.15.0-1060.62~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1060.62~16.04.1 -proposed tracker
    (LP: #1862807)

  [ Ubuntu: 4.15.0-1060.62 ]

  * bionic/linux-aws: 4.15.0-1060.62 -proposed tracker (LP: #1862808)
  * bionic/linux: 4.15.0-88.88 -proposed tracker (LP: #1862824)
  * Segmentation fault (kernel oops) with memory-hotplug in
    ubuntu_kernel_selftests on Bionic kernel (LP: #1862312)
    - Revert "mm/memory_hotplug: fix online/offline_pages called w.o.
      mem_hotplug_lock"
    - mm/memory_hotplug: fix online/offline_pages called w.o. mem_hotplug_lock

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 12 Feb 2020 00:03:06 -0500

linux-aws-hwe (4.15.0-1059.61~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1059.61~16.04.1 -proposed tracker
    (LP: #1861140)

  [ Ubuntu: 4.15.0-1059.61 ]

  * bionic/linux-aws: 4.15.0-1059.61 -proposed tracker (LP: #1861141)
  * RANDOM_TRUST_BOOTLOADER support on AWS Graviton (LP: #1859192)
    - aws: [Config] CONFIG_RANDOM_TRUST_BOOTLOADER=y for arm64
    - fdt: add support for rng-seed
    - efi/random: Treat EFI_RNG_PROTOCOL output as bootloader randomness
  * bionic/linux: 4.15.0-87.87 -proposed tracker (LP: #1861165)
  * Bionic update: upstream stable patchset 2020-01-22 (LP: #1860602)
    - scsi: lpfc: Fix discovery failures when target device connectivity bounces
    - scsi: mpt3sas: Fix clear pending bit in ioctl status
    - scsi: lpfc: Fix locking on mailbox command completion
    - Input: atmel_mxt_ts - disable IRQ across suspend
    - iommu/tegra-smmu: Fix page tables in > 4 GiB memory
    - scsi: target: compare full CHAP_A Algorithm strings
    - scsi: lpfc: Fix SLI3 hba in loop mode not discovering devices
    - scsi: csiostor: Don't enable IRQs too early
    - powerpc/pseries: Mark accumulate_stolen_time() as notrace
    - powerpc/pseries: Don't fail hash page table insert for bolted mapping
    - powerpc/tools: Don't quote $objdump in scripts
    - dma-debug: add a schedule point in debug_dma_dump_mappings()
    - clocksource/drivers/asm9260: Add a check for of_clk_get
    - powerpc/security/book3s64: Report L1TF status in sysfs
    - powerpc/book3s64/hash: Add cond_resched to avoid soft lockup warning
    - ext4: update direct I/O read lock pattern for IOCB_NOWAIT
    - jbd2: Fix statistics for the number of logged blocks
    - scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6) and WRITE(6)
    - scsi: lpfc: Fix duplicate unreg_rpi error in port offline flow
    - f2fs: fix to update dir's i_pino during cross_rename
    - clk: qcom: Allow constant ratio freq tables for rcg
    - irqchip/irq-bcm7038-l1: Enable parent IRQ if necessary
    - irqchip: ingenic: Error out if IRQ domain creation failed
    - fs/quota: handle overflows of sysctl fs.quota.* and report as unsigned long
    - scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer dereferences
    - scsi: ufs: fix potential bug which ends in system hang
    - powerpc/pseries/cmm: Implement release() function for sysfs device
    - powerpc/security: Fix wrong message when RFI Flush is disable
    - scsi: atari_scsi: sun3_scsi: Set sg_tablesize to 1 instead of SG_NONE
    - clk: pxa: fix one of the pxa RTC clocks
    - bcache: at least try to shrink 1 node in bch_mca_scan()
    - HID: logitech-hidpp: Silence intermittent get_battery_capacity errors
    - libnvdimm/btt: fix variable 'rc' set but not used
    - HID: Improve Windows Precision Touchpad detection.
    - scsi: pm80xx: Fix for SATA device discovery
    - scsi: ufs: Fix error handing during hibern8 enter
    - scsi: scsi_debug: num_tgts must be >= 0
    - scsi: NCR5380: Add disconnect_mask module parameter
    - scsi: iscsi: Don't send data to unbound connection
    - scsi: target: iscsi: Wait for all commands to finish before freeing a
      session
    - gpio: mpc8xxx: Don't overwrite default irq_set_type callback
    - apparmor: fix unsigned len comparison with less than zero
    - scripts/kallsyms: fix definitely-lost memory leak
    - cdrom: respect device capabilities during opening action
    - perf script: Fix brstackinsn for AUXTRACE
    - perf regs: Make perf_reg_name() return "unknown" instead of NULL
    - s390/zcrypt: handle new reply code FILTERED_BY_HYPERVISOR
    - libfdt: define INT32_MAX and UINT32_MAX in libfdt_env.h
    - s390/cpum_sf: Check for SDBT and SDB consistency
    - ocfs2: fix passing zero to 'PTR_ERR' warning
    - kernel: sysctl: make drop_caches write-only
    - userfaultfd: require CAP_SYS_PTRACE for UFFD_FEATURE_EVENT_FORK
    - x86/mce: Fix possibly incorrect severity calculation on AMD
    - net, sysctl: Fix compiler warning when only cBPF is present
    - netfilter: nf_queue: enqueue skbs with NULL dst
    - ALSA: hda - Downgrade error message for single-cmd fallback
    - bonding: fix active-backup transition after link failure
    - perf strbuf: Remove redundant va_end() in strbuf_addv()
    - Make filldir[64]() verify the directory entry filename is valid
    - filldir[64]: remove WARN_ON_ONCE() for bad directory entries
    - netfilter: ebtables: compat: reject all padding in matches/watchers
    - 6pack,mkiss: fix possible deadlock
    - netfilter: bridge: make sure to pull arp header in br_nf_forward_arp()
    - inetpeer: fix data-race in inet_putpeer / inet_putpeer
    - net: add a READ_ONCE() in skb_peek_tail()
    - net: icmp: fix data-race in cmp_global_allow()
    - hrtimer: Annotate lockless access to timer->state
    - spi: fsl: don't map irq during probe
    - tty/serial: atmel: fix out of range clock divider handling
    - pinctrl: baytrail: Really serialize all register accesses
    - net: ena: fix napi handler misbehavior when the napi budget is zero
    - net/mlxfw: Fix out-of-memory error in mfa2 flash burning
    - ptp: fix the race between the release of ptp_clock and cdev
    - udp: fix integer overflow while computing available space in sk_rcvbuf
    - vhost/vsock: accept only packets with the right dst_cid
    - net: add bool confirm_neigh parameter for dst_ops.update_pmtu
    - gtp: do not confirm neighbor when do pmtu update
    - net/dst: add new function skb_dst_update_pmtu_no_confirm
    - tunnel: do not confirm neighbor when do pmtu update
    - vti: do not confirm neighbor when do pmtu update
    - sit: do not confirm neighbor when do pmtu update
    - gtp: do not allow adding duplicate tid and ms_addr pdp context
    - tcp/dccp: fix possible race __inet_lookup_established()
    - tcp: do not send empty skb from tcp_write_xmit()
    - gtp: fix wrong condition in gtp_genl_dump_pdp()
    - gtp: fix an use-after-free in ipv4_pdp_find()
    - gtp: avoid zero size hashtable
    - spi: fsl: use platform_get_irq() instead of of_irq_to_resource()
    - scsi: hisi_sas: Replace in_softirq() check in hisi_sas_task_exec()
    - clocksource/drivers/timer-of: Use unique device name instead of timer
    - ext4: iomap that extends beyond EOF should be marked dirty
    - clk: clk-gpio: propagate rate change to parent
    - HID: quirks: Add quirk for HP MSU1465 PIXART OEM mouse
    - HID: rmi: Check that the RMI_STARTED bit is set before unregistering the RMI
      transport device
    - watchdog: Fix the race between the release of watchdog_core_data and cdev
    - powerpc: Don't add -mabi= flags when building with Clang
    - tcp: Fix highest_sack and highest_sack_seq
    - nvme_fc: add module to ops template to allow module references
    - iio: adc: max9611: Fix too short conversion time delay
    - PM / devfreq: Don't fail devfreq_dev_release if not in list
    - RDMA/cma: add missed unregister_pernet_subsys in init failure
    - rxe: correctly calculate iCRC for unaligned payloads
    - scsi: lpfc: Fix memory leak on lpfc_bsg_write_ebuf_set func
    - scsi: qla2xxx: Don't call qlt_async_event twice
    - scsi: iscsi: qla4xxx: fix double free in probe
    - scsi: libsas: stop discovering if oob mode is disconnected
    - drm/nouveau: Move the declaration of struct nouveau_conn_atom up a bit
    - usb: gadget: fix wrong endpoint desc
    - net: make socket read/write_iter() honor IOCB_NOWAIT
    - md: raid1: check rdev before reference in raid1_sync_request func
    - s390/cpum_sf: Adjust sampling interval to avoid hitting sample limits
    - s390/cpum_sf: Avoid SBD overflow condition in irq handler
    - IB/mlx4: Follow mirror sequence of device add during device removal
    - xen-blkback: prevent premature module unload
    - xen/balloon: fix ballooned page accounting without hotplug enabled
    - xfs: fix mount failure crash on invalid iclog memory access
    - taskstats: fix data-race
    - drm: limit to INT_MAX in create_blob ioctl
    - ALSA: ice1724: Fix sleep-in-atomic in Infrasonic Quartet support code
    - drm/sun4i: hdmi: Remove duplicate cleanup calls
    - MIPS: Avoid VDSO ABI breakage due to global register variable
    - media: pulse8-cec: fix lost cec_transmit_attempt_done() call
    - media: cec: CEC 2.0-only bcast messages were ignored
    - media: cec: avoid decrementing transmit_queue_sz if it is 0
    - mm/zsmalloc.c: fix the migrated zspage statistics.
    - memcg: account security cred as well to kmemcg
    - pstore/ram: Write new dumps to start of recycled zones
    - locks: print unsigned ino in /proc/locks
    - dmaengine: Fix access to uninitialized dma_slave_caps
    - compat_ioctl: block: handle Persistent Reservations
    - compat_ioctl: block: handle BLKREPORTZONE/BLKRESETZONE
    - ata: libahci_platform: Export again ahci_platform_<en/dis>able_phys()
    - ata: ahci_brcm: Allow optional reset controller to be used
    - ata: ahci_brcm: Fix AHCI resources management
    - gpiolib: fix up emulated open drain outputs
    - tracing: Fix lock inversion in trace_event_enable_tgid_record()
    - tracing: Have the histogram compare functions convert to u64 first
    - ALSA: cs4236: fix error return comparison of an unsigned integer
    - ALSA: firewire-motu: Correct a typo in the clock proc string
    - exit: panic before exit_mm() on global init exit
    - ftrace: Avoid potential division by zero in function profiler
    - PM / devfreq: Check NULL governor in available_governors_show
    - nfsd4: fix up replay_matches_cache()
    - scsi: qla2xxx: Drop superfluous INIT_WORK of del_work
    - xfs: don't check for AG deadlock for realtime files in bunmapi
    - platform/x86: pmc_atom: Add Siemens CONNECT X300 to critclk_systems DMI
      table
    - Bluetooth: btusb: fix PM leak in error case of setup
    - Bluetooth: delete a stray unlock
    - Bluetooth: Fix memory leak in hci_connect_le_scan
    - media: flexcop-usb: ensure -EIO is returned on error condition
    - regulator: ab8500: Remove AB8505 USB regulator
    - media: usb: fix memory leak in af9005_identify_state
    - dt-bindings: clock: renesas: rcar-usb2-clock-sel: Fix typo in example
    - tty: serial: msm_serial: Fix lockup for sysrq and oops
    - fix compat handling of FICLONERANGE, FIDEDUPERANGE and FS_IOC_FIEMAP
    - scsi: qedf: Do not retry ELS request if qedf_alloc_cmd fails
    - drm/mst: Fix MST sideband up-reply failure handling
    - powerpc/pseries/hvconsole: Fix stack overread via udbg
    - selftests: rtnetlink: add addresses with fixed life time
    - rxrpc: Fix possible NULL pointer access in ICMP handling
    - ath9k_htc: Modify byte order for an error message
    - ath9k_htc: Discard undersized packets
    - arm64: dts: meson: odroid-c2: Disable usb_otg bus to avoid power failed
      warning
    - net: add annotations on hh->hh_len lockless accesses
    - s390/smp: fix physical to logical CPU map for SMT
    - xen/blkback: Avoid unmapping unmapped grant pages
    - perf/x86/intel/bts: Fix the use of page_private()
    - drm/amdgpu: add cache flush workaround to gfx8 emit_fence
    - drm/amd/display: Fixed kernel panic when booting with DP-to-HDMI dongle
    - PM / devfreq: Fix devfreq_notifier_call returning errno
    - PM / devfreq: Set scaling_max_freq to max on OPP notifier error
    - afs: Fix afs_find_server lookups for ipv4 peers
    - scsi: qla2xxx: Fix PLOGI payload and ELS IOCB dump length
    - scsi: qla2xxx: Send Notify ACK after N2N PLOGI
    - ALSA: hda - fixup for the bass speaker on Lenovo Carbon X1 7th gen
    - ALSA: hda/realtek - Add headset Mic no shutup for ALC283
    - media: cec: check 'transmit_in_progress', not 'transmitting'
    - HID: i2c-hid: Reset ALPS touchpads on resume
    - bdev: Factor out bdev revalidation into a common helper
    - bdev: Refresh bdev size for disks without partitioning
    - KVM: PPC: Book3S HV: use smp_mb() when setting/clearing host_ipi flag
    - net: core: limit nested device depth
    - ubifs: ubifs_tnc_start_commit: Fix OOB in layout_in_gaps
  * Bionic update: upstream stable patchset 2020-01-14 (LP: #1859712)
    - af_packet: set defaule value for tmo
    - fjes: fix missed check in fjes_acpi_add
    - mod_devicetable: fix PHY module format
    - net: dst: Force 4-byte alignment of dst_metrics
    - net: hisilicon: Fix a BUG trigered by wrong bytes_compl
    - net: nfc: nci: fix a possible sleep-in-atomic-context bug in
      nci_uart_tty_receive()
    - net: qlogic: Fix error paths in ql_alloc_large_buffers()
    - net: usb: lan78xx: Fix suspend/resume PHY register access error
    - qede: Fix multicast mac configuration
    - sctp: fully initialize v4 addr in some functions
    - btrfs: don't double lock the subvol_sem for rename exchange
    - btrfs: do not call synchronize_srcu() in inode_tree_del
    - btrfs: skip log replay on orphaned roots
    - btrfs: do not leak reloc root if we fail to read the fs root
    - btrfs: handle ENOENT in btrfs_uuid_tree_iterate
    - Btrfs: fix removal logic of the tree mod log that leads to use-after-free
      issues
    - ALSA: pcm: Avoid possible info leaks from PCM stream buffers
    - ALSA: hda/ca0132 - Keep power on during processing DSP response
    - ALSA: hda/ca0132 - Avoid endless loop
    - drm: mst: Fix query_payload ack reply struct
    - drm/bridge: analogix-anx78xx: silence -EPROBE_DEFER warnings
    - iio: light: bh1750: Resolve compiler warning and make code more readable
    - spi: Add call to spi_slave_abort() function when spidev driver is released
    - staging: rtl8192u: fix multiple memory leaks on error path
    - staging: rtl8188eu: fix possible null dereference
    - rtlwifi: prevent memory leak in rtl_usb_probe
    - libertas: fix a potential NULL pointer dereference
    - IB/iser: bound protection_sg size by data_sg size
    - media: am437x-vpfe: Setting STD to current value is not an error
    - media: i2c: ov2659: fix s_stream return value
    - media: ov6650: Fix crop rectangle alignment not passed back
    - media: i2c: ov2659: Fix missing 720p register config
    - media: ov6650: Fix stored frame format not in sync with hardware
    - media: ov6650: Fix stored crop rectangle not in sync with hardware
    - tools/power/cpupower: Fix initializer override in hsw_ext_cstates
    - media: venus: core: Fix msm8996 frequency table
    - ath10k: fix offchannel tx failure when no ath10k_mac_tx_frm_has_freq
    - pinctrl: devicetree: Avoid taking direct reference to device name string
    - selftests/bpf: Correct path to include msg + path
    - usb: renesas_usbhs: add suspend event support in gadget mode
    - hwrng: omap3-rom - Call clk_disable_unprepare() on exit only if not idled
    - regulator: max8907: Fix the usage of uninitialized variable in
      max8907_regulator_probe()
    - media: flexcop-usb: fix NULL-ptr deref in flexcop_usb_transfer_init()
    - media: cec-funcs.h: add status_req checks
    - drm/bridge: dw-hdmi: Refuse DDC/CI transfers on the internal I2C controller
    - samples: pktgen: fix proc_cmd command result check logic
    - block: Fix writeback throttling W=1 compiler warnings
    - mwifiex: pcie: Fix memory leak in mwifiex_pcie_init_evt_ring
    - media: cx88: Fix some error handling path in 'cx8800_initdev()'
    - media: ti-vpe: vpe: Fix Motion Vector vpdma stride
    - media: ti-vpe: vpe: fix a v4l2-compliance warning about invalid pixel format
    - media: ti-vpe: vpe: fix a v4l2-compliance failure about frame sequence
      number
    - media: ti-vpe: vpe: Make sure YUYV is set as default format
    - media: ti-vpe: vpe: fix a v4l2-compliance failure causing a kernel panic
    - media: ti-vpe: vpe: ensure buffers are cleaned up properly in abort cases
    - media: ti-vpe: vpe: fix a v4l2-compliance failure about invalid sizeimage
    - extcon: sm5502: Reset registers during initialization
    - x86/mm: Use the correct function type for native_set_fixmap()
    - drm/bridge: dw-hdmi: Restore audio when setting a mode
    - perf test: Report failure for mmap events
    - perf report: Add warning when libunwind not compiled in
    - usb: usbfs: Suppress problematic bind and unbind uevents.
    - iio: adc: max1027: Reset the device at probe time
    - Bluetooth: missed cpu_to_le16 conversion in hci_init4_req
    - Bluetooth: hci_core: fix init for HCI_USER_CHANNEL
    - x86/mce: Lower throttling MCE messages' priority to warning
    - drm/gma500: fix memory disclosures due to uninitialized bytes
    - rtl8xxxu: fix RTL8723BU connection failure issue after warm reboot
    - x86/ioapic: Prevent inconsistent state when moving an interrupt
    - arm64: psci: Reduce the waiting time for cpu_psci_cpu_kill()
    - net: phy: dp83867: enable robust auto-mdix
    - RDMA/qedr: Fix memory leak in user qp and mr
    - gpu: host1x: Allocate gather copy for host1x
    - net: dsa: LAN9303: select REGMAP when LAN9303 enable
    - phy: qcom-usb-hs: Fix extcon double register after power cycle
    - s390/time: ensure get_clock_monotonic() returns monotonic values
    - s390/mm: add mm_pxd_folded() checks to pxd_free()
    - libata: Ensure ata_port probe has completed before detach
    - loop: fix no-unmap write-zeroes request behavior
    - pinctrl: sh-pfc: sh7734: Fix duplicate TCLK1_B
    - iio: dln2-adc: fix iio_triggered_buffer_postenable() position
    - Bluetooth: Fix advertising duplicated flags
    - pinctrl: amd: fix __iomem annotation in amd_gpio_irq_handler()
    - ixgbe: protect TX timestamping from API misuse
    - media: rcar_drif: fix a memory disclosure
    - media: v4l2-core: fix touch support in v4l_g_fmt
    - rfkill: allocate static minor
    - bnx2x: Fix PF-VF communication over multi-cos queues.
    - spi: img-spfi: fix potential double release
    - ALSA: timer: Limit max amount of slave instances
    - rtlwifi: fix memory leak in rtl92c_set_fw_rsvdpagepkt()
    - perf probe: Fix to find range-only function instance
    - perf probe: Fix to list probe event with correct line number
    - perf probe: Walk function lines in lexical blocks
    - perf probe: Fix to probe an inline function which has no entry pc
    - perf probe: Fix to show ranges of variables in functions without entry_pc
    - perf probe: Fix to show inlined function callsite without entry_pc
    - libsubcmd: Use -O0 with DEBUG=1
    - perf probe: Fix to probe a function which has no entry pc
    - drm/amdgpu: fix potential double drop fence reference
    - perf parse: If pmu configuration fails free terms
    - perf probe: Skip overlapped location on searching variables
    - perf probe: Return a better scope DIE if there is no best scope
    - perf probe: Fix to show calling lines of inlined functions
    - perf probe: Skip end-of-sequence and non statement lines
    - perf probe: Filter out instances except for inlined subroutine and
      subprogram
    - ath10k: fix get invalid tx rate for Mesh metric
    - fsi: core: Fix small accesses and unaligned offsets via sysfs
    - media: pvrusb2: Fix oops on tear-down when radio support is not present
    - media: si470x-i2c: add missed operations in remove
    - EDAC/ghes: Fix grain calculation
    - spi: pxa2xx: Add missed security checks
    - ASoC: rt5677: Mark reg RT5677_PWR_ANLG2 as volatile
    - ASoC: Intel: kbl_rt5663_rt5514_max98927: Add dmic format constraint
    - s390/disassembler: don't hide instruction addresses
    - parport: load lowlevel driver if ports not found
    - cpufreq: Register drivers only after CPU devices have been registered
    - x86/crash: Add a forward declaration of struct kimage
    - iwlwifi: mvm: fix unaligned read of rx_pkt_status
    - spi: tegra20-slink: add missed clk_unprepare
    - crypto: virtio - deal with unsupported input sizes
    - mmc: tmio: Add MMC_CAP_ERASE to allow erase/discard/trim requests
    - btrfs: don't prematurely free work in end_workqueue_fn()
    - btrfs: don't prematurely free work in run_ordered_work()
    - spi: st-ssc4: add missed pm_runtime_disable
    - x86/insn: Add some Intel instructions to the opcode map
    - iwlwifi: check kasprintf() return value
    - fbtft: Make sure string is NULL terminated
    - crypto: sun4i-ss - Fix 64-bit size_t warnings
    - crypto: sun4i-ss - Fix 64-bit size_t warnings on sun4i-ss-hash.c
    - mac80211: consider QoS Null frames for STA_NULLFUNC_ACKED
    - crypto: vmx - Avoid weird build failures
    - libtraceevent: Fix memory leakage in copy_filter_type
    - mips: fix build when "48 bits virtual memory" is enabled
    - net: phy: initialise phydev speed and duplex sanely
    - btrfs: don't prematurely free work in reada_start_machine_worker()
    - btrfs: don't prematurely free work in scrub_missing_raid56_worker()
    - Revert "mmc: sdhci: Fix incorrect switch to HS mode"
    - mmc: mediatek: fix CMD_TA to 2 for MT8173 HS200/HS400 mode
    - usb: xhci: Fix build warning seen with CONFIG_PM=n
    - s390/ftrace: fix endless recursion in function_graph tracer
    - btrfs: return error pointer from alloc_test_extent_buffer
    - btrfs: abort transaction after failed inode updates in create_subvol
    - usbip: Fix receive error in vhci-hcd when using scatter-gather
    - usbip: Fix error path of vhci_recv_ret_submit()
    - USB: EHCI: Do not return -EPIPE when hub is disconnected
    - intel_th: pci: Add Comet Lake PCH-V support
    - intel_th: pci: Add Elkhart Lake SOC support
    - platform/x86: hp-wmi: Make buffer for HPWMI_FEATURE2_QUERY 128 bytes
    - staging: comedi: gsc_hpdi: check dma_alloc_coherent() return value
    - ext4: fix ext4_empty_dir() for directories with holes
    - ext4: check for directory entries too close to block end
    - ext4: unlock on error in ext4_expand_extra_isize()
    - KVM: arm64: Ensure 'params' is initialised when looking up sys register
    - x86/MCE/AMD: Do not use rdmsr_safe_on_cpu() in smca_configure()
    - x86/MCE/AMD: Allow Reserved types to be overwritten in smca_banks[]
    - powerpc/irq: fix stack overflow verification
    - mmc: sdhci-of-esdhc: Revert "mmc: sdhci-of-esdhc: add erratum A-009204
      support"
    - mmc: sdhci: Update the tuning failed messages to pr_debug level
    - mmc: sdhci-of-esdhc: fix P2020 errata handling
    - nbd: fix shutdown and recv work deadlock v2
    - perf probe: Fix to show function entry line as probe-able
    - btrfs: send: remove WARN_ON for readonly mount
    - ALSA: hda/ca0132 - Fix work handling in delayed HP detection
    - drm/panel: Add missing drm_panel_init() in panel drivers
    - drm/amdkfd: fix a potential NULL pointer dereference (v2)
    - drm/drm_vblank: Change EINVAL by the correct errno
    - Bluetooth: Workaround directed advertising bug in Broadcom controllers
    - media: smiapp: Register sensor after enabling runtime PM on the device
    - md/bitmap: avoid race window between md_bitmap_resize and
      bitmap_file_clear_bit
    - net: hns3: add struct netdev_queue debug info for TX timeout
    - nvmem: imx-ocotp: reset error status on probe
    - perf jevents: Fix resource leak in process_mapfile() and main()
    - perf tools: Splice events onto evlist even on error
    - crypto: atmel - Fix authenc support when it is set to m
    - iio: dac: ad5446: Add support for new AD5600 DAC
    - bcache: fix static checker warning in bcache_device_free()
    - tun: fix data-race in gro_normal_list()
    - ASoC: wm2200: add missed operations in remove and probe failure
    - ASoC: wm5100: add missed pm_runtime_disable
    - net: ethernet: ti: ale: disable ale from stop()
    - net: ethernet: ti: ale: clean ale tbl on init and intf restart
    - cpufreq: Rename cpufreq_can_do_remote_dvfs()
    - cpufreq: Avoid leaving stale IRQ work items during CPU offline
    - mmc: sdhci: Add a quirk for broken command queuing
  * Bionic update: upstream stable patchset 2020-01-10 (LP: #1859249)
    - net: bridge: deny dev_set_mac_address() when unregistering
    - net: dsa: fix flow dissection on Tx path
    - net: ethernet: ti: cpsw: fix extra rx interrupt
    - net: thunderx: start phy before starting autonegotiation
    - openvswitch: support asymmetric conntrack
    - tcp: md5: fix potential overestimation of TCP option space
    - tipc: fix ordering of tipc module init and exit routine
    - tcp: fix rejected syncookies due to stale timestamps
    - tcp: tighten acceptance of ACKs not matching a child socket
    - tcp: Protect accesses to .ts_recent_stamp with {READ,WRITE}_ONCE()
    - inet: protect against too small mtu values.
    - nvme: host: core: fix precedence of ternary operator
    - Revert "regulator: Defer init completion for a while after late_initcall"
    - PCI/PM: Always return devices to D0 when thawing
    - PCI: Fix Intel ACS quirk UPDCR register address
    - PCI/MSI: Fix incorrect MSI-X masking on resume
    - PCI: Apply Cavium ACS quirk to ThunderX2 and ThunderX3
    - xtensa: fix TLB sanity checker
    - rpmsg: glink: Set tail pointer to 0 at end of FIFO
    - rpmsg: glink: Fix reuse intents memory leak issue
    - rpmsg: glink: Fix use after free in open_ack TIMEOUT case
    - rpmsg: glink: Put an extra reference during cleanup
    - rpmsg: glink: Fix rpmsg_register_device err handling
    - rpmsg: glink: Don't send pending rx_done during remove
    - rpmsg: glink: Free pending deferred work on remove
    - CIFS: Respect O_SYNC and O_DIRECT flags during reconnect
    - ARM: dts: s3c64xx: Fix init order of clock providers
    - ARM: tegra: Fix FLOW_CTLR_HALT register clobbering by tegra_resume()
    - vfio/pci: call irq_bypass_unregister_producer() before freeing irq
    - dma-buf: Fix memory leak in sync_file_merge()
    - dm btree: increase rebalance threshold in __rebalance2()
    - scsi: iscsi: Fix a potential deadlock in the timeout handler
    - drm/radeon: fix r1xx/r2xx register checker for POT textures
    - xhci: fix USB3 device initiated resume race with roothub autosuspend
    - net: stmmac: use correct DMA buffer size in the RX descriptor
    - mqprio: Fix out-of-bounds access in mqprio_dump
  * fstrim on nvme / AMD CPU fails and produces kernel error messages
    (LP: #1856603)
    - nvme: Discard workaround for non-conformant devices
  * net selftest psock_fanout fails on xenial s390x due to incorrect queue
    lengths (LP: #1853375)
    - selftests/net: ignore background traffic in psock_fanout
  * multi-zone raid0 corruption (LP: #1850540)
    - md/raid0: avoid RAID0 data corruption due to layout confusion.
    - md: add feature flag MD_FEATURE_RAID0_LAYOUT
    - md/raid0: fix warning message for parameter default_layout
    - md/raid0: Fix an error message in raid0_make_request()
    - SAUCE: md/raid0: Link to wiki with guidance on multi-zone RAID0 layout
      migration
    - SAUCE: md/raid0: Use kernel specific layout
  * Dell AIO can't adjust brightness (LP: #1858761)
    - SAUCE: platform/x86: dell-uart-backlight: add retry for get scalar status
  * USB key cannot be detected by hotplug on Sunix USB Type-A 3.1 Gen 2 card
    [1b21:2142]  (LP: #1858988)
    - SAUCE: PCI: Avoid ASMedia XHCI USB PME# from D0 defect
  * CVE-2019-5108
    - cfg80211/mac80211: make ieee80211_send_layer2_update a public function
    - mac80211: Do not send Layer 2 Update frame before authorization
  * [SRU][B/OEM-B/OEM-OSP1/D/E/Unstable] UBUNTU: SAUCE: Use native backlight on
    Lenovo E41-25/45 (LP: #1859561)
    - SAUCE: ACPI: video: Use native backlight on Lenovo E41-25/45
  * CVE-2019-20096
    - dccp: Fix memleak in __feat_register_sp
  * Fix misleading error message: Configuring the VNIC characteristics failed
    (LP: #1860523)
    - (upstream) s390/qeth: fix false reporting of VNIC CHAR config failure
  * Fix unusable USB hub on Dell TB16 after S3 (LP: #1855312)
    - SAUCE: USB: core: Make port power cycle a seperate helper function
    - SAUCE: USB: core: Attempt power cycle port when it's in eSS.Disabled state
  * [linux] Patch to prevent possible data corruption (LP: #1848739)
    - blk-mq: quiesce queue during switching io sched and updating nr_requests
    - blk-mq: move hctx lock/unlock into a helper
    - blk-mq: factor out a few helpers from __blk_mq_try_issue_directly
    - blk-mq: improve DM's blk-mq IO merging via blk_insert_cloned_request
      feedback
    - dm mpath: fix missing call of path selector type->end_io
    - blk-mq-sched: remove unused 'can_block' arg from blk_mq_sched_insert_request
    - blk-mq: don't dispatch request in blk_mq_request_direct_issue if queue is
      busy
    - blk-mq: introduce BLK_STS_DEV_RESOURCE
    - blk-mq: Rename blk_mq_request_direct_issue() into
      blk_mq_request_issue_directly()
    - blk-mq: don't queue more if we get a busy return
    - blk-mq: dequeue request one by one from sw queue if hctx is busy
    - blk-mq: issue directly if hw queue isn't busy in case of 'none'
    - blk-mq: fix corruption with direct issue
    - blk-mq: fail the request in case issue failure
    - blk-mq: punt failed direct issue to dispatch list
  * [sas-1126]scsi: hisi_sas: Fix out of bound at debug_I_T_nexus_reset()
    (LP: #1853992)
    - scsi: hisi_sas: Fix out of bound at debug_I_T_nexus_reset()
  * [sas-1126]scsi: hisi_sas: Assign NCQ tag for all NCQ commands (LP: #1853995)
    - scsi: hisi_sas: Assign NCQ tag for all NCQ commands
  * [sas-1126]scsi: hisi_sas: Fix the conflict between device gone and host
    reset (LP: #1853997)
    - scsi: hisi_sas: Fix the conflict between device gone and host reset
  * scsi: hisi_sas: Check sas_port before using it (LP: #1855952)
    - scsi: hisi_sas: Check sas_port before using it
  * CVE-2019-18885
    - btrfs: refactor btrfs_find_device() take fs_devices as argument
    - btrfs: merge btrfs_find_device and find_device
  * [SRU][B/OEM-B/OEM-OSP1/D/E/F] Add LG I2C touchscreen multitouch support
    (LP: #1857541)
    - SAUCE: HID: multitouch: Add LG MELF0410 I2C touchscreen support
  * usb-audio: the mic can't record any sound after resume on Dell Dock WD19
    (LP: #1857496)
    - ALSA: usb-audio: set the interface format after resume on Dell WD19
  * qede driver causes 100% CPU load (LP: #1855409)
    - qede: Handle infinite driver spinning for Tx timestamp.
  * [roce-1126]RDMA/hns: bugfix for slab-out-of-bounds when loading hip08 driver
    (LP: #1853989)
    - RDMA/hns: Bugfix for slab-out-of-bounds when unloading hip08 driver
    - RDMA/hns: bugfix for slab-out-of-bounds when loading hip08 driver
  * [roce-1126]RDMA/hns: Fixs hw access invalid dma memory error (LP: #1853990)
    - RDMA/hns: Fixs hw access invalid dma memory error
  * [hns-1126] net: hns: add support for vlan TSO (LP: #1853937)
    - net: hns: add support for vlan TSO
  * mlx5_core reports hardware checksum error for padded packets on Mellanox
    NICs (LP: #1854842)
    - net/mlx5e: Rx, Fixup skb checksum for packets with tail padding
    - net/mlx5e: Rx, Fix checksum calculation for new hardware
  * alsa/hda/realtek: the line-out jack doens't work on a dell AIO
    (LP: #1855999)
    - ALSA: hda/realtek - Line-out jack doesn't work on a Dell AIO
  * efivarfs test in ubuntu_kernel_selftest failed on the second run
    (LP: #1809704)
    - selftests: efivarfs: return Kselftest Skip code for skipped tests
    - selftests/efivarfs: clean up test files from test_create*()
  * CVE-2019-19082
    - drm/amd/display: prevent memory leak
  * CVE-2019-19078
    - ath10k: fix memory leak
  * Bionic update: upstream stable patchset 2019-12-20 (LP: #1857158)
    - rsi: release skb if rsi_prepare_beacon fails
    - arm64: tegra: Fix 'active-low' warning for Jetson TX1 regulator
    - usb: gadget: u_serial: add missing port entry locking
    - tty: serial: fsl_lpuart: use the sg count from dma_map_sg
    - tty: serial: msm_serial: Fix flow control
    - serial: pl011: Fix DMA ->flush_buffer()
    - serial: serial_core: Perform NULL checks for break_ctl ops
    - serial: ifx6x60: add missed pm_runtime_disable
    - autofs: fix a leak in autofs_expire_indirect()
    - RDMA/hns: Correct the value of HNS_ROCE_HEM_CHUNK_LEN
    - iwlwifi: pcie: don't consider IV len in A-MSDU
    - exportfs_decode_fh(): negative pinned may become positive without the parent
      locked
    - audit_get_nd(): don't unlock parent too early
    - NFC: nxp-nci: Fix NULL pointer dereference after I2C communication error
    - xfrm: release device reference for invalid state
    - Input: cyttsp4_core - fix use after free bug
    - sched/core: Avoid spurious lock dependencies
    - ALSA: pcm: Fix stream lock usage in snd_pcm_period_elapsed()
    - rsxx: add missed destroy_workqueue calls in remove
    - net: ep93xx_eth: fix mismatch of request_mem_region in remove
    - i2c: core: fix use after free in of_i2c_notify
    - serial: core: Allow processing sysrq at port unlock time
    - cxgb4vf: fix memleak in mac_hlist initialization
    - iwlwifi: mvm: synchronize TID queue removal
    - iwlwifi: mvm: Send non offchannel traffic via AP sta
    - ARM: 8813/1: Make aligned 2-byte getuser()/putuser() atomic on ARMv6+
    - net/mlx5: Release resource on error flow
    - clk: sunxi-ng: a64: Fix gate bit of DSI DPHY
    - dlm: fix possible call to kfree() for non-initialized pointer
    - extcon: max8997: Fix lack of path setting in USB device mode
    - net: ethernet: ti: cpts: correct debug for expired txq skb
    - rtc: s3c-rtc: Avoid using broken ALMYEAR register
    - i40e: don't restart nway if autoneg not supported
    - clk: rockchip: fix rk3188 sclk_smc gate data
    - clk: rockchip: fix rk3188 sclk_mac_lbtest parameter ordering
    - ARM: dts: rockchip: Fix rk3288-rock2 vcc_flash name
    - dlm: fix missing idr_destroy for recover_idr
    - MIPS: SiByte: Enable ZONE_DMA32 for LittleSur
    - net: dsa: mv88e6xxx: Work around mv886e6161 SERDES missing MII_PHYSID2
    - scsi: zfcp: drop default switch case which might paper over missing case
    - crypto: ecc - check for invalid values in the key verification test
    - crypto: bcm - fix normal/non key hash algorithm failure
    - pinctrl: qcom: ssbi-gpio: fix gpio-hog related boot issues
    - Staging: iio: adt7316: Fix i2c data reading, set the data field
    - mm/vmstat.c: fix NUMA statistics updates
    - clk: rockchip: fix I2S1 clock gate register for rk3328
    - clk: rockchip: fix ID of 8ch clock of I2S1 for rk3328
    - regulator: Fix return value of _set_load() stub
    - iomap: sub-block dio needs to zeroout beyond EOF
    - MIPS: OCTEON: octeon-platform: fix typing
    - net/smc: use after free fix in smc_wr_tx_put_slot()
    - math-emu/soft-fp.h: (_FP_ROUND_ZERO) cast 0 to void to fix warning
    - rtc: max8997: Fix the returned value in case of error in
      'max8997_rtc_read_alarm()'
    - rtc: dt-binding: abx80x: fix resistance scale
    - ARM: dts: exynos: Use Samsung SoC specific compatible for DWC2 module
    - media: pulse8-cec: return 0 when invalidating the logical address
    - media: cec: report Vendor ID after initialization
    - dmaengine: coh901318: Fix a double-lock bug
    - dmaengine: coh901318: Remove unused variable
    - dmaengine: dw-dmac: implement dma protection control setting
    - usb: dwc3: debugfs: Properly print/set link state for HS
    - usb: dwc3: don't log probe deferrals; but do log other error codes
    - ACPI: fix acpi_find_child_device() invocation in acpi_preset_companion()
    - f2fs: fix count of seg_freed to make sec_freed correct
    - f2fs: change segment to section in f2fs_ioc_gc_range
    - ARM: dts: rockchip: Fix the PMU interrupt number for rv1108
    - ARM: dts: rockchip: Assign the proper GPIO clocks for rv1108
    - f2fs: fix to allow node segment for GC by ioctl path
    - sparc: Correct ctx->saw_frame_pointer logic.
    - dma-mapping: fix return type of dma_set_max_seg_size()
    - altera-stapl: check for a null key before strcasecmp'ing it
    - serial: imx: fix error handling in console_setup
    - i2c: imx: don't print error message on probe defer
    - lockd: fix decoding of TEST results
    - ASoC: rsnd: tidyup registering method for rsnd_kctrl_new()
    - ARM: dts: sun5i: a10s: Fix HDMI output DTC warning
    - ARM: dts: sun8i: v3s: Change pinctrl nodes to avoid warning
    - dlm: NULL check before kmem_cache_destroy is not needed
    - ARM: debug: enable UART1 for socfpga Cyclone5
    - nfsd: fix a warning in __cld_pipe_upcall()
    - ASoC: au8540: use 64-bit arithmetic instead of 32-bit
    - ARM: OMAP1/2: fix SoC name printing
    - arm64: dts: meson-gxl-libretech-cc: fix GPIO lines names
    - arm64: dts: meson-gxbb-nanopi-k2: fix GPIO lines names
    - arm64: dts: meson-gxbb-odroidc2: fix GPIO lines names
    - arm64: dts: meson-gxl-khadas-vim: fix GPIO lines names
    - net/x25: fix called/calling length calculation in x25_parse_address_block
    - net/x25: fix null_x25_address handling
    - ARM: dts: mmp2: fix the gpio interrupt cell number
    - ARM: dts: realview-pbx: Fix duplicate regulator nodes
    - tcp: fix off-by-one bug on aborting window-probing socket
    - tcp: fix SNMP under-estimation on failed retransmission
    - tcp: fix SNMP TCP timeout under-estimation
    - modpost: skip ELF local symbols during section mismatch check
    - kbuild: fix single target build for external module
    - mtd: fix mtd_oobavail() incoherent returned value
    - ARM: dts: pxa: clean up USB controller nodes
    - clk: sunxi-ng: h3/h5: Fix CSI_MCLK parent
    - ARM: dts: realview: Fix some more duplicate regulator nodes
    - dlm: fix invalid cluster name warning
    - net/mlx4_core: Fix return codes of unsupported operations
    - pstore/ram: Avoid NULL deref in ftrace merging failure path
    - powerpc/math-emu: Update macros from GCC
    - clk: renesas: r8a77995: Correct parent clock of DU
    - MIPS: OCTEON: cvmx_pko_mem_debug8: use oldest forward compatible definition
    - nfsd: Return EPERM, not EACCES, in some SETATTR cases
    - media: stkwebcam: Bugfix for wrong return values
    - firmware: qcom: scm: fix compilation error when disabled
    - mlxsw: spectrum_router: Relax GRE decap matching check
    - IB/hfi1: Ignore LNI errors before DC8051 transitions to Polling state
    - IB/hfi1: Close VNIC sdma_progress sleep window
    - mlx4: Use snprintf instead of complicated strcpy
    - usb: mtu3: fix dbginfo in qmu_tx_zlp_error_handler
    - ARM: dts: sunxi: Fix PMU compatible strings
    - media: vimc: fix start stream when link is disabled
    - net: aquantia: fix RSS table and key sizes
    - sched/fair: Scale bandwidth quota and period without losing quota/period
      ratio precision
    - fuse: verify nlink
    - fuse: verify attributes
    - ALSA: pcm: oss: Avoid potential buffer overflows
    - ALSA: hda - Add mute led support for HP ProBook 645 G4
    - Input: synaptics - switch another X1 Carbon 6 to RMI/SMbus
    - Input: synaptics-rmi4 - re-enable IRQs in f34v7_do_reflash
    - Input: synaptics-rmi4 - don't increment rmiaddr for SMBus transfers
    - Input: goodix - add upside-down quirk for Teclast X89 tablet
    - coresight: etm4x: Fix input validation for sysfs.
    - Input: Fix memory leak in psxpad_spi_probe
    - CIFS: Fix NULL-pointer dereference in smb2_push_mandatory_locks
    - CIFS: Fix SMB2 oplock break processing
    - tty: vt: keyboard: reject invalid keycodes
    - can: slcan: Fix use-after-free Read in slcan_open
    - kernfs: fix ino wrap-around detection
    - jbd2: Fix possible overflow in jbd2_log_space_left()
    - drm/i810: Prevent underflow in ioctl
    - KVM: arm/arm64: vgic: Don't rely on the wrong pending table
    - KVM: x86: do not modify masked bits of shared MSRs
    - KVM: x86: fix presentation of TSX feature in ARCH_CAPABILITIES
    - crypto: crypto4xx - fix double-free in crypto4xx_destroy_sdr
    - crypto: af_alg - cast ki_complete ternary op to int
    - crypto: ccp - fix uninitialized list head
    - crypto: ecdh - fix big endian bug in ECC library
    - crypto: user - fix memory leak in crypto_report
    - spi: atmel: Fix CS high support
    - RDMA/qib: Validate ->show()/store() callbacks before calling them
    - iomap: Fix pipe page leakage during splicing
    - thermal: Fix deadlock in thermal thermal_zone_device_check
    - binder: Handle start==NULL in binder_update_page_range()
    - ASoC: rsnd: fixup MIX kctrl registration
    - KVM: x86: fix out-of-bounds write in KVM_GET_EMULATED_CPUID (CVE-2019-19332)
    - appletalk: Fix potential NULL pointer dereference in unregister_snap_client
    - appletalk: Set error code if register_snap_client failed
    - usb: gadget: configfs: Fix missing spin_lock_init()
    - usb: gadget: pch_udc: fix use after free
    - scsi: qla2xxx: Fix driver unload hang
    - media: venus: remove invalid compat_ioctl32 handler
    - USB: uas: honor flag to avoid CAPACITY16
    - USB: uas: heed CAPACITY_HEURISTICS
    - USB: documentation: flags on usb-storage versus UAS
    - usb: Allow USB device to be warm reset in suspended state
    - staging: rtl8188eu: fix interface sanity check
    - staging: rtl8712: fix interface sanity check
    - staging: gigaset: fix general protection fault on probe
    - staging: gigaset: fix illegal free on probe errors
    - staging: gigaset: add endpoint-type sanity check
    - usb: xhci: only set D3hot for pci device
    - xhci: Increase STS_HALT timeout in xhci_suspend()
    - xhci: handle some XHCI_TRUST_TX_LENGTH quirks cases as default behaviour.
    - ARM: dts: pandora-common: define wl1251 as child node of mmc3
    - iio: humidity: hdc100x: fix IIO_HUMIDITYRELATIVE channel reporting
    - USB: atm: ueagle-atm: add missing endpoint check
    - USB: idmouse: fix interface sanity checks
    - USB: serial: io_edgeport: fix epic endpoint lookup
    - USB: adutux: fix interface sanity check
    - usb: core: urb: fix URB structure initialization function
    - usb: mon: Fix a deadlock in usbmon between mmap and read
    - tpm: add check after commands attribs tab allocation
    - mtd: spear_smi: Fix Write Burst mode
    - virtio-balloon: fix managed page counts when migrating pages between zones
    - usb: dwc3: ep0: Clear started flag on completion
    - btrfs: check page->mapping when loading free space cache
    - btrfs: use refcount_inc_not_zero in kill_all_nodes
    - Btrfs: fix negative subv_writers counter and data space leak after buffered
      write
    - btrfs: Remove btrfs_bio::flags member
    - Btrfs: send, skip backreference walking for extents with many references
    - btrfs: record all roots for rename exchange on a subvol
    - rtlwifi: rtl8192de: Fix missing code to retrieve RX buffer address
    - rtlwifi: rtl8192de: Fix missing callback that tests for hw release of buffer
    - rtlwifi: rtl8192de: Fix missing enable interrupt flag
    - lib: raid6: fix awk build warnings
    - ovl: relax WARN_ON() on rename to self
    - ALSA: hda - Fix pending unsol events at shutdown
    - watchdog: aspeed: Fix clock behaviour for ast2600
    - hwrng: omap - Fix RNG wait loop timeout
    - dm zoned: reduce overhead of backing device checks
    - workqueue: Fix spurious sanity check failures in destroy_workqueue()
    - workqueue: Fix pwq ref leak in rescuer_thread()
    - ASoC: Jack: Fix NULL pointer dereference in snd_soc_jack_report
    - blk-mq: avoid sysfs buffer overflow with too many CPU cores
    - cgroup: pids: use atomic64_t for pids->limit
    - ar5523: check NULL before memcpy() in ar5523_cmd()
    - s390/mm: properly clear _PAGE_NOEXEC bit when it is not supported
    - media: bdisp: fix memleak on release
    - media: radio: wl1273: fix interrupt masking on release
    - media: cec.h: CEC_OP_REC_FLAG_ values were swapped
    - cpuidle: Do not unset the driver if it is there already
    - intel_th: Fix a double put_device() in error path
    - intel_th: pci: Add Ice Lake CPU support
    - intel_th: pci: Add Tiger Lake CPU support
    - PM / devfreq: Lock devfreq in trans_stat_show
    - cpufreq: powernv: fix stack bloat and hard limit on number of CPUs
    - ACPI: OSL: only free map once in osl.c
    - ACPI: bus: Fix NULL pointer check in acpi_bus_get_private_data()
    - ACPI: PM: Avoid attaching ACPI PM domain to certain devices
    - pinctrl: samsung: Add of_node_put() before return in error path
    - pinctrl: samsung: Fix device node refcount leaks in S3C24xx wakeup
      controller init
    - pinctrl: samsung: Fix device node refcount leaks in init code
    - pinctrl: samsung: Fix device node refcount leaks in S3C64xx wakeup
      controller init
    - mmc: host: omap_hsmmc: add code for special init of wl1251 to get rid of
      pandora_wl1251_init_card
    - ARM: dts: omap3-tao3530: Fix incorrect MMC card detection GPIO polarity
    - ppdev: fix PPGETTIME/PPSETTIME ioctls
    - powerpc: Allow 64bit VDSO __kernel_sync_dicache to work across ranges >4GB
    - powerpc/xive: Prevent page fault issues in the machine crash handler
    - powerpc: Allow flush_icache_range to work across ranges >4GB
    - powerpc/xive: Skip ioremap() of ESB pages for LSI interrupts
    - video/hdmi: Fix AVI bar unpack
    - quota: Check that quota is not dirty before release
    - ext2: check err when partial != NULL
    - quota: fix livelock in dquot_writeback_dquots
    - ext4: Fix credit estimate for final inode freeing
    - reiserfs: fix extended attributes on the root directory
    - block: fix single range discard merge
    - scsi: zfcp: trace channel log even for FCP command responses
    - scsi: qla2xxx: Fix DMA unmap leak
    - scsi: qla2xxx: Fix session lookup in qlt_abort_work()
    - scsi: qla2xxx: Fix qla24xx_process_bidir_cmd()
    - scsi: qla2xxx: Always check the qla2x00_wait_for_hba_online() return value
    - scsi: qla2xxx: Fix message indicating vectors used by driver
    - xhci: Fix memory leak in xhci_add_in_port()
    - xhci: make sure interrupts are restored to correct state
    - iio: adis16480: Add debugfs_reg_access entry
    - phy: renesas: rcar-gen3-usb2: Fix sysfs interface of "role"
    - omap: pdata-quirks: remove openpandora quirks for mmc3 and wl1251
    - scsi: lpfc: Cap NPIV vports to 256
    - scsi: lpfc: Correct code setting non existent bits in sli4 ABORT WQE
    - drbd: Change drbd_request_detach_interruptible's return type to int
    - e100: Fix passing zero to 'PTR_ERR' warning in e100_load_ucode_wait
    - power: supply: cpcap-battery: Fix signed counter sample register
    - mlxsw: spectrum_router: Refresh nexthop neighbour when it becomes dead
    - ath10k: fix fw crash by moving chip reset after napi disabled
    - powerpc: Avoid clang warnings around setjmp and longjmp
    - powerpc: Fix vDSO clock_getres()
    - ext4: work around deleting a file with i_nlink == 0 safely
    - firmware: qcom: scm: Ensure 'a0' status code is treated as signed
    - mm/shmem.c: cast the type of unmap_start to u64
    - ext4: fix a bug in ext4_wait_for_tail_page_commit
    - blk-mq: make sure that line break can be printed
    - workqueue: Fix missing kfree(rescuer) in destroy_workqueue()
    - sunrpc: fix crash when cache_head become valid before update
    - net/mlx5e: Fix SFF 8472 eeprom length
    - gfs2: fix glock reference problem in gfs2_trans_remove_revoke
    - kernel/module.c: wakeup processes in module_wq on module unload
    - gpiolib: acpi: Add Terra Pad 1061 to the run_edge_events_on_boot_blacklist
    - raid5: need to set STRIPE_HANDLE for batch head
    - of: unittest: fix memory leak in attach_node_and_children
    - sparc64: implement ioremap_uc
    - iwlwifi: trans: Clear persistence bit when starting the FW
    - audit: Embed key into chunk
    - netfilter: nf_tables: don't use position attribute on rule replacement
    - ARC: IOC: panic if kernel was started with previously enabled IOC
    - ARM: dts: exynos: Fix LDO13 min values on Odroid XU3/XU4/HC1
    - scsi: zfcp: update kernel message for invalid FCP_CMND length, it's not the
      CDB
    - drivers: soc: Allow building the amlogic drivers without ARCH_MESON
    - sctp: count sk_wmem_alloc by skb truesize in sctp_packet_transmit
    - xfs: extent shifting doesn't fully invalidate page cache
    - iomap: dio data corruption and spurious errors when pipes fill
    - ravb: Clean up duplex handling
    - net/ipv6: re-do dad when interface has IFF_NOARP flag change
    - selftests/powerpc: Allocate base registers
    - f2fs: fix to account preflush command for noflush_merge mode
    - nvme: Free ctrl device name on init failure
    - gpu: host1x: Fix syncpoint ID field size on Tegra186
    - ARM: dts: sun4i: Fix gpio-keys warning
    - ARM: dts: sun4i: Fix HDMI output DTC warning
    - ARM: dts: sun7i: Fix HDMI output DTC warning
    - ARM: dts: sun8i: a23/a33: Fix OPP DTC warnings
    - can: xilinx: fix return type of ndo_start_xmit function
    - clk: mediatek: Drop __init from mtk_clk_register_cpumuxes()
    - clk: mediatek: Drop more __init markings for driver probe
    - soc: renesas: r8a77970-sysc: Correct names of A2DP/A2CN power domains
    - tcp: make tcp_space() aware of socket backlog
    - clk: meson: meson8b: fix the offset of vid_pll_dco's N value
    - media: uvcvideo: Abstract streaming object lifetime
    - clk: renesas: rcar-gen3: Set state when registering SD clocks
    - x86/mm/32: Sync only to VMALLOC_END in vmalloc_sync_all()
    - crypto: atmel-aes - Fix IV handling when req->nbytes < ivsize
    - binder: Fix race between mmap() and binder_alloc_print_pages()
    - perf script: Fix invalid LBR/binary mismatch error
    - splice: don't read more than available pipe space
    - iomap: partially revert 4721a601099 (simulated directio short read on
      EFAULT)
    - xfs: add missing error check in xfs_prepare_shift()
    - Btrfs: fix metadata space leak on fixup worker failure to set range as
      delalloc
    - btrfs: Avoid getting stuck during cyclic writebacks
    - md: improve handling of bio with REQ_PREFLUSH in md_flush_request()
    - pinctrl: armada-37xx: Fix irq mask access in armada_37xx_irq_set_type()
    - pinctrl: samsung: Fix device node refcount leaks in Exynos wakeup controller
      init
    - scsi: lpfc: Correct topology type reporting on G7 adapters
    - pvcalls-front: don't return error when the ring is full
    - net: hns3: clear pci private data when unload hns3 driver
    - net: hns3: change hnae3_register_ae_dev() to int
    - net: hns3: Check variable is valid before assigning it to another
    - scsi: hisi_sas: send primitive NOTIFY to SSP situation only
    - scsi: hisi_sas: Reject setting programmed minimum linkrate > 1.5G
    - regulator: 88pm800: fix warning same module names
    - rtc: disable uie before setting time and enable after
    - splice: only read in as much information as there is pipe buffer space
    - s390/smp,vdso: fix ASCE handling
    - PCI: rcar: Fix missing MACCTLR register setting in initialization sequence
    - of: overlay: add_changeset_property() memory leak
    - scsi: qla2xxx: Change discovery state before PLOGI
  * Realtek ALC256M with DTS Audio Processing internal microphone doesn't work
    on Redmi Book 14 2019 (LP: #1846148) // Bionic update: upstream stable
    patchset 2019-12-20 (LP: #1857158)
    - ALSA: hda/realtek - Enable the headset-mic on a Xiaomi's laptop
  * False positive test result in run_afpackettests from net in
    ubuntu_kernel_selftest  (LP: #1825778)
    - selftests/net: correct the return value for run_afpackettests
  * headphone has noise as not mute on dell machines with alc236/256
    (LP: #1854401)
    - SAUCE: ALSA: hda/realtek - Dell headphone has noise on unmute for ALC236
  * Bionic update: upstream stable patchset 2019-12-09 (LP: #1855787)
    - Revert "KVM: nVMX: reset cache/shadows when switching loaded VMCS"
    - clk: meson: gxbb: let sar_adc_clk_div set the parent clock rate
    - ASoC: msm8916-wcd-analog: Fix RX1 selection in RDAC2 MUX
    - ASoC: compress: fix unsigned integer overflow check
    - reset: Fix memory leak in reset_control_array_put()
    - ASoC: kirkwood: fix external clock probe defer
    - clk: samsung: exynos5420: Preserve PLL configuration during suspend/resume
    - reset: fix reset_control_ops kerneldoc comment
    - clk: at91: avoid sleeping early
    - clk: sunxi-ng: a80: fix the zero'ing of bits 16 and 18
    - idr: Fix idr_alloc_u32 on 32-bit systems
    - x86/resctrl: Prevent NULL pointer dereference when reading mondata
    - clk: ti: dra7-atl-clock: Remove ti_clk_add_alias call
    - net: fec: add missed clk_disable_unprepare in remove
    - bridge: ebtables: don't crash when using dnat target in output chains
    - can: peak_usb: report bus recovery as well
    - can: c_can: D_CAN: c_can_chip_config(): perform a sofware reset on open
    - can: rx-offload: can_rx_offload_queue_tail(): fix error handling, avoid skb
      mem leak
    - can: rx-offload: can_rx_offload_offload_one(): do not increase the skb_queue
      beyond skb_queue_len_max
    - can: rx-offload: can_rx_offload_offload_one(): increment rx_fifo_errors on
      queue overflow or OOM
    - can: rx-offload: can_rx_offload_offload_one(): use ERR_PTR() to propagate
      error value in case of errors
    - can: rx-offload: can_rx_offload_irq_offload_timestamp(): continue on error
    - can: rx-offload: can_rx_offload_irq_offload_fifo(): continue on error
    - watchdog: meson: Fix the wrong value of left time
    - scripts/gdb: fix debugging modules compiled with hot/cold partitioning
    - net: bcmgenet: reapply manual settings to the PHY
    - ceph: return -EINVAL if given fsc mount option on kernel w/o support
    - mac80211: fix station inactive_time shortly after boot
    - block: drbd: remove a stray unlock in __drbd_send_protocol()
    - pwm: bcm-iproc: Prevent unloading the driver module while in use
    - scsi: lpfc: Fix kernel Oops due to null pring pointers
    - scsi: lpfc: Fix dif and first burst use in write commands
    - ARM: dts: Fix up SQ201 flash access
    - ARM: debug-imx: only define DEBUG_IMX_UART_PORT if needed
    - [Config] updateconfigs for DEBUG_IMX_UART_PORT
    - ARM: dts: imx53-voipac-dmm-668: Fix memory node duplication
    - parisc: Fix serio address output
    - parisc: Fix HP SDC hpa address output
    - arm64: mm: Prevent mismatched 52-bit VA support
    - arm64: smp: Handle errors reported by the firmware
    - ARM: OMAP1: fix USB configuration for device-only setups
    - RDMA/vmw_pvrdma: Use atomic memory allocation in create AH
    - PM / AVS: SmartReflex: NULL check before some freeing functions is not
      needed
    - ARM: ks8695: fix section mismatch warning
    - ACPI / LPSS: Ignore acpi_device_fix_up_power() return value
    - scsi: lpfc: Enable Management features for IF_TYPE=6
    - crypto: user - support incremental algorithm dumps
    - mwifiex: fix potential NULL dereference and use after free
    - mwifiex: debugfs: correct histogram spacing, formatting
    - rtl818x: fix potential use after free
    - xfs: require both realtime inodes to mount
    - ubi: Put MTD device after it is not used
    - ubi: Do not drop UBI device reference before using
    - microblaze: adjust the help to the real behavior
    - microblaze: move "... is ready" messages to arch/microblaze/Makefile
    - iwlwifi: move iwl_nvm_check_version() into dvm
    - gpiolib: Fix return value of gpio_to_desc() stub if !GPIOLIB
    - kvm: vmx: Set IA32_TSC_AUX for legacy mode guests
    - VSOCK: bind to random port for VMADDR_PORT_ANY
    - mmc: meson-gx: make sure the descriptor is stopped on errors
    - mtd: rawnand: sunxi: Write pageprog related opcodes to WCMD_SET
    - btrfs: only track ref_heads in delayed_ref_updates
    - HID: intel-ish-hid: fixes incorrect error handling
    - serial: 8250: Rate limit serial port rx interrupts during input overruns
    - kprobes/x86/xen: blacklist non-attachable xen interrupt functions
    - xen/pciback: Check dev_data before using it
    - vfio-mdev/samples: Use u8 instead of char for handle functions
    - pinctrl: xway: fix gpio-hog related boot issues
    - net/mlx5: Continue driver initialization despite debugfs failure
    - exofs_mount(): fix leaks on failure exits
    - bnxt_en: Return linux standard errors in bnxt_ethtool.c
    - bnxt_en: query force speeds before disabling autoneg mode.
    - KVM: s390: unregister debug feature on failing arch init
    - pinctrl: sh-pfc: sh7264: Fix PFCR3 and PFCR0 register configuration
    - pinctrl: sh-pfc: sh7734: Fix shifted values in IPSR10
    - HID: doc: fix wrong data structure reference for UHID_OUTPUT
    - dm flakey: Properly corrupt multi-page bios.
    - gfs2: take jdata unstuff into account in do_grow
    - xfs: Align compat attrlist_by_handle with native implementation.
    - xfs: Fix bulkstat compat ioctls on x32 userspace.
    - IB/qib: Fix an error code in qib_sdma_verbs_send()
    - clocksource/drivers/fttmr010: Fix invalid interrupt register access
    - vxlan: Fix error path in __vxlan_dev_create()
    - powerpc/book3s/32: fix number of bats in p/v_block_mapped()
    - powerpc/xmon: fix dump_segments()
    - drivers/regulator: fix a missing check of return value
    - Bluetooth: hci_bcm: Handle specific unknown packets after firmware loading
    - serial: max310x: Fix tx_empty() callback
    - openrisc: Fix broken paths to arch/or32
    - RDMA/srp: Propagate ib_post_send() failures to the SCSI mid-layer
    - scsi: qla2xxx: deadlock by configfs_depend_item
    - scsi: csiostor: fix incorrect dma device in case of vport
    - ath6kl: Only use match sets when firmware supports it
    - ath6kl: Fix off by one error in scan completion
    - powerpc/perf: Fix unit_sel/cache_sel checks
    - powerpc/prom: fix early DEBUG messages
    - powerpc/mm: Make NULL pointer deferences explicit on bad page faults.
    - powerpc/44x/bamboo: Fix PCI range
    - vfio/spapr_tce: Get rid of possible infinite loop
    - powerpc/powernv/eeh/npu: Fix uninitialized variables in
      opal_pci_eeh_freeze_status
    - drbd: ignore "all zero" peer volume sizes in handshake
    - drbd: reject attach of unsuitable uuids even if connected
    - drbd: do not block when adjusting "disk-options" while IO is frozen
    - drbd: fix print_st_err()'s prototype to match the definition
    - IB/rxe: Make counters thread safe
    - regulator: tps65910: fix a missing check of return value
    - powerpc/83xx: handle machine check caused by watchdog timer
    - powerpc/pseries: Fix node leak in update_lmb_associativity_index()
    - crypto: mxc-scc - fix build warnings on ARM64
    - pwm: clps711x: Fix period calculation
    - net/netlink_compat: Fix a missing check of nla_parse_nested
    - net/net_namespace: Check the return value of register_pernet_subsys()
    - f2fs: fix to dirty inode synchronously
    - um: Make GCOV depend on !KCOV
    - net: (cpts) fix a missing check of clk_prepare
    - net: stmicro: fix a missing check of clk_prepare
    - net: dsa: bcm_sf2: Propagate error value from mdio_write
    - atl1e: checking the status of atl1e_write_phy_reg
    - tipc: fix a missing check of genlmsg_put
    - net/wan/fsl_ucc_hdlc: Avoid double free in ucc_hdlc_probe()
    - ocfs2: clear journal dirty flag after shutdown journal
    - vmscan: return NODE_RECLAIM_NOSCAN in node_reclaim() when CONFIG_NUMA is n
    - lib/genalloc.c: fix allocation of aligned buffer from non-aligned chunk
    - lib/genalloc.c: use vzalloc_node() to allocate the bitmap
    - fork: fix some -Wmissing-prototypes warnings
    - drivers/base/platform.c: kmemleak ignore a known leak
    - lib/genalloc.c: include vmalloc.h
    - mtd: Check add_mtd_device() ret code
    - tipc: fix memory leak in tipc_nl_compat_publ_dump
    - net/core/neighbour: tell kmemleak about hash tables
    - PCI/MSI: Return -ENOSPC from pci_alloc_irq_vectors_affinity()
    - net/core/neighbour: fix kmemleak minimal reference count for hash tables
    - serial: 8250: Fix serial8250 initialization crash
    - gpu: ipu-v3: pre: don't trigger update if buffer address doesn't change
    - sfc: suppress duplicate nvmem partition types in efx_ef10_mtd_probe
    - ip_tunnel: Make none-tunnel-dst tunnel port work with lwtunnel
    - decnet: fix DN_IFREQ_SIZE
    - net/smc: prevent races between smc_lgr_terminate() and smc_conn_free()
    - blktrace: Show requests without sector
    - tipc: fix skb may be leaky in tipc_link_input
    - sfc: initialise found bitmap in efx_ef10_mtd_probe
    - net: fix possible overflow in __sk_mem_raise_allocated()
    - sctp: don't compare hb_timer expire date before starting it
    - bpf: decrease usercnt if bpf_map_new_fd() fails in bpf_map_get_fd_by_id()
    - net: dev: Use unsigned integer as an argument to left-shift
    - kvm: properly check debugfs dentry before using it
    - bpf: drop refcount if bpf_map_new_fd() fails in map_create()
    - net: hns3: Change fw error code NOT_EXEC to NOT_SUPPORTED
    - apparmor: delete the dentry in aafs_remove() to avoid a leak
    - scsi: libsas: Support SATA PHY connection rate unmatch fixing during
      discovery
    - ACPI / APEI: Don't wait to serialise with oops messages when panic()ing
    - ACPI / APEI: Switch estatus pool to use vmalloc memory
    - scsi: libsas: Check SMP PHY control function result
    - mtd: Remove a debug trace in mtdpart.c
    - mm, gup: add missing refcount overflow checks on s390
    - clk: at91: fix update bit maps on CFG_MOR write
    - clk: at91: generated: set audio_pll_allowed in at91_clk_register_generated()
    - staging: rtl8192e: fix potential use after free
    - staging: rtl8723bs: Drop ACPI device ids
    - staging: rtl8723bs: Add 024c:0525 to the list of SDIO device-ids
    - USB: serial: ftdi_sio: add device IDs for U-Blox C099-F9P
    - mei: bus: prefix device names on bus with the bus name
    - media: v4l2-ctrl: fix flags for DO_WHITE_BALANCE
    - net: macb: fix error format in dev_err()
    - pwm: Clear chip_data in pwm_put()
    - media: atmel: atmel-isc: fix asd memory allocation
    - media: atmel: atmel-isc: fix INIT_WORK misplacement
    - macvlan: schedule bc_work even if error
    - net: psample: fix skb_over_panic
    - openvswitch: fix flow command message size
    - slip: Fix use-after-free Read in slip_open
    - openvswitch: drop unneeded BUG_ON() in ovs_flow_cmd_build_info()
    - openvswitch: remove another BUG_ON()
    - tipc: fix link name length check
    - sctp: cache netns in sctp_ep_common
    - net: sched: fix `tc -s class show` no bstats on class with nolock subqueues
    - ext4: add more paranoia checking in ext4_expand_extra_isize handling
    - watchdog: sama5d4: fix WDD value to be always set to max
    - net: macb: Fix SUBNS increment and increase resolution
    - net: macb driver, check for SKBTX_HW_TSTAMP
    - mtd: rawnand: atmel: Fix spelling mistake in error message
    - mtd: rawnand: atmel: fix possible object reference leak
    - mtd: spi-nor: cast to u64 to avoid uint overflows
    - y2038: futex: Move compat implementation into futex.c
    - futex: Prevent robust futex exit race
    - futex: Move futex exit handling into futex code
    - futex: Replace PF_EXITPIDONE with a state
    - exit/exec: Seperate mm_release()
    - futex: Split futex_mm_release() for exit/exec
    - futex: Set task::futex_state to DEAD right after handling futex exit
    - futex: Mark the begin of futex exit explicitly
    - futex: Sanitize exit state handling
    - futex: Provide state handling for exec() as well
    - futex: Add mutex around futex exit
    - futex: Provide distinct return value when owner is exiting
    - futex: Prevent exit livelock
    - HID: core: check whether Usage Page item is after Usage ID items
    - crypto: stm32/hash - Fix hmac issue more than 256 bytes
    - media: stm32-dcmi: fix DMA corruption when stopping streaming
    - hwrng: stm32 - fix unbalanced pm_runtime_enable
    - mailbox: mailbox-test: fix null pointer if no mmio
    - pinctrl: stm32: fix memory leak issue
    - ASoC: stm32: i2s: fix dma configuration
    - ASoC: stm32: i2s: fix 16 bit format support
    - ASoC: stm32: i2s: fix IRQ clearing
    - platform/x86: hp-wmi: Fix ACPI errors caused by too small buffer
    - platform/x86: hp-wmi: Fix ACPI errors caused by passing 0 as input size
    - net: fec: fix clock count mis-match
    - clk: samsung: exynos5433: Fix error paths
    - pinctrl: cherryview: Allocate IRQ chip dynamic
    - ARM: dts: sun8i-a83t-tbs-a711: Fix WiFi resume from suspend
    - samples/bpf: fix build by setting HAVE_ATTR_TEST to zero
    - idr: Fix integer overflow in idr_for_each_entry
    - can: mcp251x: mcp251x_restart_work_handler(): Fix potential force_quit race
      condition
    - net: bcmgenet: use RGMII loopback for MAC reset
    - RDMA/hns: Fix the bug while use multi-hop of pbl
    - s390/zcrypt: make sysfs reset attribute trigger queue reset
    - bcache: do not check if debug dentry is ERR or NULL explicitly on remove
    - bcache: do not mark writeback_running too early
    - microblaze: fix multiple bugs in arch/microblaze/boot/Makefile
    - iwlwifi: pcie: fix erroneous print
    - usb: ehci-omap: Fix deferred probe for phy handling
    - btrfs: fix ncopies raid_attr for RAID56
    - Btrfs: allow clear_extent_dirty() to receive a cached extent state record
    - serial: sh-sci: Fix crash in rx_timer_fn() on PIO fallback
    - kprobes: Blacklist symbols in arch-defined prohibited area
    - kprobes/x86: Show x86-64 specific blacklisted symbols correctly
    - memory: omap-gpmc: Get the header of the enum
    - netfilter: nf_nat_sip: fix RTP/RTCP source port translations
    - bnxt_en: Save ring statistics before reset.
    - brcmfmac: Fix access point mode
    - powerpc/32: Avoid unsupported flags with clang
    - powerpc: Fix HMIs on big-endian with CONFIG_RELOCATABLE=y
    - mm/page_alloc.c: free order-0 pages through PCP in page_frag_free()
    - mm/page_alloc.c: use a single function to free page
    - mm/page_alloc.c: deduplicate __memblock_free_early() and memblock_free()
    - infiniband: bnxt_re: qplib: Check the return value of send_message
    - infiniband/qedr: Potential null ptr dereference of qp
    - firmware: arm_sdei: fix wrong of_node_put() in init function
    - firmware: arm_sdei: Fix DT platform device creation
    - ata: ahci: mvebu: do Armada 38x configuration only on relevant SoCs
    - net/smc: don't wait for send buffer space when data was already sent
    - mm/hotplug: invalid PFNs from pfn_to_online_page()
    - ASoC: samsung: i2s: Fix prescaler setting for the secondary DAI
    - geneve: change NET_UDP_TUNNEL dependency to select
    - mmc: core: align max segment size with logical block size
    - net: hns3: fix PFC not setting problem for DCB module
    - net: hns3: fix an issue for hclgevf_ae_get_hdev
    - net: hns3: fix an issue for hns3_update_new_int_gl
    - scsi: hisi_sas: shutdown axi bus to avoid exception CQ returned
    - RDMA/hns: Bugfix for the scene without receiver queue
    - RDMA/hns: Fix the state of rereg mr
    - thunderbolt: Power cycle the router if NVM authentication fails
    - tcp: exit if nothing to retransmit on RTO timeout
  * Bionic update: upstream stable patchset 2019-12-03 (LP: #1854975)
    - net/mlx4_en: fix mlx4 ethtool -N insertion
    - net: rtnetlink: prevent underflows in do_setvfinfo()
    - sfc: Only cancel the PPS workqueue if it exists
    - net/mlx5e: Fix set vf link state error flow
    - net/mlxfw: Verify FSM error code translation doesn't exceed array size
    - net/sched: act_pedit: fix WARN() in the traffic path
    - vhost/vsock: split packets to send using multiple buffers
    - gpio: max77620: Fixup debounce delays
    - tools: gpio: Correctly add make dependencies for gpio_utils
    - nbd:fix memory leak in nbd_get_socket()
    - virtio_console: allocate inbufs in add_port() only if it is needed
    - Revert "fs: ocfs2: fix possible null-pointer dereferences in
      ocfs2_xa_prepare_entry()"
    - mm/ksm.c: don't WARN if page is still mapped in remove_stable_node()
    - drm/i915/userptr: Try to acquire the page lock around set_page_dirty()
    - platform/x86: asus-nb-wmi: Support ALS on the Zenbook UX430UQ
    - mwifiex: Fix NL80211_TX_POWER_LIMITED
    - ALSA: isight: fix leak of reference to firewire unit in error path of .probe
      callback
    - printk: fix integer overflow in setup_log_buf()
    - gfs2: Fix marking bitmaps non-full
    - pty: fix compat ioctls
    - synclink_gt(): fix compat_ioctl()
    - powerpc: Fix signedness bug in update_flash_db()
    - powerpc/boot: Disable vector instructions
    - powerpc/eeh: Fix use of EEH_PE_KEEP on wrong field
    - EDAC, thunderx: Fix memory leak in thunderx_l2c_threaded_isr()
    - brcmsmac: AP mode: update beacon when TIM changes
    - ath10k: allocate small size dma memory in ath10k_pci_diag_write_mem
    - skd: fixup usage of legacy IO API
    - cdrom: don't attempt to fiddle with cdo->capability
    - spi: sh-msiof: fix deferred probing
    - mmc: mediatek: fix cannot receive new request when msdc_cmd_is_ready fail
    - btrfs: handle error of get_old_root
    - gsmi: Fix bug in append_to_eventlog sysfs handler
    - misc: mic: fix a DMA pool free failure
    - w1: IAD Register is yet readable trough iad sys file. Fix snprintf (%u for
      unsigned, count for max size).
    - m68k: fix command-line parsing when passed from u-boot
    - RDMA/bnxt_re: Fix qp async event reporting
    - pinctrl: sunxi: Fix a memory leak in 'sunxi_pinctrl_build_state()'
    - pwm: lpss: Only set update bit if we are actually changing the settings
    - amiflop: clean up on errors during setup
    - qed: Align local and global PTT to propagate through the APIs.
    - scsi: ips: fix missing break in switch
    - KVM: nVMX: reset cache/shadows when switching loaded VMCS
    - KVM/x86: Fix invvpid and invept register operand size in 64-bit mode
    - scsi: isci: Use proper enumerated type in atapi_d2h_reg_frame_handler
    - scsi: isci: Change sci_controller_start_task's return type to sci_status
    - scsi: iscsi_tcp: Explicitly cast param in iscsi_sw_tcp_host_get_param
    - crypto: ccree - avoid implicit enum conversion
    - nvmet-fcloop: suppress a compiler warning
    - clk: mmp2: fix the clock id for sdh2_clk and sdh3_clk
    - clk: at91: audio-pll: fix audio pmc type
    - ASoC: tegra_sgtl5000: fix device_node refcounting
    - scsi: dc395x: fix dma API usage in srb_done
    - scsi: dc395x: fix DMA API usage in sg_update_list
    - net: dsa: mv88e6xxx: Fix 88E6141/6341 2500mbps SERDES speed
    - net: fix warning in af_unix
    - xfs: fix use-after-free race in xfs_buf_rele
    - kprobes, x86/ptrace.h: Make regs_get_kernel_stack_nth() not fault on bad
      stack
    - PM / Domains: Deal with multiple states but no governor in genpd
    - ALSA: i2c/cs8427: Fix int to char conversion
    - macintosh/windfarm_smu_sat: Fix debug output
    - PCI: vmd: Detach resources after stopping root bus
    - USB: misc: appledisplay: fix backlight update_status return code
    - usbip: tools: fix atoi() on non-null terminated string
    - dm raid: avoid bitmap with raid4/5/6 journal device
    - SUNRPC: Fix a compile warning for cmpxchg64()
    - sunrpc: safely reallow resvport min/max inversion
    - atm: zatm: Fix empty body Clang warnings
    - s390/perf: Return error when debug_register fails
    - spi: omap2-mcspi: Set FIFO DMA trigger level to word length
    - sparc: Fix parport build warnings.
    - powerpc/pseries: Export raw per-CPU VPA data via debugfs
    - ceph: fix dentry leak in ceph_readdir_prepopulate
    - rtc: s35390a: Change buf's type to u8 in s35390a_init
    - f2fs: fix to spread clear_cold_data()
    - mISDN: Fix type of switch control variable in ctrl_teimanager
    - qlcnic: fix a return in qlcnic_dcb_get_capability()
    - net: ethernet: ti: cpsw: unsync mcast entries while switch promisc mode
    - mfd: arizona: Correct calling of runtime_put_sync
    - mfd: mc13xxx-core: Fix PMIC shutdown when reading ADC values
    - mfd: intel_soc_pmic_bxtwc: Chain power button IRQs as well
    - mfd: max8997: Enale irq-wakeup unconditionally
    - selftests/ftrace: Fix to test kprobe $comm arg only if available
    - selftests: watchdog: fix message when /dev/watchdog open fails
    - selftests: watchdog: Fix error message.
    - thermal: rcar_thermal: Prevent hardware access during system suspend
    - bpf: devmap: fix wrong interface selection in notifier_call
    - powerpc/process: Fix flush_all_to_thread for SPE
    - sparc64: Rework xchg() definition to avoid warnings.
    - arm64: lib: use C string functions with KASAN enabled
    - fs/ocfs2/dlm/dlmdebug.c: fix a sleep-in-atomic-context bug in
      dlm_print_one_mle()
    - mm/page-writeback.c: fix range_cyclic writeback vs writepages deadlock
    - macsec: update operstate when lower device changes
    - macsec: let the administrator set UP state even if lowerdev is down
    - block: fix the DISCARD request merge
    - i2c: uniphier-f: make driver robust against concurrency
    - i2c: uniphier-f: fix occasional timeout error
    - i2c: uniphier-f: fix race condition when IRQ is cleared
    - um: Make line/tty semantics use true write IRQ
    - vfs: avoid problematic remapping requests into partial EOF block
    - powerpc/xmon: Relax frame size for clang
    - selftests/powerpc/signal: Fix out-of-tree build
    - selftests/powerpc/switch_endian: Fix out-of-tree build
    - selftests/powerpc/cache_shape: Fix out-of-tree build
    - linux/bitmap.h: handle constant zero-size bitmaps correctly
    - linux/bitmap.h: fix type of nbits in bitmap_shift_right()
    - hfsplus: fix BUG on bnode parent update
    - hfs: fix BUG on bnode parent update
    - hfsplus: prevent btree data loss on ENOSPC
    - hfs: prevent btree data loss on ENOSPC
    - hfsplus: fix return value of hfsplus_get_block()
    - hfs: fix return value of hfs_get_block()
    - hfsplus: update timestamps on truncate()
    - hfs: update timestamp on truncate()
    - fs/hfs/extent.c: fix array out of bounds read of array extent
    - mm/memory_hotplug: make add_memory() take the device_hotplug_lock
    - igb: shorten maximum PHC timecounter update interval
    - ntb_netdev: fix sleep time mismatch
    - ntb: intel: fix return value for ndev_vec_mask()
    - arm64: makefile fix build of .i file in external module case
    - ocfs2: don't put and assigning null to bh allocated outside
    - ocfs2: fix clusters leak in ocfs2_defrag_extent()
    - net: do not abort bulk send on BQL status
    - sched/topology: Fix off by one bug
    - sched/fair: Don't increase sd->balance_interval on newidle balance
    - openvswitch: fix linking without CONFIG_NF_CONNTRACK_LABELS
    - clk: sunxi-ng: enable so-said LDOs for A64 SoC's pll-mipi clock
    - audit: print empty EXECVE args
    - btrfs: avoid link error with CONFIG_NO_AUTO_INLINE
    - wil6210: fix locking in wmi_call
    - wlcore: Fix the return value in case of error in
      'wlcore_vendor_cmd_smart_config_start()'
    - rtl8xxxu: Fix missing break in switch
    - brcmsmac: never log "tid x is not agg'able" by default
    - wireless: airo: potential buffer overflow in sprintf()
    - rtlwifi: rtl8192de: Fix misleading REG_MCUFWDL information
    - net: dsa: bcm_sf2: Turn on PHY to allow successful registration
    - scsi: mpt3sas: Fix Sync cache command failure during driver unload
    - scsi: mpt3sas: Don't modify EEDPTagMode field setting on SAS3.5 HBA devices
    - scsi: mpt3sas: Fix driver modifying persistent data in Manufacturing page11
    - scsi: megaraid_sas: Fix msleep granularity
    - scsi: megaraid_sas: Fix goto labels in error handling
    - scsi: lpfc: fcoe: Fix link down issue after 1000+ link bounces
    - scsi: lpfc: Correct loss of fc4 type on remote port address change
    - dlm: fix invalid free
    - dlm: don't leak kernel pointer to userspace
    - vrf: mark skb for multicast or link-local as enslaved to VRF
    - ACPICA: Use %d for signed int print formatting instead of %u
    - net: bcmgenet: return correct value 'ret' from bcmgenet_power_down
    - of: unittest: allow base devicetree to have symbol metadata
    - cfg80211: Prevent regulatory restore during STA disconnect in concurrent
      interfaces
    - pinctrl: qcom: spmi-gpio: fix gpio-hog related boot issues
    - pinctrl: lpc18xx: Use define directive for PIN_CONFIG_GPIO_PIN_INT
    - pinctrl: zynq: Use define directive for PIN_CONFIG_IO_STANDARD
    - PCI: keystone: Use quirk to limit MRRS for K2G
    - spi: omap2-mcspi: Fix DMA and FIFO event trigger size mismatch
    - i2c: uniphier-f: fix timeout error after reading 8 bytes
    - mm/memory_hotplug: Do not unlock when fails to take the device_hotplug_lock
    - ipv6: Fix handling of LLA with VRF and sockets bound to VRF
    - cfg80211: call disconnect_wk when AP stops
    - Bluetooth: Fix invalid-free in bcsp_close()
    - KVM: MMU: Do not treat ZONE_DEVICE pages as being reserved
    - ath10k: Fix a NULL-ptr-deref bug in ath10k_usb_alloc_urb_from_pipe
    - ath9k_hw: fix uninitialized variable data
    - md/raid10: prevent access of uninitialized resync_pages offset
    - mm/memory_hotplug: don't access uninitialized memmaps in shrink_zone_span()
    - net: phy: dp83867: fix speed 10 in sgmii mode
    - net: phy: dp83867: increase SGMII autoneg timer duration
    - cpufreq: Skip cpufreq resume if it's not suspended
    - ocfs2: remove ocfs2_is_o2cb_active()
    - ARM: 8904/1: skip nomap memblocks while finding the lowmem/highmem boundary
    - ARC: perf: Accommodate big-endian CPU
    - x86/insn: Fix awk regexp warnings
    - x86/speculation: Fix incorrect MDS/TAA mitigation status
    - x86/speculation: Fix redundant MDS mitigation message
    - nbd: prevent memory leak
    - nfc: port100: handle command failure cleanly
    - media: vivid: Set vid_cap_streaming and vid_out_streaming to true
    - media: vivid: Fix wrong locking that causes race conditions on streaming
      stop
    - media: usbvision: Fix races among open, close, and disconnect
    - cpufreq: Add NULL checks to show() and store() methods of cpufreq
    - media: uvcvideo: Fix error path in control parsing failure
    - media: b2c2-flexcop-usb: add sanity checking
    - media: cxusb: detect cxusb_ctrl_msg error in query
    - media: imon: invalid dereference in imon_touch_event
    - virtio_ring: fix return code on DMA mapping fails
    - usbip: tools: fix fd leakage in the function of read_attr_usbip_status
    - usbip: Fix uninitialized symbol 'nents' in stub_recv_cmd_submit()
    - usb-serial: cp201x: support Mark-10 digital force gauge
    - USB: chaoskey: fix error case of a timeout
    - appledisplay: fix error handling in the scheduled work
    - USB: serial: mos7840: add USB ID to support Moxa UPort 2210
    - USB: serial: mos7720: fix remote wakeup
    - USB: serial: mos7840: fix remote wakeup
    - USB: serial: option: add support for DW5821e with eSIM support
    - USB: serial: option: add support for Foxconn T77W968 LTE modules
    - staging: comedi: usbduxfast: usbduxfast_ai_cmdtest rounding error
    - x86/hyperv: mark hyperv_init as __init function
    - mlxsw: spectrum_router: Fix determining underlay for a GRE tunnel
    - net/mlx4_en: Fix wrong limitation for number of TX rings
    - net/mlx5: Fix auto group size calculation
    - printk: lock/unlock console only for new logbuf entries
    - powerpc/boot: Fix opal console in boot wrapper
    - mmc: mediatek: fill the actual clock for mmc debugfs
    - btrfs: defrag: use btrfs_mod_outstanding_extents in cluster_pages_for_defrag
    - nvme-pci: fix hot removal during error handling
    - PCI: mediatek: Fixup MSI enablement logic by enabling MSI before clocks
    - swiotlb: do not panic on mapping failures
    - powerpc/mm/radix: Fix off-by-one in split mapping logic
    - powerpc/mm/radix: Fix overuse of small pages in splitting logic
    - powerpc/mm/radix: Fix small page at boundary when splitting
    - tools: bpftool: fix completion for "bpftool map update"
    - ceph: only allow punch hole mode in fallocate
    - RISC-V: Avoid corrupting the upper 32-bit of phys_addr_t in ioremap
    - f2fs: spread f2fs_set_inode_flags()
    - net: socionext: Stop PHY before resetting netsec
    - tools/testing/selftests/vm/gup_benchmark.c: fix 'write' flag usage
    - mm: thp: fix MADV_DONTNEED vs migrate_misplaced_transhuge_page race
      condition
    - ipv4/igmp: fix v1/v2 switchback timeout based on rfc3376, 8.12
    - mm/gup_benchmark.c: prevent integer overflow in ioctl
    - lib/bitmap.c: fix remaining space computation in bitmap_print_to_pagebuf
    - kernel/panic.c: do not append newline to the stack protector panic string
    - mm/memory_hotplug: fix online/offline_pages called w.o. mem_hotplug_lock
    - fm10k: ensure completer aborts are marked as non-fatal after a resume
    - irq/matrix: Fix memory overallocation
    - nvme-pci: fix conflicting p2p resource adds
    - mm: handle no memcg case in memcg_kmem_charge() properly
    - ocfs2: without quota support, avoid calling quota recovery
    - soc: bcm: brcmstb: Fix re-entry point with a THUMB2_KERNEL
    - media: ov13858: Check for possible null pointer
    - wil6210: fix debugfs memory access alignment
    - scsi: lpfc: Fix odd recovery in duplicate FLOGIs in point-to-point
    - usb: typec: tcpm: charge current handling for sink during hard reset
    - clk: tegra20: Turn EMC clock gate into divider
    - of: unittest: initialize args before calling of_*parse_*()
    - tools: bpftool: pass an argument to silence open_obj_pinned()
    - nvme-pci: fix surprise removal
    - mm/page_io.c: do not free shared swap slots
    - PM / devfreq: Fix kernel oops on governor module load
  * Miscellaneous Ubuntu changes
    - update dkms package versions
  * bionic/linux: 4.15.0-76.86 -proposed tracker (LP: #1860123)
  *  Integrate Intel SGX driver into linux-azure (LP: #1844245)
    - [Packaging] Add systemd service to load intel_sgx
  * [Regression] Bionic kernel 4.15.0-71.80 can not boot on ThunderX
    (LP: #1853326) // Bionic kernel panic on Cavium ThunderX CN88XX
    (LP: #1853485) // Cavium ThunderX CN88XX crashes on boot (LP: #1857074)
    - arm64: Check for errata before evaluating cpu features
    - arm64: add sentinel to kpti_safe_list

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Mon, 03 Feb 2020 18:06:29 -0800

linux-aws-hwe (4.15.0-1058.60~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1058.60~16.04.1 -proposed tracker
    (LP: #1859802)

  [ Ubuntu: 4.15.0-1058.60 ]

  * bionic/linux-aws: 4.15.0-1058.60 -proposed tracker (LP: #1859795)
  * Update EFA driver to 1.5.0 (LP: #1850195)
    - SAUCE: linux/efa: Fix incorrect error print
    - SAUCE: linux/efa: Fix ‘err’ may be used uninitialized in this function
      warning
    - SAUCE: linux/efa: Add support for CentOS 7.7
    - SAUCE: linux/efa: Clear the admin command buffer prior to its submission
    - SAUCE: linux/efa: Bump driver version to 1.4.1
    - SAUCE: linux/efa: Store network attributes in device attributes
    - SAUCE: linux/efa: Support remote read access in MR registration
    - SAUCE: linux/efa: Expose RDMA read related attributes
    - SAUCE: linux/efa: Add ib_uverbs as a soft dependency
    - SAUCE: linux/efa: Use the ib_port_phys_state enum values
    - SAUCE: linux/efa: Backport missing driver id
    - SAUCE: linux/efa: Check sscanf return value
    - SAUCE: linux/efa: SuSE 15.1 support
    - SAUCE: linux/efa: Bump driver version to 1.5.0
  * linux-aws: swapoff optimization (LP: #1858618)
    - UBUNTU SAUCE [aws]: mm: swap: improve swap readahead heuristic
  * ARM CPU erratum Neoverse-N1 #1542419 (LP: #1855729)
    - arm64: Add support for new control bits CTR_EL0.DIC and CTR_EL0.IDC
    - arm64: Add part number for Neoverse N1
    - arm64: cpufeature: Trap CTR_EL0 access only where it is necessary
    - arm64: errata: Hide CTR_EL0.DIC on systems affected by Neoverse-N1 #1542419
    - arm64: Fake the IminLine size on systems affected by Neoverse-N1 #1542419
    - arm64: compat: Workaround Neoverse-N1 #1542419 for compat user-space
    - aws: [Config] updateconfigs for ARM64_ERRATUM_1542419
  * bionic/linux: 4.15.0-75.85 -proposed tracker (LP: #1859705)
  * use-after-free in i915_ppgtt_close (LP: #1859522) // CVE-2020-7053
    - SAUCE: drm/i915: Fix use-after-free when destroying GEM context
  * CVE-2019-14615
    - drm/i915/gen9: Clear residual context state on context switch
  * PAN is broken for execute-only user mappings on ARMv8 (LP: #1858815)
    - arm64: Revert support for execute-only user mappings
  * [Regression] usb usb2-port2: Cannot enable. Maybe the USB cable is bad?
    (LP: #1856608)
    - SAUCE: Revert "usb: handle warm-reset port requests on hub resume"
  * Miscellaneous Ubuntu changes
    - update dkms package versions
  * bionic/linux: 4.15.0-74.84 -proposed tracker (LP: #1856749)
  * [Hyper-V] KVP daemon fails to start on first boot of disco VM (LP: #1820063)
    - [Packaging] bind hv_kvp_daemon startup to hv_kvp device
  * Unrevert "arm64: Use firmware to detect CPUs that are not affected by
    Spectre-v2" (LP: #1854207)
    - arm64: Get rid of __smccc_workaround_1_hvc_*
    - arm64: Use firmware to detect CPUs that are not affected by Spectre-v2
  * Bionic kernel panic on Cavium ThunderX CN88XX (LP: #1853485)
    - SAUCE: irqchip/gic-v3-its: Add missing return value in
      its_irq_domain_activate()

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 16 Jan 2020 10:07:39 -0300

linux-aws-hwe (4.15.0-1057.59~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1057.59~16.04.1 -proposed tracker
    (LP: #1854801)

  [ Ubuntu: 4.15.0-1057.59 ]

  * bionic/linux-aws: 4.15.0-1057.59 -proposed tracker (LP: #1854802)
  * Bionic update: upstream stable patchset 2019-11-21 (LP: #1853519)
    - aws: [Config] CONFIG_SGL_ALLOC=y
  * update ENA driver for DIMLIB dynamic interrupt moderation (LP: #1853180)
    - aws: [Config] CONFIG_DIMLIB=y
  * bionic/linux: 4.15.0-73.82 -proposed tracker (LP: #1854819)
  * CVE-2019-14901
    - SAUCE: mwifiex: Fix heap overflow in mmwifiex_process_tdls_action_frame()
  * CVE-2019-14896 // CVE-2019-14897
    - SAUCE: libertas: Fix two buffer overflows at parsing bss descriptor
  * CVE-2019-14895
    - SAUCE: mwifiex: fix possible heap overflow in mwifiex_process_country_ie()
  * CVE-2019-18660: patches for Ubuntu (LP: #1853142) // CVE-2019-18660
    - powerpc/64s: support nospectre_v2 cmdline option
    - powerpc/book3s64: Fix link stack flush on context switch
    - KVM: PPC: Book3S HV: Flush link stack on guest exit to host kernel
  * Please add patch fixing RK818 ID detection (LP: #1853192)
    - SAUCE: mfd: rk808: Fix RK818 ID template
  * [SRU][B/OEM-B/OEM-OSP1/D] Enable new Elan touchpads which are not in current
    whitelist (LP: #1853246)
    - HID: quirks: Fix keyboard + touchpad on Lenovo Miix 630
    - Input: elan_i2c - export the device id whitelist
    - HID: quirks: Refactor ELAN 400 and 401 handling
  * Lenovo dock MAC Address pass through doesn't work in Ubuntu  (LP: #1827961)
    - r8152: Add macpassthru support for ThinkPad Thunderbolt 3 Dock Gen 2
  * s390/dasd: reduce the default queue depth and nr of hardware queues
    (LP: #1852257)
    - s390/dasd: reduce the default queue depth and nr of hardware queues
  * External microphone can't work on some dell machines with the codec alc256
    or alc236 (LP: #1853791)
    - SAUCE: ALSA: hda/realtek - Move some alc256 pintbls to fallback table
    - SAUCE: ALSA: hda/realtek - Move some alc236 pintbls to fallback table
  * Memory leak in net/xfrm/xfrm_state.c - 8 pages per ipsec connection
    (LP: #1853197)
    - xfrm: Fix memleak on xfrm state destroy
  * CVE-2019-19083
    - drm/amd/display: memory leak
  * update ENA driver for DIMLIB dynamic interrupt moderation (LP: #1853180)
    - net: ena: add intr_moder_rx_interval to struct ena_com_dev and use it
    - net: ena: switch to dim algorithm for rx adaptive interrupt moderation
    - net: ena: reimplement set/get_coalesce()
    - net: ena: enable the interrupt_moderation in driver_supported_features
    - net: ena: remove code duplication in
      ena_com_update_nonadaptive_moderation_interval _*()
    - net: ena: remove old adaptive interrupt moderation code from ena_netdev
    - net: ena: remove ena_restore_ethtool_params() and relevant fields
    - net: ena: remove all old adaptive rx interrupt moderation code from ena_com
    - net: ena: fix update of interrupt moderation register
    - net: ena: fix retrieval of nonadaptive interrupt moderation intervals
    - net: ena: fix incorrect update of intr_delay_resolution
    - net: ena: Select DIMLIB for ENA_ETHERNET
    - SAUCE: net: ena: fix issues in setting interrupt moderation params in
      ethtool
    - SAUCE: net: ena: fix too long default tx interrupt moderation interval
  * CONFIG_ARCH_ROCKCHIP is not set in ubuntu 18.04 aarch64,arm64 (LP: #1825222)
    - [Config] Enable ROCKCHIP support for arm64
  * backport DIMLIB (lib/dim/) to pre-5.2 kernels (LP: #1852637)
    - include/linux/bitops.h: introduce BITS_PER_TYPE
    - [Config] enable DIMLIB
    - linux/dim: import DIMLIB (lib/dim/)
    - SAUCE: linux/dim: avoid library object filename clash
  * The alsa hda driver is not loaded due to the missing of PCIID for Comet
    Lake-S [8086:a3f0] (LP: #1852070)
    - SAUCE: ALSA: hda: Add Cometlake-S PCI ID
  * Can't adjust brightness on DELL UHD dGPU AIO (LP: #1813877)
    - SAUCE: platform/x86: dell-uart-backlight: add missing status command
    - SAUCE: platform/x86: dell-uart-backlight: load driver by scalar status
    - SAUCE: platform/x86: dell-uart-backlight: add force parameter
    - SAUCE: platform/x86: dell-uart-backlight: add quirk for old platforms
  * Enable framebuffer fonts auto selection for HighDPI screen (LP: #1851623)
    - fonts: Fix coding style
    - fonts: Prefer a bigger font for high resolution screens
  * Disable unreliable HPET on CFL-H system (LP: #1852216)
    - SAUCE: x86/intel: Disable HPET on Intel Coffe Lake H platforms
  * i40e: Setting VF MAC address causes General Protection Fault (LP: #1852432)
    - i40e: Fix crash caused by stress setting of VF MAC addresses
  * Bionic update: upstream stable patchset 2019-11-27 (LP: #1854216)
    - spi: mediatek: use correct mata->xfer_len when in fifo transfer
    - tee: optee: add missing of_node_put after of_device_is_available
    - net: cdc_ncm: Signedness bug in cdc_ncm_set_dgram_size()
    - idr: Fix idr_get_next race with idr_remove
    - mm/memory_hotplug: don't access uninitialized memmaps in shrink_pgdat_span()
    - mm/memory_hotplug: fix updating the node span
    - arm64: uaccess: Ensure PAN is re-enabled after unhandled uaccess fault
    - fbdev: Ditch fb_edid_add_monspecs
    - net: ovs: fix return type of ndo_start_xmit function
    - net: xen-netback: fix return type of ndo_start_xmit function
    - ARM: dts: dra7: Enable workaround for errata i870 in PCIe host mode
    - ARM: dts: omap5: enable OTG role for DWC3 controller
    - f2fs: return correct errno in f2fs_gc
    - ARM: dts: sun8i: h3-h5: ir register size should be the whole memory block
    - SUNRPC: Fix priority queue fairness
    - IB/hfi1: Ensure ucast_dlid access doesnt exceed bounds
    - kvm: arm/arm64: Fix stage2_flush_memslot for 4 level page table
    - arm64/numa: Report correct memblock range for the dummy node
    - ath10k: fix vdev-start timeout on error
    - ata: ahci_brcm: Allow using driver or DSL SoCs
    - ath9k: fix reporting calculated new FFT upper max
    - usb: gadget: udc: fotg210-udc: Fix a sleep-in-atomic-context bug in
      fotg210_get_status()
    - usb: dwc3: gadget: Check ENBLSLPM before sending ep command
    - nl80211: Fix a GET_KEY reply attribute
    - irqchip/irq-mvebu-icu: Fix wrong private data retrieval
    - watchdog: w83627hf_wdt: Support NCT6796D, NCT6797D, NCT6798D
    - KVM: PPC: Inform the userspace about TCE update failures
    - dmaengine: ep93xx: Return proper enum in ep93xx_dma_chan_direction
    - dmaengine: timb_dma: Use proper enum in td_prep_slave_sg
    - ext4: fix build error when DX_DEBUG is defined
    - clk: keystone: Enable TISCI clocks if K3_ARCH
    - sunrpc: Fix connect metrics
    - mei: samples: fix a signedness bug in amt_host_if_call()
    - cxgb4: Use proper enum in cxgb4_dcb_handle_fw_update
    - cxgb4: Use proper enum in IEEE_FAUX_SYNC
    - powerpc/pseries: Fix DTL buffer registration
    - powerpc/pseries: Fix how we iterate over the DTL entries
    - powerpc/xive: Move a dereference below a NULL test
    - ARM: dts: at91: sama5d4_xplained: fix addressable nand flash size
    - ARM: dts: at91: at91sam9x5cm: fix addressable nand flash size
    - mtd: rawnand: sh_flctl: Use proper enum for flctl_dma_fifo0_transfer
    - PM / hibernate: Check the success of generating md5 digest before
      hibernation
    - tools: PCI: Fix compilation warnings
    - clocksource/drivers/sh_cmt: Fixup for 64-bit machines
    - clocksource/drivers/sh_cmt: Fix clocksource width for 32-bit machines
    - md: allow metadata updates while suspending an array - fix
    - ixgbe: Fix ixgbe TX hangs with XDP_TX beyond queue limit
    - i40e: Use proper enum in i40e_ndo_set_vf_link_state
    - ixgbe: Fix crash with VFs and flow director on interface flap
    - IB/mthca: Fix error return code in __mthca_init_one()
    - IB/mlx4: Avoid implicit enumerated type conversion
    - ACPICA: Never run _REG on system_memory and system_IO
    - powerpc/time: Use clockevents_register_device(), fixing an issue with large
      decrementer
    - ata: ep93xx: Use proper enums for directions
    - media: rc: ir-rc6-decoder: enable toggle bit for Kathrein RCU-676 remote
    - media: pxa_camera: Fix check for pdev->dev.of_node
    - media: i2c: adv748x: Support probing a single output
    - ALSA: hda/sigmatel - Disable automute for Elo VuPoint
    - KVM: PPC: Book3S PR: Exiting split hack mode needs to fixup both PC and LR
    - USB: serial: cypress_m8: fix interrupt-out transfer length
    - mtd: physmap_of: Release resources on error
    - cpu/SMT: State SMT is disabled even with nosmt and without "=force"
    - brcmfmac: reduce timeout for action frame scan
    - brcmfmac: fix full timeout waiting for action frame on-channel tx
    - qtnfmac: pass sgi rate info flag to wireless core
    - qtnfmac: drop error reports for out-of-bounds key indexes
    - clk: samsung: exynos5420: Define CLK_SECKEY gate clock only or Exynos5420
    - clk: samsung: Use clk_hw API for calling clk framework from clk notifiers
    - i2c: brcmstb: Allow enabling the driver on DSL SoCs
    - NFSv4.x: fix lock recovery during delegation recall
    - dmaengine: ioat: fix prototype of ioat_enumerate_channels
    - media: cec-gpio: select correct Signal Free Time
    - Input: st1232 - set INPUT_PROP_DIRECT property
    - Input: silead - try firmware reload after unsuccessful resume
    - remoteproc: Check for NULL firmwares in sysfs interface
    - kexec: Allocate decrypted control pages for kdump if SME is enabled
    - x86/olpc: Fix build error with CONFIG_MFD_CS5535=m
    - dmaengine: rcar-dmac: set scatter/gather max segment size
    - crypto: mxs-dcp - Fix SHA null hashes and output length
    - crypto: mxs-dcp - Fix AES issues
    - xfrm: use correct size to initialise sp->ovec
    - ACPI / SBS: Fix rare oops when removing modules
    - iwlwifi: mvm: don't send keys when entering D3
    - x86/fsgsbase/64: Fix ptrace() to read the FS/GS base accurately
    - mmc: tmio: Fix SCC error detection
    - fbdev: sbuslib: use checked version of put_user()
    - fbdev: sbuslib: integer overflow in sbusfb_ioctl_helper()
    - reset: Fix potential use-after-free in __of_reset_control_get()
    - bcache: recal cached_dev_sectors on detach
    - media: dw9714: Fix error handling in probe function
    - s390/kasan: avoid vdso instrumentation
    - proc/vmcore: Fix i386 build error of missing copy_oldmem_page_encrypted()
    - backlight: lm3639: Unconditionally call led_classdev_unregister
    - mfd: ti_am335x_tscadc: Keep ADC interface on if child is wakeup capable
    - printk: Give error on attempt to set log buffer length to over 2G
    - media: isif: fix a NULL pointer dereference bug
    - GFS2: Flush the GFS2 delete workqueue before stopping the kernel threads
    - media: cx231xx: fix potential sign-extension overflow on large shift
    - x86/kexec: Correct KEXEC_BACKUP_SRC_END off-by-one error
    - gpio: syscon: Fix possible NULL ptr usage
    - spi: fsl-lpspi: Prevent FIFO under/overrun by default
    - pinctrl: gemini: Mask and set properly
    - spi: spidev: Fix OF tree warning logic
    - ARM: 8802/1: Call syscall_trace_exit even when system call skipped
    - orangefs: rate limit the client not running info message
    - pinctrl: gemini: Fix up TVC clock group
    - hwmon: (pwm-fan) Silence error on probe deferral
    - hwmon: (ina3221) Fix INA3221_CONFIG_MODE macros
    - netfilter: nft_compat: do not dump private area
    - misc: cxl: Fix possible null pointer dereference
    - mac80211: minstrel: fix using short preamble CCK rates on HT clients
    - mac80211: minstrel: fix CCK rate group streams value
    - mac80211: minstrel: fix sampling/reporting of CCK rates in HT mode
    - spi: rockchip: initialize dma_slave_config properly
    - mlxsw: spectrum_switchdev: Check notification relevance based on upper
      device
    - ARM: dts: omap5: Fix dual-role mode on Super-Speed port
    - tools: PCI: Fix broken pcitest compilation
    - powerpc/time: Fix clockevent_decrementer initalisation for PR KVM
    - mmc: tmio: fix SCC error handling to avoid false positive CRC error
    - ARM: dts: sun8i: h3: bpi-m2-plus: Fix address for external RGMII Ethernet
      PHY
    - tcp: up initial rmem to 128KB and SYN rwin to around 64KB
    - ACPI / LPSS: Resume BYT/CHT I2C controllers from resume_noirq
    - f2fs: keep lazytime on remount
    - IB/hfi1: Error path MAD response size is incorrect
    - PM / devfreq: Fix devfreq_add_device() when drivers are built as modules.
    - PM / devfreq: Fix handling of min/max_freq == 0
    - PM / devfreq: stopping the governor before device_unregister()
    - watchdog: core: fix null pointer dereference when releasing cdev
    - watchdog: renesas_wdt: stop when unregistering
    - watchdog: sama5d4: fix timeout-sec usage
    - printk: Do not miss new messages when replaying the log
    - printk: CON_PRINTBUFFER console registration is a bit racy
    - ALSA: hda: Fix mismatch for register mask and value in ext controller.
    - x86/PCI: Apply VMD's AERSID fixup generically
    - IB/rxe: avoid srq memory leak
    - RDMA/hns: Bugfix for reserved qp number
    - RDMA/hns: Submit bad wr when post send wr exception
    - RDMA/hns: Bugfix for CM test
    - RDMA/hns: Limit the size of extend sge of sq
    - rpmsg: glink: smem: Support rx peak for size less than 4 bytes
    - qed: Avoid implicit enum conversion in qed_ooo_submit_tx_buffers
    - clk: samsung: Use NOIRQ stage for Exynos5433 clocks suspend/resume
    - printk: Correct wrong casting
    - mmc: renesas_sdhi_internal_dmac: set scatter/gather max segment size
    - atmel_lcdfb: support native-mode display-timings
    - fbdev: fix broken menu dependencies
    - bcache: account size of buckets used in uuid write to
      ca->meta_sectors_written
    - media: cx18: Don't check for address of video_dev
    - lightnvm: pblk: fix rqd.error return value in pblk_blk_erase_sync
    - scsi: arcmsr: clean up clang warning on extraneous parentheses
    - hwmon: (k10temp) Support all Family 15h Model 6xh and Model 7xh processors
    - tcp: start receiver buffer autotuning sooner
    - ACPI / LPSS: Use acpi_lpss_* instead of acpi_subsys_* functions for
      hibernate
    - PM / devfreq: Fix static checker warning in try_then_request_governor
    - x86/resctrl: Fix rdt_find_domain() return value and checks
  * Bionic update: upstream stable patchset 2019-11-25 (LP: #1853915)
    - kvm: mmu: Don't read PDPTEs when paging is not enabled
    - KVM: x86: introduce is_pae_paging
    - MIPS: BCM63XX: fix switch core reset on BCM6368
    - scsi: core: Handle drivers which set sg_tablesize to zero
    - Revert "Input: synaptics-rmi4 - avoid processing unknown IRQs"
    - ax88172a: fix information leak on short answers
    - net: usb: qmi_wwan: add support for Foxconn T77W968 LTE modules
    - slip: Fix memory leak in slip_open error path
    - ALSA: usb-audio: Fix missing error check at mixer resolution test
    - ALSA: usb-audio: not submit urb for stopped endpoint
    - Input: ff-memless - kill timer in destroy()
    - Input: synaptics-rmi4 - fix video buffer size
    - Input: synaptics-rmi4 - disable the relative position IRQ in the F12 driver
    - Input: synaptics-rmi4 - do not consume more data than we have (F11, F12)
    - Input: synaptics-rmi4 - clear IRQ enables for F54
    - Input: synaptics-rmi4 - destroy F54 poller workqueue when removing
    - IB/hfi1: Ensure full Gen3 speed in a Gen4 system
    - i2c: acpi: Force bus speed to 400KHz if a Silead touchscreen is present
    - ecryptfs_lookup_interpose(): lower_dentry->d_inode is not stable
    - ecryptfs_lookup_interpose(): lower_dentry->d_parent is not stable either
    - iommu/vt-d: Fix QI_DEV_IOTLB_PFSID and QI_DEV_EIOTLB_PFSID macros
    - mm: memcg: switch to css_tryget() in get_mem_cgroup_from_mm()
    - mm: hugetlb: switch to css_tryget() in hugetlb_cgroup_charge_cgroup()
    - mmc: sdhci-of-at91: fix quirk2 overwrite
    - iio: adc: max9611: explicitly cast gain_selectors
    - tee: optee: take DT status property into account
    - ath10k: fix kernel panic by moving pci flush after napi_disable
    - iio: dac: mcp4922: fix error handling in mcp4922_write_raw
    - arm64: dts: allwinner: a64: Olinuxino: fix DRAM voltage
    - arm64: dts: allwinner: a64: NanoPi-A64: Fix DCDC1 voltage
    - ALSA: pcm: signedness bug in snd_pcm_plug_alloc()
    - arm64: dts: tegra210-p2180: Correct sdmmc4 vqmmc-supply
    - ARM: dts: at91/trivial: Fix USART1 definition for at91sam9g45
    - rtc: rv8803: fix the rv8803 id in the OF table
    - remoteproc/davinci: Use %zx for formating size_t
    - extcon: cht-wc: Return from default case to avoid warnings
    - cfg80211: Avoid regulatory restore when COUNTRY_IE_IGNORE is set
    - ALSA: seq: Do error checks at creating system ports
    - ath9k: fix tx99 with monitor mode interface
    - ath10k: limit available channels via DT ieee80211-freq-limit
    - gfs2: Don't set GFS2_RDF_UPTODATE when the lvb is updated
    - ASoC: dpcm: Properly initialise hw->rate_max
    - pinctrl: ingenic: Probe driver at subsys_initcall
    - MIPS: BCM47XX: Enable USB power on Netgear WNDR3400v3
    - ARM: dts: exynos: Fix sound in Snow-rev5 Chromebook
    - liquidio: fix race condition in instruction completion processing
    - ARM: dts: exynos: Fix regulators configuration on Peach Pi/Pit Chromebooks
    - i40e: use correct length for strncpy
    - i40e: hold the rtnl lock on clearing interrupt scheme
    - i40e: Prevent deleting MAC address from VF when set by PF
    - IB/rxe: fixes for rdma read retry
    - iwlwifi: don't WARN on trying to dump dead firmware
    - iwlwifi: mvm: avoid sending too many BARs
    - ARM: dts: pxa: fix the rtc controller
    - ARM: dts: pxa: fix power i2c base address
    - rtl8187: Fix warning generated when strncpy() destination length matches the
      sixe argument
    - soc: imx: gpc: fix PDN delay
    - ASoC: rsnd: ssi: Fix issue in dma data address assignment
    - net: phy: mscc: read 'vsc8531,vddmac' as an u32
    - net: phy: mscc: read 'vsc8531, edge-slowdown' as an u32
    - ARM: dts: meson8: fix the clock controller register size
    - ARM: dts: meson8b: fix the clock controller register size
    - net: lan78xx: Bail out if lan78xx_get_endpoints fails
    - ASoC: sgtl5000: avoid division by zero if lo_vag is zero
    - ARM: dts: exynos: Disable pull control for S5M8767 PMIC
    - ath10k: wmi: disable softirq's while calling ieee80211_rx
    - IB/ipoib: Ensure that MTU isn't less than minimum permitted
    - RDMA/core: Rate limit MAD error messages
    - RDMA/core: Follow correct unregister order between sysfs and cgroup
    - mips: txx9: fix iounmap related issue
    - ASoC: Intel: hdac_hdmi: Limit sampling rates at dai creation
    - of: make PowerMac cache node search conditional on CONFIG_PPC_PMAC
    - ARM: dts: omap3-gta04: give spi_lcd node a label so that we can overwrite in
      other DTS files
    - ARM: dts: omap3-gta04: fixes for tvout / venc
    - ARM: dts: omap3-gta04: tvout: enable as display1 alias
    - ARM: dts: omap3-gta04: fix touchscreen tsc2007
    - ARM: dts: omap3-gta04: make NAND partitions compatible with recent U-Boot
    - ARM: dts: omap3-gta04: keep vpll2 always on
    - sched/debug: Use symbolic names for task state constants
    - arm64: dts: rockchip: Fix VCC5V0_HOST_EN on rk3399-sapphire
    - dmaengine: dma-jz4780: Don't depend on MACH_JZ4780
    - dmaengine: dma-jz4780: Further residue status fix
    - EDAC, sb_edac: Return early on ADDRV bit and address type test
    - rtc: mt6397: fix possible race condition
    - rtc: pl030: fix possible race condition
    - ath9k: add back support for using active monitor interfaces for tx99
    - IB/hfi1: Missing return value in error path for user sdma
    - signal: Always ignore SIGKILL and SIGSTOP sent to the global init
    - signal: Properly deliver SIGILL from uprobes
    - signal: Properly deliver SIGSEGV from x86 uprobes
    - f2fs: fix memory leak of percpu counter in fill_super()
    - scsi: qla2xxx: Fix iIDMA error
    - scsi: qla2xxx: Defer chip reset until target mode is enabled
    - scsi: qla2xxx: Fix dropped srb resource.
    - scsi: lpfc: Fix errors in log messages.
    - scsi: sym53c8xx: fix NULL pointer dereference panic in sym_int_sir()
    - ARM: imx6: register pm_power_off handler if "fsl,pmic-stby-poweroff" is set
    - scsi: pm80xx: Corrected dma_unmap_sg() parameter
    - scsi: pm80xx: Fixed system hang issue during kexec boot
    - kprobes: Don't call BUG_ON() if there is a kprobe in use on free list
    - Drivers: hv: vmbus: Fix synic per-cpu context initialization
    - nvmem: core: return error code instead of NULL from nvmem_device_get
    - media: dt-bindings: adv748x: Fix decimal unit addresses
    - media: fix: media: pci: meye: validate offset to avoid arbitrary access
    - media: dvb: fix compat ioctl translation
    - arm64: dts: meson: libretech: update board model
    - ALSA: intel8x0m: Register irq handler after register initializations
    - pinctrl: at91-pio4: fix has_config check in atmel_pctl_dt_subnode_to_map()
    - llc: avoid blocking in llc_sap_close()
    - ARM: dts: qcom: ipq4019: fix cpu0's qcom,saw2 reg value
    - soc: qcom: wcnss_ctrl: Avoid string overflow
    - ARM: dts: socfpga: Fix I2C bus unit-address error
    - pinctrl: at91: don't use the same irqchip with multiple gpiochips
    - cxgb4: Fix endianness issue in t4_fwcache()
    - blok, bfq: do not plug I/O if all queues are weight-raised
    - arm64: dts: meson: Fix erroneous SPI bus warnings
    - power: supply: ab8500_fg: silence uninitialized variable warnings
    - power: reset: at91-poweroff: do not procede if at91_shdwc is allocated
    - power: supply: max8998-charger: Fix platform data retrieval
    - component: fix loop condition to call unbind() if bind() fails
    - kernfs: Fix range checks in kernfs_get_target_path
    - ip_gre: fix parsing gre header in ipgre_err
    - ARM: dts: rockchip: Fix erroneous SPI bus dtc warnings on rk3036
    - ACPI / LPSS: Exclude I2C busses shared with PUNIT from pmc_atom_d3_mask
    - ath9k: Fix a locking bug in ath9k_add_interface()
    - s390/qeth: invoke softirqs after napi_schedule()
    - PCI/ACPI: Correct error message for ASPM disabling
    - serial: uartps: Fix suspend functionality
    - serial: samsung: Enable baud clock for UART reset procedure in resume
    - serial: mxs-auart: Fix potential infinite loop
    - samples/bpf: fix a compilation failure
    - spi: mediatek: Don't modify spi_transfer when transfer.
    - ipmi:dmi: Ignore IPMI SMBIOS entries with a zero base address
    - net: hns3: fix return type of ndo_start_xmit function
    - powerpc/iommu: Avoid derefence before pointer check
    - powerpc/64s/hash: Fix stab_rr off by one initialization
    - powerpc/pseries: Disable CPU hotplug across migrations
    - powerpc: Fix duplicate const clang warning in user access code
    - RDMA/i40iw: Fix incorrect iterator type
    - libfdt: Ensure INT_MAX is defined in libfdt_env.h
    - power: supply: twl4030_charger: fix charging current out-of-bounds
    - power: supply: twl4030_charger: disable eoc interrupt on linear charge
    - net: toshiba: fix return type of ndo_start_xmit function
    - net: xilinx: fix return type of ndo_start_xmit function
    - net: broadcom: fix return type of ndo_start_xmit function
    - net: amd: fix return type of ndo_start_xmit function
    - net: sun: fix return type of ndo_start_xmit function
    - nfp: provide a better warning when ring allocation fails
    - usb: chipidea: imx: enable OTG overcurrent in case USB subsystem is already
      started
    - usb: chipidea: Fix otg event handler
    - mlxsw: spectrum: Init shaper for TCs 8..15
    - ARM: dts: am335x-evm: fix number of cpsw
    - f2fs: fix to recover inode's uid/gid during POR
    - ARM: dts: ux500: Correct SCU unit address
    - ARM: dts: ux500: Fix LCDA clock line muxing
    - ARM: dts: ste: Fix SPI controller node names
    - spi: pic32: Use proper enum in dmaengine_prep_slave_rg
    - cpufeature: avoid warning when compiling with clang
    - crypto: arm/crc32 - avoid warning when compiling with Clang
    - ARM: dts: marvell: Fix SPI and I2C bus warnings
    - x86/mce-inject: Reset injection struct after injection
    - ARM: dts: clearfog: fix sdhci supply property name
    - bnx2x: Ignore bandwidth attention in single function mode
    - samples/bpf: fix compilation failure
    - net: phy: mdio-bcm-unimac: Allow configuring MDIO clock divider
    - net: micrel: fix return type of ndo_start_xmit function
    - net: freescale: fix return type of ndo_start_xmit function
    - x86/CPU: Use correct macros for Cyrix calls
    - x86/CPU: Change query logic so CPUID is enabled before testing
    - MIPS: kexec: Relax memory restriction
    - arm64: dts: rockchip: Fix microSD in rk3399 sapphire board
    - media: pci: ivtv: Fix a sleep-in-atomic-context bug in ivtv_yuv_init()
    - media: au0828: Fix incorrect error messages
    - media: davinci: Fix implicit enum conversion warning
    - ARM: dts: rockchip: explicitly set vcc_sd0 pin to gpio on rk3188-radxarock
    - usb: gadget: uvc: configfs: Drop leaked references to config items
    - usb: gadget: uvc: configfs: Prevent format changes after linking header
    - i2c: aspeed: fix invalid clock parameters for very large divisors
    - phy: brcm-sata: allow PHY_BRCM_SATA driver to be built for DSL SoCs
    - phy: renesas: rcar-gen3-usb2: fix vbus_ctrl for role sysfs
    - phy: phy-twl4030-usb: fix denied runtime access
    - usb: gadget: uvc: Factor out video USB request queueing
    - usb: gadget: uvc: Only halt video streaming endpoint in bulk mode
    - coresight: Fix handling of sinks
    - coresight: perf: Fix per cpu path management
    - coresight: perf: Disable trace path upon source error
    - coresight: etm4x: Configure EL2 exception level when kernel is running in
      HYP
    - coresight: tmc: Fix byte-address alignment for RRP
    - misc: kgdbts: Fix restrict error
    - misc: genwqe: should return proper error value.
    - vfio/pci: Fix potential memory leak in vfio_msi_cap_len
    - vfio/pci: Mask buggy SR-IOV VF INTx support
    - scsi: libsas: always unregister the old device if going to discover new
    - phy: lantiq: Fix compile warning
    - ARM: dts: tegra30: fix xcvr-setup-use-fuses
    - ARM: tegra: apalis_t30: fix mmc1 cmd pull-up
    - ARM: dts: paz00: fix wakeup gpio keycode
    - net: smsc: fix return type of ndo_start_xmit function
    - net: faraday: fix return type of ndo_start_xmit function
    - f2fs: fix to recover inode's project id during POR
    - f2fs: mark inode dirty explicitly in recover_inode()
    - EDAC: Raise the maximum number of memory controllers
    - ARM: dts: realview: Fix SPI controller node names
    - firmware: dell_rbu: Make payload memory uncachable
    - Bluetooth: hci_serdev: clear HCI_UART_PROTO_READY to avoid closing proto
      races
    - Bluetooth: L2CAP: Detect if remote is not able to use the whole MPS
    - x86/hyperv: Suppress "PCI: Fatal: No config space access function found"
    - crypto: s5p-sss: Fix Fix argument list alignment
    - crypto: fix a memory leak in rsa-kcs1pad's encryption mode
    - iwlwifi: dbg: don't crash if the firmware crashes in the middle of a debug
      dump
    - iwlwifi: api: annotate compressed BA notif array sizes
    - iwlwifi: mvm: Allow TKIP for AP mode
    - scsi: NCR5380: Clear all unissued commands on host reset
    - scsi: NCR5380: Have NCR5380_select() return a bool
    - scsi: NCR5380: Withhold disconnect privilege for REQUEST SENSE
    - scsi: NCR5380: Use DRIVER_SENSE to indicate valid sense data
    - scsi: NCR5380: Check for invalid reselection target
    - scsi: NCR5380: Don't clear busy flag when abort fails
    - scsi: NCR5380: Don't call dsprintk() following reselection interrupt
    - scsi: NCR5380: Handle BUS FREE during reselection
    - scsi: NCR5380: Check for bus reset
    - arm64: dts: amd: Fix SPI bus warnings
    - arm64: dts: lg: Fix SPI controller node names
    - ARM: dts: lpc32xx: Fix SPI controller node names
    - rtc: armada38x: fix possible race condition
    - netfilter: masquerade: don't flush all conntracks if only one address
      deleted on device
    - usb: xhci-mtk: fix ISOC error when interval is zero
    - fuse: use READ_ONCE on congestion_threshold and max_background
    - IB/iser: Fix possible NULL deref at iser_inv_desc()
    - net: phy: mdio-bcm-unimac: mark PM functions as __maybe_unused
    - memfd: Use radix_tree_deref_slot_protected to avoid the warning.
    - slcan: Fix memory leak in error path
    - ipmr: Fix skb headroom in ipmr_get_route().
    - IB/hfi1: Use a common pad buffer for 9B and 16B packets
    - net: ethernet: dwmac-sun8i: Use the correct function in exit path
    - mm: mempolicy: fix the wrong return value and potential pages leak of mbind
    - scsi: bfa: use proper time accessor for stats_reset_time
    - y2038: make do_gettimeofday() and get_seconds() inline
    - ARM: dts: rcar: Correct SATA device sizes to 2 MiB
    - ARM: dts: exynos: Use i2c-gpio for HDMI-DDC on Arndale
    - ARM: dts: exynos: Fix HDMI-HPD line handling on Arndale
    - i40evf: Validate the number of queues a PF sends
    - i40evf: set IFF_UNICAST_FLT flag for the VF
    - i40evf: cancel workqueue sync for adminq when a VF is removed
    - IB/rxe: avoid back-to-back retries
    - brcmfmac: fix wrong strnchr usage
    - mtd: rawnand: fsl_ifc: check result of SRAM initialization
    - mtd: rawnand: fsl_ifc: fixup SRAM init for newer ctrl versions
    - rtnetlink: move type calculation out of loop
    - udf: Fix crash during mount
    - sched/debug: Explicitly cast sched_feat() to bool
    - usb: mtu3: disable vbus rise/fall interrupts of ltssm
    - dmaengine: at_xdmac: remove a stray bottom half unlock
    - scsi: qla2xxx: Terminate Plogi/PRLI if WWN is 0
    - scsi: qla2xxx: Fix deadlock between ATIO and HW lock
    - scsi: qla2xxx: Fix port speed display on chip reset
    - scsi: lpfc: Correct invalid EQ doorbell write on if_type=6
    - net: aquantia: fix hw_atl_utils_fw_upload_dwords
    - ALSA: hda: Fix implicit definition of pci_iomap() on SH
    - net: bcmgenet: Fix speed selection for reverse MII
    - arm64: dts: broadcom: Fix I2C and SPI bus warnings
    - ARM: dts: bcm: Fix SPI bus warnings
    - ARM: dts: aspeed: Fix I2C bus warnings
    - ARM: dts: sunxi: Fix I2C bus warnings
    - ARM: dts: sun9i: Fix I2C bus warnings
    - arm64: fix for bad_mode() handler to always result in panic
    - netfilter: nf_tables: avoid BUG_ON usage
    - media: vsp1: Fix YCbCr planar formats pitch calculation
    - PCI: mediatek: Fix unchecked return value
    - ARM: dts: xilinx: Fix I2C and SPI bus warnings
    - ipmi_si_pci: fix NULL device in ipmi_si error message
    - ipmi_si: fix potential integer overflow on large shift
    - net: cavium: fix return type of ndo_start_xmit function
    - net: ibm: fix return type of ndo_start_xmit function
    - selftests/powerpc: Do not fail with reschedule
    - usb: usbtmc: Fix ioctl USBTMC_IOCTL_ABORT_BULK_OUT
    - s390/zcrypt: enable AP bus scan without a valid default domain
    - s390/vdso: avoid 64-bit vdso mapping for compat tasks
    - brcmsmac: allocate ucode with GFP_KERNEL
    - brcmsmac: Use kvmalloc() for ucode allocations
    - EDAC: Correct DIMM capacity unit symbol
    - gpiolib: Fix gpio_direction_* for single direction GPIOs
    - arm64: dts: fsl: Fix I2C and SPI bus warnings
    - ARM: dts: imx51-zii-rdu1: Fix the rtc compatible string
    - f2fs: update i_size after DIO completion
    - RDMA: Fix dependencies for rdma_user_mmap_io
    - crypto: s5p-sss: Fix race in error handling
    - iwlwifi: pcie: gen2: build A-MSDU only for GSO
    - iwlwifi: pcie: fit reclaim msg to MAX_MSG_LEN
    - usb: usbtmc: uninitialized symbol 'actual' in usbtmc_ioctl_clear
    - s390/vdso: correct vdso mapping for compat tasks
  * Bionic update: upstream stable patchset 2019-11-21 (LP: #1853519)
    - bonding: fix state transition issue in link monitoring
    - CDC-NCM: handle incomplete transfer of MTU
    - ipv4: Fix table id reference in fib_sync_down_addr
    - net: ethernet: octeon_mgmt: Account for second possible VLAN header
    - net: fix data-race in neigh_event_send()
    - net: qualcomm: rmnet: Fix potential UAF when unregistering
    - net: usb: qmi_wwan: add support for DW5821e with eSIM support
    - NFC: fdp: fix incorrect free object
    - nfc: netlink: fix double device reference drop
    - NFC: st21nfca: fix double free
    - qede: fix NULL pointer deref in __qede_remove()
    - ALSA: timer: Fix incorrectly assigned timer instance
    - ALSA: bebob: fix to detect configured source of sampling clock for Focusrite
      Saffire Pro i/o series
    - ALSA: hda/ca0132 - Fix possible workqueue stall
    - mm: thp: handle page cache THP correctly in PageTransCompoundMap
    - mm, vmstat: hide /proc/pagetypeinfo from normal users
    - dump_stack: avoid the livelock of the dump_lock
    - tools: gpio: Use !building_out_of_srctree to determine srctree
    - perf tools: Fix time sorting
    - drm/radeon: fix si_enable_smc_cac() failed issue
    - HID: wacom: generic: Treat serial number and related fields as unsigned
    - arm64: Do not mask out PTE_RDONLY in pte_same()
    - ceph: fix use-after-free in __ceph_remove_cap()
    - ceph: add missing check in d_revalidate snapdir handling
    - iio: adc: stm32-adc: fix stopping dma
    - iio: imu: adis16480: make sure provided frequency is positive
    - iio: srf04: fix wrong limitation in distance measuring
    - netfilter: nf_tables: Align nft_expr private data to 64-bit
    - netfilter: ipset: Fix an error code in ip_set_sockfn_get()
    - intel_th: pci: Add Comet Lake PCH support
    - intel_th: pci: Add Jasper Lake PCH support
    - can: usb_8dev: fix use-after-free on disconnect
    - can: c_can: c_can_poll(): only read status register after status IRQ
    - can: peak_usb: fix a potential out-of-sync while decoding packets
    - can: rx-offload: can_rx_offload_queue_sorted(): fix error handling, avoid
      skb mem leak
    - can: gs_usb: gs_can_open(): prevent memory leak
    - can: mcba_usb: fix use-after-free on disconnect
    - can: peak_usb: fix slab info leak
    - configfs: stash the data we need into configfs_buffer at open time
    - configfs_register_group() shouldn't be (and isn't) called in rmdirable parts
    - configfs: new object reprsenting tree fragments
    - configfs: provide exclusion between IO and removals
    - configfs: fix a deadlock in configfs_symlink()
    - usb: dwc3: Allow disabling of metastability workaround
    - mfd: palmas: Assign the right powerhold mask for tps65917
    - ASoC: tlv320aic31xx: Handle inverted BCLK in non-DSP modes
    - ARM: dts: dra7: Disable USB metastability workaround for USB2
    - [Config] updateconfigs for SGL_ALLOC
    - lib/scatterlist: Introduce sgl_alloc() and sgl_free()
    - usbip: Fix vhci_urb_enqueue() URB null transfer buffer error path
    - usbip: Implement SG support to vhci-hcd and stub driver
    - PCI: tegra: Enable Relaxed Ordering only for Tegra20 & Tegra30
    - dmaengine: xilinx_dma: Fix control reg update in vdma_channel_set_config
    - HID: intel-ish-hid: fix wrong error handling in ishtp_cl_alloc_tx_ring()
    - RDMA/qedr: Fix reported firmware version
    - net/mlx5: prevent memory leak in mlx5_fpga_conn_create_cq
    - scsi: qla2xxx: fixup incorrect usage of host_byte
    - RDMA/uverbs: Prevent potential underflow
    - net: openvswitch: free vport unless register_netdevice() succeeds
    - scsi: lpfc: Honor module parameter lpfc_use_adisc
    - scsi: qla2xxx: Initialized mailbox to prevent driver load failure
    - ipvs: don't ignore errors in case refcounting ip_vs module fails
    - ipvs: move old_secure_tcp into struct netns_ipvs
    - bonding: fix unexpected IFF_BONDING bit unset
    - macsec: fix refcnt leak in module exit routine
    - usb: fsl: Check memory resource before releasing it
    - usb: gadget: udc: atmel: Fix interrupt storm in FIFO mode.
    - usb: gadget: composite: Fix possible double free memory bug
    - usb: gadget: configfs: fix concurrent issue between composite APIs
    - usb: dwc3: remove the call trace of USBx_GFLADJ
    - perf/x86/amd/ibs: Fix reading of the IBS OpData register and thus precise
      RIP validity
    - perf/x86/amd/ibs: Handle erratum #420 only on the affected CPU family (10h)
    - USB: Skip endpoints with 0 maxpacket length
    - USB: ldusb: use unsigned size format specifiers
    - RDMA/iw_cxgb4: Avoid freeing skb twice in arp failure case
    - scsi: qla2xxx: stop timer in shutdown path
    - fjes: Handle workqueue allocation failure
    - net: hisilicon: Fix "Trying to free already-free IRQ"
    - hv_netvsc: Fix error handling in netvsc_attach()
    - NFSv4: Don't allow a cached open with a revoked delegation
    - net: ethernet: arc: add the missed clk_disable_unprepare
    - igb: Fix constant media auto sense switching when no cable is connected
    - e1000: fix memory leaks
    - x86/apic: Move pending interrupt check code into it's own function
    - x86/apic: Drop logical_smp_processor_id() inline
    - x86/apic/32: Avoid bogus LDR warnings
    - can: flexcan: disable completely the ECC mechanism
    - mm/filemap.c: don't initiate writeback if mapping has no dirty pages
    - cgroup,writeback: don't switch wbs immediately on dead wbs if the memcg is
      dead
    - usbip: Fix free of unallocated memory in vhci tx
    - net: prevent load/store tearing on sk->sk_stamp
    - x86/speculation/taa: Fix printing of TAA_MSG_SMT on IBRS_ALL CPUs
    - x86/cpu: Add Tremont to the cpu vulnerability whitelist
    - Documentation: Add ITLB_MULTIHIT documentation
    - net: hns: Fix the stray netpoll locks causing deadlock in NAPI path
    - mm: memcontrol: fix network errors from failing __GFP_ATOMIC charges
    - mm, meminit: recalculate pcpu batch and high limits after init completes
    - SMB3: Fix persistent handles reconnect
    - dmaengine: sprd: Fix the possible memory leak issue
    - iw_cxgb4: fix ECN check on the passive accept
    - perf/x86/uncore: Fix event group support
    - usbip: tools: Fix read_usb_vudc_device() error path handling
    - RDMA/hns: Prevent memory leaks of eq->buf_list
    - drm/amdgpu: If amdgpu_ib_schedule fails return back the error.
    - drm/amd/display: Passive DP->HDMI dongle detection fix
    - pinctrl: intel: Initialize GPIO properly when used through irqchip
    - pinctrl: intel: Avoid potential glitches if pin is in GPIO mode
    - pinctrl: cherryview: Fix irq_valid_mask calculation
    - netfilter: ipset: Copy the right MAC address in hash:ip,mac IPv6 sets
    - vsock/virtio: fix sock refcnt holding during the shutdown
  * Bionic update: upstream stable patchset 2019-11-19 (LP: #1853208)
    - arm64: dts: Fix gpio to pinmux mapping
    - regulator: ti-abb: Fix timeout in ti_abb_wait_txdone/ti_abb_clear_all_txdone
    - regulator: pfuze100-regulator: Variable "val" in pfuze100_regulator_probe()
      could be uninitialized
    - ASoC: wm_adsp: Don't generate kcontrols without READ flags
    - ASoc: rockchip: i2s: Fix RPM imbalance
    - ARM: dts: logicpd-torpedo-som: Remove twl_keypad
    - pinctrl: ns2: Fix off by one bugs in ns2_pinmux_enable()
    - ARM: mm: fix alignment handler faults under memory pressure
    - scsi: scsi_dh_alua: handle RTPG sense code correctly during state
      transitions
    - scsi: sni_53c710: fix compilation error
    - scsi: fix kconfig dependency warning related to 53C700_LE_ON_BE
    - ARM: dts: imx7s: Correct GPT's ipg clock source
    - perf c2c: Fix memory leak in build_cl_output()
    - perf kmem: Fix memory leak in compact_gfp_flags()
    - ARM: davinci: dm365: Fix McBSP dma_slave_map entry
    - scsi: target: core: Do not overwrite CDB byte 1
    - ARM: 8926/1: v7m: remove register save to stack before svc
    - of: unittest: fix memory leak in unittest_data_add
    - MIPS: bmips: mark exception vectors as char arrays
    - i2c: stm32f7: remove warning when compiling with W=1
    - cifs: Fix cifsInodeInfo lock_sem deadlock when reconnect occurs
    - nbd: handle racing with error'ed out commands
    - cxgb4: fix panic when attaching to ULD fail
    - dccp: do not leak jiffies on the wire
    - net: annotate accesses to sk->sk_incoming_cpu
    - net: annotate lockless accesses to sk->sk_napi_id
    - net: dsa: bcm_sf2: Fix IMP setup for port different than 8
    - net: ethernet: ftgmac100: Fix DMA coherency issue with SW checksum
    - net: fix sk_page_frag() recursion from memory reclaim
    - net: hisilicon: Fix ping latency when deal with high throughput
    - net/mlx4_core: Dynamically set guaranteed amount of counters per VF
    - selftests: net: reuseport_dualstack: fix uninitalized parameter
    - udp: fix data-race in udp_set_dev_scratch()
    - net: add READ_ONCE() annotation in __skb_wait_for_more_packets()
    - net/mlx5e: Fix handling of compressed CQEs in case of low NAPI budget
    - net: dsa: b53: Do not clear existing mirrored port mask
    - net: usb: lan78xx: Connect PHY before registering MAC
    - r8152: add device id for Lenovo ThinkPad USB-C Dock Gen 2
    - net: dsa: fix switch tree list
    - net: bcmgenet: reset 40nm EPHY on energy detect
    - net: add skb_queue_empty_lockless()
    - udp: use skb_queue_empty_lockless()
    - net: use skb_queue_empty_lockless() in poll() handlers
    - net: use skb_queue_empty_lockless() in busy poll contexts
    - vxlan: check tun_info options_len properly
    - erspan: fix the tun_info options_len check for erspan
    - inet: stop leaking jiffies on the wire
    - net/flow_dissector: switch to siphash
    - kbuild: use -fmacro-prefix-map to make __FILE__ a relative path
    - platform/x86: pmc_atom: Add Siemens SIMATIC IPC227E to critclk_systems DMI
      table
    - iio: adc: stm32-adc: move registers definitions
    - powerpc/book3s64/mm: Don't do tlbie fixup for some hardware revisions
    - powerpc/book3s64/radix: Rename CPU_FTR_P9_TLBIE_BUG feature flag
    - selftests/powerpc: Add test case for tlbie vs mtpidr ordering issue
    - selftests/powerpc: Fix compile error on tlbie_test due to newer gcc
    - arm64: dts: allwinner: a64: pine64-plus: Add PHY regulator delay
    - arm64: dts: allwinner: a64: sopine-baseboard: Add PHY regulator delay
    - scsi: qla2xxx: fix a potential NULL pointer dereference
    - irqchip/gic-v3-its: Use the exact ITSList for VMOVP
    - netns: fix GFP flags in rtnl_net_notifyid()
    - net: usb: lan78xx: Disable interrupts before calling generic_handle_irq()
    - wireless: Skip directory when generating certificates
    - ASoC: pcm3168a: The codec does not support S32_LE
    - usb: gadget: udc: core: Fix segfault if udc_bind_to_driver() for pending
      driver fails

 -- Connor Kuehl <connor.kuehl@canonical.com>  Thu, 05 Dec 2019 08:16:15 -0800

linux-aws-hwe (4.15.0-1056.58~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1056.58~16.04.1 -proposed tracker
    (LP: #1854030)

  [ Ubuntu: 4.15.0-1056.58 ]

  * bionic/linux-aws: 4.15.0-1056.58 -proposed tracker (LP: #1854029)
  * bionic/linux: 4.15.0-72.81 -proposed tracker (LP: #1854027)
  * [Regression] Bionic kernel 4.15.0-71.80 can not boot on ThunderX
    (LP: #1853326)
    - Revert "arm64: Use firmware to detect CPUs that are not affected by
      Spectre-v2"
    - Revert "arm64: Get rid of __smccc_workaround_1_hvc_*"
  * [Regression] Bionic kernel 4.15.0-71.80 can not boot on ThunderX2 and
    Kunpeng920 (LP: #1852723)
    - SAUCE: arm64: capabilities: Move setup_boot_cpu_capabilities() call to
      correct place

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 26 Nov 2019 17:34:15 +0100

# For older changelog entries, run 'apt-get changelog linux-modules-4.15.0-1065-aws'
